Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcletavernie2011-10-27 08:47:38 +0000
committercletavernie2011-10-27 08:47:38 +0000
commitb35022b68384d4398086646ef815e75c88c18c9e (patch)
treee0716c9d7d00b4ccddc6f0e88fdc7a3d23ba64a7
parentd9c8fe1e4611c2ca845f74820a92ccdaf5126d9e (diff)
downloadorg.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.tar.gz
org.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.tar.xz
org.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.zip
359057: [Architecture - SVN - Build] The Papyrus architecture should be refactored
https://bugs.eclipse.org/bugs/show_bug.cgi?id=359057 Update the plug-in versions and dependencies over Papyrus plug-ins to 0.9.0
-rw-r--r--plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF45
-rw-r--r--plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF29
-rw-r--r--plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF35
-rw-r--r--plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF63
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF19
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF63
-rw-r--r--plugins/customization/org.eclipse.papyrus.diagram.common.palette.customization/META-INF/MANIFEST.MF51
-rw-r--r--plugins/customization/org.eclipse.papyrus.properties.customization/META-INF/MANIFEST.MF68
-rw-r--r--plugins/customization/org.eclipse.papyrus.properties.generation/META-INF/MANIFEST.MF39
-rw-r--r--plugins/customization/org.eclipse.papyrus.properties.model.xwt/META-INF/MANIFEST.MF42
-rw-r--r--plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF29
-rw-r--r--plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF25
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.core.adaptor.emf/META-INF/MANIFEST.MF26
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.core.adaptor.gmf/META-INF/MANIFEST.MF20
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.core/META-INF/MANIFEST.MF71
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.log/META-INF/MANIFEST.MF25
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.sasheditor.di/META-INF/MANIFEST.MF32
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.sasheditor/META-INF/MANIFEST.MF25
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF33
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF33
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF45
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF52
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF37
-rw-r--r--plugins/infra/org.eclipse.papyrus.export/META-INF/MANIFEST.MF37
-rw-r--r--plugins/infra/org.eclipse.papyrus.extendedtypes.emf/META-INF/MANIFEST.MF30
-rw-r--r--plugins/infra/org.eclipse.papyrus.extendedtypes/META-INF/MANIFEST.MF59
-rw-r--r--plugins/infra/org.eclipse.papyrus.onefile/META-INF/MANIFEST.MF33
-rw-r--r--plugins/infra/org.eclipse.papyrus.ui.resources/META-INF/MANIFEST.MF31
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration.edit/META-INF/MANIFEST.MF22
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration/META-INF/MANIFEST.MF23
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.core.queries/META-INF/MANIFEST.MF43
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.controlmode.history/META-INF/MANIFEST.MF20
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.controlmode/META-INF/MANIFEST.MF49
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.core.resourceloading.preferences/META-INF/MANIFEST.MF37
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.core.resourceloading/META-INF/MANIFEST.MF38
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.decoration/META-INF/MANIFEST.MF21
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.markerlistener/META-INF/MANIFEST.MF32
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.service.edit/META-INF/MANIFEST.MF43
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.validation/META-INF/MANIFEST.MF41
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.properties.table/META-INF/MANIFEST.MF44
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.table.common/META-INF/MANIFEST.MF63
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.table.instance/META-INF/MANIFEST.MF27
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.table.menu/META-INF/MANIFEST.MF45
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.table.modelexplorer/META-INF/MANIFEST.MF48
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.ui.toolbox/META-INF/MANIFEST.MF49
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.widgets/META-INF/MANIFEST.MF51
-rw-r--r--plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/META-INF/MANIFEST.MF49
-rw-r--r--plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/creation/XtextValueFactory.java5
-rw-r--r--plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/editor/ReferenceXtextEditor.java10
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.gridAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.radialAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.springAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.treeAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF31
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool.subeditor.gmf/META-INF/MANIFEST.MF19
-rw-r--r--plugins/layout/org.eclipse.papyrus.layouttool/META-INF/MANIFEST.MF35
-rw-r--r--plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF228
-rw-r--r--plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF28
-rw-r--r--plugins/marte/org.eclipse.papyrus.marte.vsl/META-INF/MANIFEST.MF39
-rw-r--r--plugins/marte/properties/org.eclipse.papyrus.properties.tabbed.marte/META-INF/MANIFEST.MF33
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF41
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext/META-INF/MANIFEST.MF23
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF36
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext/META-INF/MANIFEST.MF21
-rw-r--r--plugins/ocl/org.eclipse.papyrus.constraintwithessentialocl.editor.xtext/META-INF/MANIFEST.MF43
-rw-r--r--plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF57
-rw-r--r--plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF32
-rw-r--r--plugins/others/org.eclipse.papyrus.parsers/META-INF/MANIFEST.MF60
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF20
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF34
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF23
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF14
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF13
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF55
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF108
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF53
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF64
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF41
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF32
-rw-r--r--plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF19
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF26
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF19
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF48
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF19
-rw-r--r--plugins/sysml/properties/org.eclipse.papyrus.properties.sysml/META-INF/MANIFEST.MF28
-rw-r--r--plugins/sysml/properties/org.eclipse.papyrus.properties.view.sysml/META-INF/MANIFEST.MF28
-rw-r--r--plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF23
-rw-r--r--plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF17
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.activity/META-INF/MANIFEST.MF70
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.clazz/META-INF/MANIFEST.MF58
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.common.groups/META-INF/MANIFEST.MF48
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.common.palette.customaction/META-INF/MANIFEST.MF39
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.common/META-INF/MANIFEST.MF166
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.communication/META-INF/MANIFEST.MF72
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.component/META-INF/MANIFEST.MF40
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.composite/META-INF/MANIFEST.MF66
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.deployment/META-INF/MANIFEST.MF36
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.emftree/META-INF/MANIFEST.MF28
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.icons.uml/META-INF/MANIFEST.MF26
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.menu/META-INF/MANIFEST.MF57
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.modelexplorer/META-INF/MANIFEST.MF43
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.profile/META-INF/MANIFEST.MF83
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.sequence/META-INF/MANIFEST.MF36
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.statemachine/META-INF/MANIFEST.MF142
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.diagram.usecase/META-INF/MANIFEST.MF34
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.navigation.uml/META-INF/MANIFEST.MF26
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration.edit/META-INF/MANIFEST.MF25
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration/META-INF/MANIFEST.MF66
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.pkg/META-INF/MANIFEST.MF36
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.wizards/META-INF/MANIFEST.MF37
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF32
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.classpath1
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF21
-rw-r--r--plugins/uml/org.eclipse.papyrus.compare.ui/META-INF/MANIFEST.MF23
-rw-r--r--plugins/uml/org.eclipse.papyrus.compare/META-INF/MANIFEST.MF10
-rw-r--r--plugins/uml/org.eclipse.papyrus.controlmode.umlprofiles/META-INF/MANIFEST.MF37
-rw-r--r--plugins/uml/org.eclipse.papyrus.documentation.uml/META-INF/MANIFEST.MF28
-rw-r--r--plugins/uml/org.eclipse.papyrus.extensionpoints.uml2/META-INF/MANIFEST.MF26
-rw-r--r--plugins/uml/org.eclipse.papyrus.icons.uml/META-INF/MANIFEST.MF27
-rw-r--r--plugins/uml/org.eclipse.papyrus.pastemanager/META-INF/MANIFEST.MF41
-rw-r--r--plugins/uml/org.eclipse.papyrus.perspective/META-INF/MANIFEST.MF31
-rw-r--r--plugins/uml/org.eclipse.papyrus.profile/META-INF/MANIFEST.MF67
-rw-r--r--plugins/uml/org.eclipse.papyrus.resourceloading.umlprofile/META-INF/MANIFEST.MF22
-rw-r--r--plugins/uml/org.eclipse.papyrus.templaterepository/META-INF/MANIFEST.MF28
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF37
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF39
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF21
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF40
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.standard.edit/META-INF/MANIFEST.MF21
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.standard/META-INF/MANIFEST.MF17
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF33
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.properties.runtime.uml/META-INF/MANIFEST.MF38
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.properties.tabbed.profile/META-INF/MANIFEST.MF35
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.properties.uml/META-INF/MANIFEST.MF64
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.properties.view.uml/META-INF/MANIFEST.MF36
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.appearance/META-INF/MANIFEST.MF21
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.comments/META-INF/MANIFEST.MF49
-rw-r--r--plugins/uml/table/org.eclipse.papyrus.table.default/META-INF/MANIFEST.MF38
-rw-r--r--plugins/uml/table/org.eclipse.papyrus.table.widgets.celleditors.uml/META-INF/MANIFEST.MF46
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.generator/META-INF/MANIFEST.MF35
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.ui/META-INF/MANIFEST.MF39
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext/META-INF/MANIFEST.MF24
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.generator/META-INF/MANIFEST.MF35
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.ui/META-INF/MANIFEST.MF38
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext/META-INF/MANIFEST.MF37
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext.ui/META-INF/MANIFEST.MF32
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext/META-INF/MANIFEST.MF32
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.generator/META-INF/MANIFEST.MF35
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.ui/META-INF/MANIFEST.MF30
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext/META-INF/MANIFEST.MF25
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.generator/META-INF/MANIFEST.MF35
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.ui/META-INF/MANIFEST.MF40
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext/META-INF/MANIFEST.MF25
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.generator/META-INF/MANIFEST.MF35
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.ui/META-INF/MANIFEST.MF37
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext/META-INF/MANIFEST.MF37
-rwxr-xr-xplugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.generator/META-INF/MANIFEST.MF33
-rwxr-xr-xplugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.ui/META-INF/MANIFEST.MF30
-rwxr-xr-xplugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext/META-INF/MANIFEST.MF37
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.generator/META-INF/MANIFEST.MF35
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.ui/META-INF/MANIFEST.MF47
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext/META-INF/MANIFEST.MF38
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.extendedtypes.uml/META-INF/MANIFEST.MF51
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.umlutils/META-INF/MANIFEST.MF35
-rw-r--r--plugins/views/documentation/org.eclipse.papyrus.documentation.view.papyrus/META-INF/MANIFEST.MF26
-rw-r--r--plugins/views/documentation/org.eclipse.papyrus.documentation.view/META-INF/MANIFEST.MF42
-rw-r--r--plugins/views/documentation/org.eclipse.papyrus.documentation/META-INF/MANIFEST.MF31
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.resourceloading/META-INF/MANIFEST.MF48
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.widgets/META-INF/MANIFEST.MF38
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer/META-INF/MANIFEST.MF93
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.properties.model.edit/META-INF/MANIFEST.MF27
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.properties.model.editor/META-INF/MANIFEST.MF25
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.properties.model/META-INF/MANIFEST.MF44
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.properties.runtime/META-INF/MANIFEST.MF79
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.properties.tabbed.core/META-INF/MANIFEST.MF50
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.properties.tabbed.customization/META-INF/MANIFEST.MF71
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.properties/META-INF/MANIFEST.MF102
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.tabbedproperties.core/META-INF/MANIFEST.MF30
-rw-r--r--sandbox/org.eclipse.papyrus.eclipse.project.editors/META-INF/MANIFEST.MF43
-rw-r--r--sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/file/ManifestEditor.java23
-rw-r--r--sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/interfaces/IManifestEditor.java2
186 files changed, 3848 insertions, 3483 deletions
diff --git a/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
index a98d6e693db..da63c12da4b 100644
--- a/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
@@ -1,21 +1,24 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.extensionpoints.editors;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.extensionpoints.editors.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui.editors;bundle-version="3.4.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.emf.edit.ui;bundle-version="2.4.0",
- org.antlr.runtime;bundle-version="3.0.0"
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.extensionpoints.editors.configuration,
- org.eclipse.papyrus.extensionpoints.editors.definition,
- org.eclipse.papyrus.extensionpoints.editors.preferences,
- org.eclipse.papyrus.extensionpoints.editors.ui,
- org.eclipse.papyrus.extensionpoints.editors.ui.images,
- org.eclipse.papyrus.extensionpoints.editors.utils
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui.editors;bundle-version="3.4.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.emf.edit.ui;bundle-version:="2.4.0",
+ org.antlr.runtime;bundle-version="3.0.0"
+Export-Package: org.eclipse.papyrus.extensionpoints.editors,
+ org.eclipse.papyrus.extensionpoints.editors.configuration,
+ org.eclipse.papyrus.extensionpoints.editors.definition,
+ org.eclipse.papyrus.extensionpoints.editors.preferences,
+ org.eclipse.papyrus.extensionpoints.editors.ui,
+ org.eclipse.papyrus.extensionpoints.editors.ui.images,
+ org.eclipse.papyrus.extensionpoints.editors.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.extensionpoints.editors.Activato
+ r
+Bundle-SymbolicName: org.eclipse.papyrus.extensionpoints.editors;singl
+ eton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
index 6bf734ba6b5..ba505e4ba87 100644
--- a/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
@@ -1,14 +1,15 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.readonly;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.readonly.Activator
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.2",
- org.eclipse.papyrus.onefile;bundle-version="0.8.2",
- org.eclipse.core.expressions;bundle-version="3.4.300"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.readonly,
- org.eclipse.papyrus.readonly.handlers
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.onefile;bundle-version="0.9.0",
+ org.eclipse.core.expressions;bundle-version="3.4.300"
+Export-Package: org.eclipse.papyrus.readonly,
+ org.eclipse.papyrus.readonly.handlers
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.readonly.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.readonly;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF
index 28f5df7744b..1c8853a3eaa 100644
--- a/plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.svn;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.svn.Activator
-Require-Bundle: org.eclipse.papyrus.onefile,
- org.eclipse.team.svn.ui,
- org.eclipse.gmf.runtime.common.core,
- org.eclipse.emf.ecore,
- org.eclipse.team.svn.core,
- org.eclipse.papyrus.readonly;bundle-version="0.8.2",
- org.eclipse.papyrus.commands
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.svn
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.onefile;bundle-version="0.9.0",
+ org.eclipse.team.svn.ui,
+ org.eclipse.gmf.runtime.common.core,
+ org.eclipse.emf.ecore,
+ org.eclipse.team.svn.core,
+ org.eclipse.papyrus.readonly;bundle-version="0.9.0",
+ org.eclipse.papyrus.commands;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.svn
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.svn.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.svn;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
index 8670f0b7294..4bb9d9773ec 100644
--- a/plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
@@ -1,31 +1,32 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: XText GMF Glue (Incubation)
-Bundle-SymbolicName: org.eclipse.xtext.gmf.glue;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.xtext.gmf.glue.Activator
-Bundle-Vendor: Eclipse Modeling Project
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.emf.common;bundle-version="2.5.0",
- org.eclipse.xtext;bundle-version="1.0.1",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.2.1";visibility:=reexport,
- org.eclipse.ui.ide;bundle-version="3.5.0",
- org.eclipse.xtext.ui;bundle-version="0.8.0",
- org.eclipse.core.expressions;bundle-version="3.4.100",
- org.eclipse.xtext.ui.shared;bundle-version="1.0.1",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.sasheditor;bundle-version="0.8.0",
- org.eclipse.papyrus.editor;bundle-version="0.8.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.xtext.gmf.glue,
- org.eclipse.xtext.gmf.glue.concurrency,
- org.eclipse.xtext.gmf.glue.contentassist,
- org.eclipse.xtext.gmf.glue.edit.part,
- org.eclipse.xtext.gmf.glue.editingdomain,
- org.eclipse.xtext.gmf.glue.partialEditing
-Import-Package: org.apache.log4j;version="1.2.15"
+Manifest-Version: 1.0
+Export-Package: org.eclipse.xtext.gmf.glue,
+ org.eclipse.xtext.gmf.glue.concurrency,
+ org.eclipse.xtext.gmf.glue.contentassist,
+ org.eclipse.xtext.gmf.glue.edit.part,
+ org.eclipse.xtext.gmf.glue.editingdomain,
+ org.eclipse.xtext.gmf.glue.partialEditing
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.emf.common;bundle-version="2.5.0",
+ org.eclipse.xtext;bundle-version="1.0.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.2.1";visibility:=reexport,
+ org.eclipse.ui.ide;bundle-version="3.5.0",
+ org.eclipse.xtext.ui;bundle-version="0.8.0",
+ org.eclipse.core.expressions;bundle-version="3.4.100",
+ org.eclipse.xtext.ui.shared;bundle-version="1.0.1",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version="3.1.0",
+ org.eclipse.papyrus.sasheditor;bundle-version="0.9.0",
+ org.eclipse.papyrus.editor;bundle-version="0.9.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0"
+Bundle-Vendor: Eclipse Modeling Project
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: XText GMF Glue (Incubation)
+Bundle-Activator: org.eclipse.xtext.gmf.glue.Activator
+Bundle-ManifestVersion: 2
+Import-Package: org.apache.log4j;version="1.2.15"
+Bundle-SymbolicName: org.eclipse.xtext.gmf.glue;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF
index 5b84b8eac74..63402da8a50 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF
@@ -1,13 +1,14 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",org.eclipse.core
- .runtime;bundle-version="3.7.0",org.eclipse.papyrus.paletteconfigurat
- ion;bundle-version="0.8.0",org.eclipse.uml2.uml;bundle-version="3.2.0
- ",org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",org.e
- clipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",org.eclipse.p
- apyrus.extendedtypes;bundle-version="0.8.0",org.eclipse.papyrus.palet
- teconfiguration.edit;bundle-version="0.8.0"
-Export-Package: org.eclipse.papyrus.paletteconfiguration.customization
- ,org.eclipse.papyrus.paletteconfiguration.customization.queries
+Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
+ org.eclipse.core.runtime;bundle-version="3.7.0",
+ org.eclipse.papyrus.paletteconfiguration;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version="3.2.0",
+ org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
+ org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0",
+ org.eclipse.papyrus.paletteconfiguration.edit;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.paletteconfiguration.customization,
+ org.eclipse.papyrus.paletteconfiguration.customization.queries
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF
index 260c930fa1e..750a15a1f2e 100644
--- a/plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF
@@ -1,31 +1,32 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.customization;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.customization.model.customization,
- org.eclipse.papyrus.customization.model.customization.impl,
- org.eclipse.papyrus.customization.model.customization.util
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.ui;bundle-version="3.7.0",
- org.eclipse.emf.ecore,
- org.eclipse.pde;bundle-version="3.6.100",
- org.eclipse.core.resources;bundle-version="3.7.100",
- org.eclipse.pde.core;bundle-version="3.7.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.properties;bundle-version="0.8.0",
- org.eclipse.pde.ui;bundle-version="3.6.100",
- org.eclipse.ui.ide;bundle-version="3.7.0",
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.papyrus.eclipse.project.editors;bundle-version="0.8.0",
- org.eclipse.core.databinding;bundle-version="1.4.0",
- org.eclipse.emf.edit;bundle-version="2.7.0",
- org.eclipse.emf.databinding;bundle-version="1.2.0"
-Bundle-ActivationPolicy: lazy
-Bundle-Activator: org.eclipse.papyrus.customization.Activator
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.customization.model.customization,
+ org.eclipse.papyrus.customization.model.customization.impl,
+ org.eclipse.papyrus.customization.model.customization.util
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.ui;bundle-version:="3.7.0",
+ org.eclipse.emf.ecore,
+ org.eclipse.pde;bundle-version="3.6.100",
+ org.eclipse.core.resources;bundle-version="3.7.100",
+ org.eclipse.pde.core;bundle-version="3.7.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.papyrus.properties;bundle-version="0.9.0",
+ org.eclipse.pde.ui;bundle-version="3.6.100",
+ org.eclipse.ui.ide;bundle-version:="3.7.0",
+ org.eclipse.papyrus.properties.model;bundle-version:="0.9.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.eclipse.project.editors;bundle-version="0.9.0",
+ org.eclipse.core.databinding;bundle-version="1.4.0",
+ org.eclipse.emf.edit;bundle-version:="2.7.0",
+ org.eclipse.emf.databinding;bundle-version="1.2.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.customization.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.customization;singleton:=true
+
diff --git a/plugins/customization/org.eclipse.papyrus.diagram.common.palette.customization/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.diagram.common.palette.customization/META-INF/MANIFEST.MF
index fadfee8268e..0a2f1fa900d 100644
--- a/plugins/customization/org.eclipse.papyrus.diagram.common.palette.customization/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.diagram.common.palette.customization/META-INF/MANIFEST.MF
@@ -1,24 +1,27 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %fragmentName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.palette.customization;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Vendor: %providerName
-Fragment-Host: org.eclipse.papyrus.diagram.common;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.pde;bundle-version="3.6.0",
- org.eclipse.pde.ui;bundle-version="3.6.0",
- org.eclipse.papyrus.paletteconfiguration;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
- org.eclipse.papyrus.paletteconfiguration.customization;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0"
-Export-Package: org.eclipse.papyrus.diagram.common.palette.customization,
- org.eclipse.papyrus.diagram.common.palette.customization.dialog,
- org.eclipse.papyrus.diagram.common.palette.customization.proxies,
- org.eclipse.papyrus.diagram.common.part
-Eclipse-PatchFragment: true
-Bundle-ClassPath: .
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.pde;bundle-version="3.6.0",
+ org.eclipse.pde.ui;bundle-version="3.6.0",
+ org.eclipse.papyrus.paletteconfiguration;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.browser;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.core;bundle-version:="0.1.0",
+ org.eclipse.papyrus.paletteconfiguration.customization;bundle-version:="0.9.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version:="0.1.0"
+Export-Package: org.eclipse.papyrus.diagram.common.palette.customization,
+ org.eclipse.papyrus.diagram.common.palette.customization.dialog,
+ org.eclipse.papyrus.diagram.common.palette.customization.proxies,
+ org.eclipse.papyrus.diagram.common.part
+Bundle-Vendor: %providerName
+Fragment-Host: org.eclipse.papyrus.diagram.common;bundle-version="0.8.
+ 0"
+Eclipse-PatchFragment: true
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %fragmentName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.palette.custom
+ ization;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/customization/org.eclipse.papyrus.properties.customization/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.properties.customization/META-INF/MANIFEST.MF
index dc07e5ab9cf..cf8fe8147d5 100644
--- a/plugins/customization/org.eclipse.papyrus.properties.customization/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.properties.customization/META-INF/MANIFEST.MF
@@ -1,32 +1,36 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.properties.customization;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.customization.Activator
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.core.resources;bundle-version="3.6.0",
- org.eclipse.core.databinding.observable;bundle-version="1.3.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.100",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.properties;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.model.xwt;bundle-version="0.8.0",
- org.eclipse.emf.ecore.editor;bundle-version="2.6.0",
- org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.emf.databinding;bundle-version="1.2.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .,bin
-Export-Package: org.eclipse.papyrus.properties.customization.editor,
- org.eclipse.papyrus.properties.customization.modelelement,
- org.eclipse.papyrus.properties.customization.providers
-Bundle-Vendor: %Bundle-Vendor
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.core.resources;bundle-version:="3.6.0",
+ org.eclipse.core.databinding.observable;bundle-version:="1.3.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version:="3.5.100",
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties;bundle-version:="0.9.0",
+ org.eclipse.papyrus.properties.model;bundle-version:="0.9.0",
+ org.eclipse.papyrus.properties.model.xwt;bundle-version:="0.9.0",
+ org.eclipse.emf.ecore.editor;bundle-version="2.6.0",
+ org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
+ org.eclipse.emf.databinding;bundle-version:="1.2.0"
+Export-Package: org.eclipse.papyrus.properties.customization.editor,
+ org.eclipse.papyrus.properties.customization.modelelement,
+ org.eclipse.papyrus.properties.customization.providers
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .,
+ bin
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.customization.Activat
+ or
+Bundle-SymbolicName: org.eclipse.papyrus.properties.customization;sing
+ leton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/customization/org.eclipse.papyrus.properties.generation/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.properties.generation/META-INF/MANIFEST.MF
index 22bdcd2a99f..2ecb19ea350 100644
--- a/plugins/customization/org.eclipse.papyrus.properties.generation/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.properties.generation/META-INF/MANIFEST.MF
@@ -1,32 +1,35 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.properties.generation;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.generation.Activator
+Export-Package: org.eclipse.papyrus.properties.generation,
+ org.eclipse.papyrus.properties.generation.generators,
+ org.eclipse.papyrus.properties.generation.layout,
+ org.eclipse.papyrus.properties.generation.wizard,
+ org.eclipse.papyrus.properties.generation.wizard.widget
Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .,bin
-Bundle-Vendor: %Bundle-Vendor
+Bundle-ClassPath: .,
+ bin
+Bundle-Name: %Bundle-Name
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui;bundle-version="3.6.1",
org.eclipse.osgi;bundle-version="3.6.1",
org.eclipse.core.runtime;bundle-version="3.6.0",
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0",
org.eclipse.m2m.qvt.oml;bundle-version="3.0.1",
org.eclipse.m2m.qvt.oml.common;bundle-version="2.1.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.model.edit;bundle-version="0.8.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.papyrus.properties.model.edit;bundle-version:="0.9.0",
org.eclipse.emf.common.ui;bundle-version="2.6.0",
org.eclipse.core.resources;bundle-version="3.6.0",
- org.eclipse.uml2.uml;bundle-version="3.1.1",
- org.eclipse.papyrus.properties;bundle-version="0.8.0",
+ org.eclipse.uml2.uml;bundle-version:="3.1.1",
+ org.eclipse.papyrus.properties;bundle-version="0.9.0",
org.eclipse.core.databinding;bundle-version="1.3.100",
org.eclipse.emf.databinding;bundle-version="1.2.0",
org.eclipse.core.databinding.property;bundle-version="1.3.0",
- org.eclipse.papyrus.properties.model.xwt;bundle-version="0.8.0"
-Export-Package: org.eclipse.papyrus.properties.generation,
- org.eclipse.papyrus.properties.generation.generators,
- org.eclipse.papyrus.properties.generation.layout,
- org.eclipse.papyrus.properties.generation.wizard,
- org.eclipse.papyrus.properties.generation.wizard.widget
+ org.eclipse.papyrus.properties.model.xwt;bundle-version="0.9.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-Version: 0.9.0.qualifier
Eclipse-BuddyPolicy: dependent
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.generation.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.generation;singlet
+ on:=true
+
diff --git a/plugins/customization/org.eclipse.papyrus.properties.model.xwt/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.properties.model.xwt/META-INF/MANIFEST.MF
index 8ee91513777..b3d9d4bc935 100644
--- a/plugins/customization/org.eclipse.papyrus.properties.model.xwt/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.properties.model.xwt/META-INF/MANIFEST.MF
@@ -1,20 +1,22 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.properties.model.xwt;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.model.xwt.Activator
-Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.m2m.qvt.oml;bundle-version="3.1.0",
- org.eclipse.gmt.modisco.xml;bundle-version="0.9.0",
- org.eclipse.gmt.modisco.xml.discoverer;bundle-version="0.9.0",
- org.eclipse.papyrus.properties;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.wst.xml.core;bundle-version="1.1.600",
- org.eclipse.core.resources;bundle-version="3.7.100"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.properties.model.xwt.resource
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.m2m.qvt.oml;bundle-version="3.1.0",
+ org.eclipse.gmt.modisco.xml;bundle-version:="0.9.0",
+ org.eclipse.gmt.modisco.xml.discoverer;bundle-version:="0.9.0",
+ org.eclipse.papyrus.properties;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.wst.xml.core;bundle-version:="1.1.600",
+ org.eclipse.core.resources;bundle-version="3.7.100"
+Export-Package: org.eclipse.papyrus.properties.model.xwt.resource
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.model.xwt.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.model.xwt;singleto
+ n:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF
index 16156e25c76..f6266aa3138 100644
--- a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF
+++ b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF
@@ -1,13 +1,16 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.ui.perspectiveconfiguration;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.ui.perspectiveconfiguration.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.log;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.log;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.ui.perspectiveconfiguration.Acti
+ vator
+Bundle-SymbolicName: org.eclipse.papyrus.ui.perspectiveconfiguration;s
+ ingleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF b/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
index 1f76ccd0838..64d9ab758d0 100644
--- a/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
+++ b/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
@@ -1,12 +1,13 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.editor;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.editor.Activator
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.editor
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.editor
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.editor.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.editor;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/core/org.eclipse.papyrus.core.adaptor.emf/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.core.adaptor.emf/META-INF/MANIFEST.MF
index 4718f6fdac0..fada431d5fb 100644
--- a/plugins/infra/core/org.eclipse.papyrus.core.adaptor.emf/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.core.adaptor.emf/META-INF/MANIFEST.MF
@@ -1,12 +1,14 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.core.adaptor.emf;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.core.adaptor.emf.Activator
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.core.adaptor.emf
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.core.adaptor.emf
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.core.adaptor.emf.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.core.adaptor.emf;singleton:=t
+ rue
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/core/org.eclipse.papyrus.core.adaptor.gmf/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.core.adaptor.gmf/META-INF/MANIFEST.MF
index 2fb962281b4..36ff059b36f 100644
--- a/plugins/infra/core/org.eclipse.papyrus.core.adaptor.gmf/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.core.adaptor.gmf/META-INF/MANIFEST.MF
@@ -1,16 +1,18 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.core.adaptor.gmf;singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Export-Package: org.eclipse.papyrus.core.adaptor.gmf
+Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Vendor: %providerName
+Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Activator: org.eclipse.papyrus.core.adaptor.gmf.Activator
-Export-Package: org.eclipse.papyrus.core.adaptor.gmf
Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.5.0",
org.eclipse.emf.ecore.edit;bundle-version="2.5.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.core.adaptor.gmf.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.core.adaptor.gmf;singleton:=t
+ rue
+
diff --git a/plugins/infra/core/org.eclipse.papyrus.core/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.core/META-INF/MANIFEST.MF
index d6a992668ee..24eb2b2e474 100644
--- a/plugins/infra/core/org.eclipse.papyrus.core/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.core/META-INF/MANIFEST.MF
@@ -1,35 +1,36 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.core;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.core.Activator
-Require-Bundle: org.eclipse.papyrus.sasheditor;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.sasheditor.di;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.ui.ide;bundle-version="3.4.0";visibility:=reexport,
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.1.0";visibility:=reexport,
- org.eclipse.emf.edit.ui;bundle-version="2.6.0";visibility:=reexport,
- org.eclipse.papyrus.commands;visibility:=reexport
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.core,
- org.eclipse.papyrus.core.contentoutline,
- org.eclipse.papyrus.core.editor,
- org.eclipse.papyrus.core.editorsfactory,
- org.eclipse.papyrus.core.extension,
- org.eclipse.papyrus.core.extension.commands,
- org.eclipse.papyrus.core.extension.diagrameditor,
- org.eclipse.papyrus.core.lifecycleevents,
- org.eclipse.papyrus.core.listenerservice,
- org.eclipse.papyrus.core.modelsetquery,
- org.eclipse.papyrus.core.modelsetquery.impl;x-friends:="org.eclipse.papyrus.resourceloading.umlprofile",
- org.eclipse.papyrus.core.multidiagram.actionbarcontributor,
- org.eclipse.papyrus.core.services,
- org.eclipse.papyrus.core.ui,
- org.eclipse.papyrus.core.utils,
- org.eclipse.papyrus.resource,
- org.eclipse.papyrus.resource.notation,
- org.eclipse.papyrus.resource.sasheditor,
- org.eclipse.papyrus.resource.uml
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.sasheditor;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.sasheditor.di;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.ui.ide;bundle-version="3.4.0";visibility:=reexport,
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.1.0";visibility:=reexport,
+ org.eclipse.emf.edit.ui;bundle-version="2.6.0";visibility:=reexport,
+ org.eclipse.papyrus.commands;bundle-version="0.9.0";visibility:=reexport
+Export-Package: org.eclipse.papyrus.core,
+ org.eclipse.papyrus.core.contentoutline,
+ org.eclipse.papyrus.core.editor,
+ org.eclipse.papyrus.core.editorsfactory,
+ org.eclipse.papyrus.core.extension,
+ org.eclipse.papyrus.core.extension.commands,
+ org.eclipse.papyrus.core.extension.diagrameditor,
+ org.eclipse.papyrus.core.lifecycleevents,
+ org.eclipse.papyrus.core.listenerservice,
+ org.eclipse.papyrus.core.modelsetquery,
+ org.eclipse.papyrus.core.modelsetquery.impl;x-friends:="org.eclipse.papyrus.resourceloading.umlprofile",
+ org.eclipse.papyrus.core.multidiagram.actionbarcontributor,
+ org.eclipse.papyrus.core.services,
+ org.eclipse.papyrus.core.ui,
+ org.eclipse.papyrus.core.utils,
+ org.eclipse.papyrus.resource,
+ org.eclipse.papyrus.resource.notation,
+ org.eclipse.papyrus.resource.sasheditor,
+ org.eclipse.papyrus.resource.uml
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.core.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.core;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/core/org.eclipse.papyrus.log/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.log/META-INF/MANIFEST.MF
index 787d2815df5..37d3ff461be 100644
--- a/plugins/infra/core/org.eclipse.papyrus.log/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.log/META-INF/MANIFEST.MF
@@ -1,12 +1,13 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.log
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.log.internal.Activator
-Require-Bundle: org.eclipse.core.runtime
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.log
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.log
+Require-Bundle: org.eclipse.core.runtime
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.log.internal.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.log
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/core/org.eclipse.papyrus.sasheditor.di/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.sasheditor.di/META-INF/MANIFEST.MF
index 7d1f7480b29..ac6310e4606 100644
--- a/plugins/infra/core/org.eclipse.papyrus.sasheditor.di/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.sasheditor.di/META-INF/MANIFEST.MF
@@ -1,26 +1,26 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.sasheditor.di;singleton:=true
-Bundle-Version: 0.8.1.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.sasheditor.contentprovider.di,
- org.eclipse.papyrus.sasheditor.contentprovider.di.commands,
- org.eclipse.papyrus.sasheditor.contentprovider.di.utils,
- org.eclipse.papyrus.sashwindows.di,
- org.eclipse.papyrus.sashwindows.di.exception,
- org.eclipse.papyrus.sashwindows.di.impl,
- org.eclipse.papyrus.sashwindows.di.util
Require-Bundle: org.eclipse.swt;bundle-version="3.5.0";visibility:=reexport,
- org.eclipse.papyrus.sasheditor;bundle-version="0.8.0";visibility:=reexport,
+ org.eclipse.papyrus.sasheditor;bundle-version:="0.9.0";visibility:=reexport,
org.eclipse.ui;bundle-version="3.6.0",
org.eclipse.core.runtime;bundle-version="3.6.0",
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;bundle-version="2.5.0",
org.eclipse.emf.transaction;bundle-version="1.4.0",
org.eclipse.gmf.runtime.notation;bundle-version="1.5.0"
+Export-Package: org.eclipse.papyrus.sasheditor.contentprovider.di,
+ org.eclipse.papyrus.sasheditor.contentprovider.di.commands,
+ org.eclipse.papyrus.sasheditor.contentprovider.di.utils,
+ org.eclipse.papyrus.sashwindows.di,
+ org.eclipse.papyrus.sashwindows.di.exception,
+ org.eclipse.papyrus.sashwindows.di.impl,
+ org.eclipse.papyrus.sashwindows.di.util
+Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.sasheditor.di;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/core/org.eclipse.papyrus.sasheditor/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.sasheditor/META-INF/MANIFEST.MF
index 63e3a8262b2..9bc12288cef 100644
--- a/plugins/infra/core/org.eclipse.papyrus.sasheditor/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.sasheditor/META-INF/MANIFEST.MF
@@ -1,11 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.sasheditor;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Export-Package: org.eclipse.papyrus.sasheditor,
org.eclipse.papyrus.sasheditor.contentprovider,
org.eclipse.papyrus.sasheditor.contentprovider.simple,
@@ -14,10 +7,18 @@ Export-Package: org.eclipse.papyrus.sasheditor,
org.eclipse.papyrus.sasheditor.editor.gef,
org.eclipse.papyrus.sasheditor.multipage.editor
Bundle-ActivationPolicy: lazy
-Bundle-Activator: org.eclipse.papyrus.sasheditor.Activator
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.gef,
- org.junit;bundle-version="4.8.1";resolution:=optional,
- org.eclipse.papyrus.log;visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.7.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+ org.junit;bundle-version:="4.8.1";resolution:=optional,
+ org.eclipse.papyrus.log;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.core.runtime;bundle-version:="3.7.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sasheditor.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.sasheditor;singleton:=true
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF
index 6064104fca8..57a1db4368f 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Export-Package: org.eclipse.papyrus.commands,
org.eclipse.papyrus.commands.wrappers
Require-Bundle: org.eclipse.ui.workbench,
- org.eclipse.papyrus.log,
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
org.eclipse.gmf.runtime.common.core,
org.eclipse.emf.common,
org.eclipse.gef,
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF
index 13787829129..2a956081fcf 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF
@@ -1,23 +1,24 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.navigation;singleton:=true
-Bundle-Version: 0.8.1.qualifier
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.commands,
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
- org.eclipse.core.expressions;bundle-version="3.4.300",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.1",
- org.eclipse.ui.navigator;bundle-version="3.5.100",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.papyrus.ui.perspectiveconfiguration
Export-Package: org.eclipse.papyrus.navigation,
org.eclipse.papyrus.navigation.decorator,
org.eclipse.papyrus.navigation.preference
+Require-Bundle: org.eclipse.papyrus.core;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.commands;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.core.expressions;bundle-version:="3.4.300",
+ org.eclipse.papyrus.modelexplorer;bundle-version:="0.9.0",
+ org.eclipse.ui.navigator;bundle-version="3.5.100",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.papyrus.ui.perspectiveconfiguration;bundle-version="0.9.0"
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.navigation.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.navigation;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF
index cc68e83d23c..e0d801c0c5b 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF
@@ -1,16 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.outline;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.outline.internal.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
- org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.outline,
- org.eclipse.papyrus.outline.internal;x-internal:=true,
- org.eclipse.papyrus.outline.overview
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
+ org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.outline,
+ org.eclipse.papyrus.outline.internal;x-internal:=true,
+ org.eclipse.papyrus.outline.overview
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.outline.internal.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.outline;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF
index 8d3b8a49e2d..37a81ecc553 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF
@@ -1,22 +1,23 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.preferences;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.preferences.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.papyrus.log;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.preferences.initializer,
- org.eclipse.papyrus.preferences.jface.preference;x-internal:=true,
- org.eclipse.papyrus.preferences.jface.preference.dialogs,
- org.eclipse.papyrus.preferences.pages,
- org.eclipse.papyrus.preferences.pages.internal;x-internal:=true,
- org.eclipse.papyrus.preferences.ui,
- org.eclipse.papyrus.preferences.ui.diagram,
- org.eclipse.papyrus.preferences.ui.editor,
- org.eclipse.papyrus.preferences.utils
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties,
+ org.eclipse.papyrus.log;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.preferences,
+ org.eclipse.papyrus.preferences.initializer,
+ org.eclipse.papyrus.preferences.jface.preference;x-internal:=true,
+ org.eclipse.papyrus.preferences.jface.preference.dialogs,
+ org.eclipse.papyrus.preferences.pages,
+ org.eclipse.papyrus.preferences.pages.internal;x-internal:=true,
+ org.eclipse.papyrus.preferences.ui,
+ org.eclipse.papyrus.preferences.ui.diagram,
+ org.eclipse.papyrus.preferences.ui.editor,
+ org.eclipse.papyrus.preferences.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.preferences.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.preferences;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF
index 70f9c7aac32..736863b56cd 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF
@@ -1,25 +1,27 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.properties.notation;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.notation.Activator
-Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.properties;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.notation;bundle-version="1.4.1",
- org.eclipse.gef;bundle-version="3.7.0",
- org.eclipse.emf.edit;bundle-version="2.7.0",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.core.databinding;bundle-version="1.4.0",
- org.eclipse.emf.databinding;bundle-version="1.2.0",
- org.eclipse.core.databinding.property;bundle-version="1.4.0",
- org.eclipse.core.databinding.beans;bundle-version="1.2.100",
- org.eclipse.papyrus.properties.uml;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.emf.edit.ui;bundle-version="2.7.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.properties;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.notation;bundle-version:="1.4.1",
+ org.eclipse.gef;bundle-version="3.7.0",
+ org.eclipse.emf.edit;bundle-version="2.7.0",
+ org.eclipse.papyrus.widgets;bundle-version:="0.9.0",
+ org.eclipse.core.databinding;bundle-version="1.4.0",
+ org.eclipse.emf.databinding;bundle-version="1.2.0",
+ org.eclipse.core.databinding.property;bundle-version="1.4.0",
+ org.eclipse.core.databinding.beans;bundle-version="1.2.100",
+ org.eclipse.papyrus.properties.uml;bundle-version="0.9.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.emf.edit.ui;bundle-version="2.7.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.notation.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.notation;singleton
+ :=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF
index 31eacc2564f..63fbf0b2c5e 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF
@@ -1,18 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.widgets.gmf;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.widgets.gmf.Activator
-Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.4.2",
- org.eclipse.core.databinding;bundle-version="1.4.0",
- org.eclipse.jface.databinding;bundle-version="1.5.0",
- org.eclipse.core.databinding.property;bundle-version="1.4.0",
- org.eclipse.papyrus.properties;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.4.2",
+ org.eclipse.core.databinding;bundle-version:="1.4.0",
+ org.eclipse.jface.databinding;bundle-version="1.5.0",
+ org.eclipse.core.databinding.property;bundle-version="1.4.0",
+ org.eclipse.papyrus.properties;bundle-version="0.9.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.widgets.gmf.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.widgets.gmf;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/org.eclipse.papyrus.export/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.export/META-INF/MANIFEST.MF
index aa873162831..e2fc049b224 100644
--- a/plugins/infra/org.eclipse.papyrus.export/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.export/META-INF/MANIFEST.MF
@@ -1,18 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.export; singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.export.internal.Activator
-Require-Bundle: org.eclipse.ui.ide;bundle-version="3.7.0",
- org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.4.1",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.core.expressions;bundle-version="3.4.300",
- org.eclipse.papyrus.tabbedproperties.core;bundle-version="0.8.1",
- org.eclipse.emf.common.ui;bundle-version="2.7.0",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.1",
- org.eclipse.papyrus.onefile;bundle-version="0.8.1"
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.export
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui.ide;bundle-version="3.7.0",
+ org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
+ org.eclipse.core.expressions;bundle-version="3.4.300",
+ org.eclipse.papyrus.tabbedproperties.core;bundle-version="0.9.0",
+ org.eclipse.emf.common.ui;bundle-version:="2.7.0",
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.papyrus.onefile;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.export
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.export.internal.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.export;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/org.eclipse.papyrus.extendedtypes.emf/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.extendedtypes.emf/META-INF/MANIFEST.MF
index 14b2894a8b0..3ba96b62fd2 100644
--- a/plugins/infra/org.eclipse.papyrus.extendedtypes.emf/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.extendedtypes.emf/META-INF/MANIFEST.MF
@@ -1,27 +1,29 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.extendedtypes.emf;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.extendedtypes.emf,
org.eclipse.papyrus.extendedtypes.emf.modifysemanticvaluesactionconfiguration,
org.eclipse.papyrus.extendedtypes.emf.modifysemanticvaluesactionconfiguration.impl,
org.eclipse.papyrus.extendedtypes.emf.modifysemanticvaluesactionconfiguration.util,
org.eclipse.papyrus.extendedtypes.emf.providers
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.emf.ecore;bundle-version="2.7.0";visibility:=reexport,
org.eclipse.emf.ecore.xmi;bundle-version="2.6.0";visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.extendedtypes;bundle-version="0.8.0";visibility:=reexport,
+ org.eclipse.papyrus.core.queries.configuration;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.facet.infra.query;bundle-version="0.1.0";visibility:=reexport,
org.eclipse.uml2.uml;bundle-version="3.2.0";visibility:=reexport,
- org.eclipse.papyrus.log;bundle-version="0.8.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
org.eclipse.ui;bundle-version="3.7.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.core.queries;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.queries;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.extendedtypes.emf.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.extendedtypes.emf;singleton:=
+ true
+
diff --git a/plugins/infra/org.eclipse.papyrus.extendedtypes/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.extendedtypes/META-INF/MANIFEST.MF
index b772a9d2cd2..04d7e874f03 100644
--- a/plugins/infra/org.eclipse.papyrus.extendedtypes/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.extendedtypes/META-INF/MANIFEST.MF
@@ -1,29 +1,30 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.extendedtypes;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.extendedtypes,
- org.eclipse.papyrus.extendedtypes.advices,
- org.eclipse.papyrus.extendedtypes.impl,
- org.eclipse.papyrus.extendedtypes.preferences,
- org.eclipse.papyrus.extendedtypes.providers,
- org.eclipse.papyrus.extendedtypes.types,
- org.eclipse.papyrus.extendedtypes.util
-Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.emf.ecore;bundle-version="2.7.0";visibility:=reexport,
- org.eclipse.emf.ecore.xmi;bundle-version="2.6.0";visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.emf.facet.infra.query;bundle-version="0.1.0";visibility:=reexport,
- org.eclipse.uml2.uml;bundle-version="3.2.0";visibility:=reexport,
- org.eclipse.ui;bundle-version="3.7.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0";visibility:=reexport,
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.core.queries;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0"
-Bundle-ActivationPolicy: lazy
-Bundle-Activator: org.eclipse.papyrus.extendedtypes.Activator
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.extendedtypes,
+ org.eclipse.papyrus.extendedtypes.advices,
+ org.eclipse.papyrus.extendedtypes.impl,
+ org.eclipse.papyrus.extendedtypes.preferences,
+ org.eclipse.papyrus.extendedtypes.providers,
+ org.eclipse.papyrus.extendedtypes.types,
+ org.eclipse.papyrus.extendedtypes.util
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
+ org.eclipse.emf.ecore;bundle-version="2.7.0";visibility:=reexport,
+ org.eclipse.emf.ecore.xmi;bundle-version="2.6.0";visibility:=reexport,
+ org.eclipse.papyrus.core.queries.configuration;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.emf.facet.infra.query;bundle-version="0.1.0";visibility:=reexport,
+ org.eclipse.uml2.uml;bundle-version="3.2.0";visibility:=reexport,
+ org.eclipse.ui;bundle-version="3.7.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version:="1.4.0";visibility:=reexport,
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.queries;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.extendedtypes.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.extendedtypes;singleton:=true
+
diff --git a/plugins/infra/org.eclipse.papyrus.onefile/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.onefile/META-INF/MANIFEST.MF
index 04c50deb7da..68e0384aa3d 100644
--- a/plugins/infra/org.eclipse.papyrus.onefile/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.onefile/META-INF/MANIFEST.MF
@@ -1,16 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.onefile;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.onefile.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.papyrus.core,
- org.eclipse.ui.navigator,
- org.eclipse.team.ui,
- org.eclipse.ui.navigator.resources,
- org.eclipse.papyrus.ui.resources
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.onefile.model,
- org.eclipse.papyrus.onefile.utils
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.ui.navigator,
+ org.eclipse.team.ui,
+ org.eclipse.ui.navigator.resources,
+ org.eclipse.papyrus.ui.resources;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.onefile.model,
+ org.eclipse.papyrus.onefile.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.onefile.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.onefile;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/org.eclipse.papyrus.ui.resources/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.ui.resources/META-INF/MANIFEST.MF
index d4b14aa455b..19b27b08e03 100644
--- a/plugins/infra/org.eclipse.papyrus.ui.resources/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.ui.resources/META-INF/MANIFEST.MF
@@ -1,15 +1,16 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.ui.resources;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.ui.resources.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.ltk.core.refactoring;bundle-version="3.5.200",
- org.eclipse.papyrus.controlmode,
- org.eclipse.papyrus.controlmode.history
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.ltk.core.refactoring;bundle-version="3.5.200",
+ org.eclipse.papyrus.controlmode;bundle-version="0.9.0",
+ org.eclipse.papyrus.controlmode.history;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.ui.resources.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.ui.resources;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration.edit/META-INF/MANIFEST.MF b/plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration.edit/META-INF/MANIFEST.MF
index e9c3a77cc85..f77e02fc0c0 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration.edit/META-INF/MANIFEST.MF
+++ b/plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration.edit/META-INF/MANIFEST.MF
@@ -1,16 +1,13 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.core.queries.configuration.edit;singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Export-Package: org.eclipse.papyrus.core.queries.configuration.provide
+ r
+Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.core.queries.configuration.provider.ConfigurationEditPlugin$Implementation
-Bundle-Vendor: %providerName
+Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.core.queries.configuration.provider
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.core.queries.configuration;visibility:=reexport,
+ org.eclipse.papyrus.core.queries.configuration;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.edit;visibility:=reexport,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
@@ -18,4 +15,11 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.facet.infra.query.edit;visibility:=reexport,
org.eclipse.uml2.uml;visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport
-Bundle-ActivationPolicy: lazy
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.core.queries.configuration.provi
+ der.ConfigurationEditPlugin$Implementation
+Bundle-SymbolicName: org.eclipse.papyrus.core.queries.configuration.ed
+ it;singleton:=true
+
diff --git a/plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration/META-INF/MANIFEST.MF b/plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration/META-INF/MANIFEST.MF
index 02006df952d..99b8932ee55 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration/META-INF/MANIFEST.MF
+++ b/plugins/infra/queries/org.eclipse.papyrus.core.queries.configuration/META-INF/MANIFEST.MF
@@ -1,20 +1,23 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.core.queries.configuration;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.core.queries.configuration.plugin.Activator$Implementation
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.core.queries.configuration,
org.eclipse.papyrus.core.queries.configuration.impl,
org.eclipse.papyrus.core.queries.configuration.plugin,
org.eclipse.papyrus.core.queries.configuration.util
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport,
org.eclipse.emf.facet.infra.query;visibility:=reexport,
org.eclipse.uml2.uml;visibility:=reexport
-Bundle-ActivationPolicy: lazy
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.core.queries.configuration.plugi
+ n.Activator$Implementation
+Bundle-SymbolicName: org.eclipse.papyrus.core.queries.configuration;si
+ ngleton:=true
+
diff --git a/plugins/infra/queries/org.eclipse.papyrus.core.queries/META-INF/MANIFEST.MF b/plugins/infra/queries/org.eclipse.papyrus.core.queries/META-INF/MANIFEST.MF
index a3fed6cbe60..0be113a56da 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.core.queries/META-INF/MANIFEST.MF
+++ b/plugins/infra/queries/org.eclipse.papyrus.core.queries/META-INF/MANIFEST.MF
@@ -1,21 +1,22 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.core.queries;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.core.queries.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
- org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.emf.facet.infra.query;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.core.databinding;bundle-version="1.3.100",
- org.eclipse.papyrus.core.queries.configuration;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.core.queries,
- org.eclipse.papyrus.core.queries.converter,
- org.eclipse.papyrus.core.queries.modisco
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
+ org.eclipse.core.runtime;bundle-version="3.7.0",
+ org.eclipse.emf.facet.infra.query;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.query.core;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version:="0.1.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.core.databinding;bundle-version="1.3.100",
+ org.eclipse.papyrus.core.queries.configuration;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.core.queries,
+ org.eclipse.papyrus.core.queries.converter,
+ org.eclipse.papyrus.core.queries.modisco
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.core.queries.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.core.queries;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/services/org.eclipse.papyrus.controlmode.history/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.controlmode.history/META-INF/MANIFEST.MF
index 0b4fa35ff76..ede1d96face 100644
--- a/plugins/infra/services/org.eclipse.papyrus.controlmode.history/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.controlmode.history/META-INF/MANIFEST.MF
@@ -1,12 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.controlmode.history;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.controlmode.history,
org.eclipse.papyrus.controlmode.history.utils,
org.eclipse.papyrus.controlmode.mm.history,
@@ -14,5 +6,15 @@ Export-Package: org.eclipse.papyrus.controlmode.history,
org.eclipse.papyrus.controlmode.mm.history.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.papyrus.core;bundle-version="0.8.0"
+ org.eclipse.papyrus.core;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.controlmode.history;singleton
+ :=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/services/org.eclipse.papyrus.controlmode/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.controlmode/META-INF/MANIFEST.MF
index 53dda6a9e1d..775a8188310 100644
--- a/plugins/infra/services/org.eclipse.papyrus.controlmode/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.controlmode/META-INF/MANIFEST.MF
@@ -1,24 +1,25 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.controlmode;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.controlmode.ControlModePlugin
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.emf.edit.ui,
- org.eclipse.gmf.runtime.notation,
- org.eclipse.ui.navigator,
- org.eclipse.papyrus.modelexplorer,
- org.eclipse.papyrus.core,
- org.eclipse.papyrus.controlmode.history,
- org.eclipse.papyrus.ui.toolbox,
- org.eclipse.papyrus.core.resourceloading,
- org.eclipse.papyrus.core.resourceloading.preferences
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.controlmode,
- org.eclipse.papyrus.controlmode.action,
- org.eclipse.papyrus.controlmode.commands,
- org.eclipse.papyrus.controlmode.ui
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.emf.edit.ui,
+ org.eclipse.gmf.runtime.notation,
+ org.eclipse.ui.navigator,
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.controlmode.history;bundle-version="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version:="0.9.0",
+ org.eclipse.papyrus.core.resourceloading;bundle-version:="0.9.0",
+ org.eclipse.papyrus.core.resourceloading.preferences;bundle-version:="0.9.0"
+Export-Package: org.eclipse.papyrus.controlmode,
+ org.eclipse.papyrus.controlmode.action,
+ org.eclipse.papyrus.controlmode.commands,
+ org.eclipse.papyrus.controlmode.ui
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.controlmode.ControlModePlugin
+Bundle-SymbolicName: org.eclipse.papyrus.controlmode;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/services/org.eclipse.papyrus.core.resourceloading.preferences/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.core.resourceloading.preferences/META-INF/MANIFEST.MF
index 2e54038bcf3..59bfad89a72 100644
--- a/plugins/infra/services/org.eclipse.papyrus.core.resourceloading.preferences/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.core.resourceloading.preferences/META-INF/MANIFEST.MF
@@ -1,17 +1,20 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.core.resourceloading.preferences;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.core.resourceloading.preferences.CorePlugin
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.jface,
- org.eclipse.ui,
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.core,
- org.eclipse.papyrus.core.resourceloading;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.core.resourceloading.preferences
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.jface,
+ org.eclipse.ui,
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.resourceloading;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.core.resourceloading.preferences
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.core.resourceloading.preferences
+ .CorePlugin
+Bundle-SymbolicName: org.eclipse.papyrus.core.resourceloading.preferen
+ ces;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/services/org.eclipse.papyrus.core.resourceloading/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.core.resourceloading/META-INF/MANIFEST.MF
index 4ecb74f748a..f90bf1d5a9f 100644
--- a/plugins/infra/services/org.eclipse.papyrus.core.resourceloading/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.core.resourceloading/META-INF/MANIFEST.MF
@@ -1,18 +1,20 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.core.resourceloading;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.core.resourceloading.Activator
-Require-Bundle: org.eclipse.papyrus.core,
- org.eclipse.papyrus.controlmode.history,
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
- org.eclipse.core.expressions
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.core.resourceloading,
- org.eclipse.papyrus.core.resourceloading.impl,
- org.eclipse.papyrus.core.resourceloading.strategies,
- org.eclipse.papyrus.core.resourceloading.util
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.controlmode.history;bundle-version="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.core.expressions
+Export-Package: org.eclipse.papyrus.core.resourceloading,
+ org.eclipse.papyrus.core.resourceloading.impl,
+ org.eclipse.papyrus.core.resourceloading.strategies,
+ org.eclipse.papyrus.core.resourceloading.util
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.core.resourceloading.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.core.resourceloading;singleto
+ n:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/services/org.eclipse.papyrus.decoration/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.decoration/META-INF/MANIFEST.MF
index 3f88b687b24..7ae9dd5215a 100644
--- a/plugins/infra/services/org.eclipse.papyrus.decoration/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.decoration/META-INF/MANIFEST.MF
@@ -1,20 +1,21 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.decoration,
+ org.eclipse.papyrus.decoration.util
+Bundle-ActivationPolicy: lazy
Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.decoration;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.decoration.Activator
-Bundle-Vendor: %providerName
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.core
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.decoration,
- org.eclipse.papyrus.decoration.util
+ org.eclipse.papyrus.core;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.decoration.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.decoration;singleton:=true
Import-Package: org.apache.commons.lang;version="2.4.0",
org.eclipse.core.resources,
org.eclipse.emf.facet.infra.browser.uicore.internal.model,
org.eclipse.papyrus.core.editorsfactory,
org.eclipse.papyrus.log
+
diff --git a/plugins/infra/services/org.eclipse.papyrus.markerlistener/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.markerlistener/META-INF/MANIFEST.MF
index 62a0ec630ad..5e3baba7e99 100644
--- a/plugins/infra/services/org.eclipse.papyrus.markerlistener/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.markerlistener/META-INF/MANIFEST.MF
@@ -1,15 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.markerlistener;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.markerlistener.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.markerlistener
-Import-Package: org.eclipse.papyrus.decoration,
- org.eclipse.papyrus.diagram.common.util
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.core;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.markerlistener
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.markerlistener.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.markerlistener;singleton:=tru
+ e
+Import-Package: org.eclipse.papyrus.decoration,
+ org.eclipse.papyrus.diagram.common.util
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/services/org.eclipse.papyrus.service.edit/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.service.edit/META-INF/MANIFEST.MF
index 08d791d3948..bf81256971c 100644
--- a/plugins/infra/services/org.eclipse.papyrus.service.edit/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.service.edit/META-INF/MANIFEST.MF
@@ -1,21 +1,22 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.service.edit;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.service.edit.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.emf;bundle-version="2.6.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.service.edit,
- org.eclipse.papyrus.service.edit.commands,
- org.eclipse.papyrus.service.edit.messages,
- org.eclipse.papyrus.service.edit.service,
- org.eclipse.papyrus.service.edit.utils
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.emf;bundle-version="2.6.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version:="1.4.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.service.edit,
+ org.eclipse.papyrus.service.edit.commands,
+ org.eclipse.papyrus.service.edit.messages,
+ org.eclipse.papyrus.service.edit.service,
+ org.eclipse.papyrus.service.edit.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.service.edit.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.service.edit;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/services/org.eclipse.papyrus.validation/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.validation/META-INF/MANIFEST.MF
index b0e479012df..d476ce7ab4b 100644
--- a/plugins/infra/services/org.eclipse.papyrus.validation/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.validation/META-INF/MANIFEST.MF
@@ -1,20 +1,21 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.validation;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.validation.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.emf;bundle-version="2.6.0",
- org.eclipse.emf.ecore;bundle-version="2.6.1",
- org.eclipse.core.resources;bundle-version="3.6.0",
- org.apache.commons.lang;bundle-version="2.3.0",
- org.eclipse.emf.edit.ui;bundle-version="2.6.0",
- org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.0.100",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %pluginProvider
-Export-Package: org.eclipse.papyrus.validation
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.emf;bundle-version="2.6.0",
+ org.eclipse.emf.ecore;bundle-version="2.6.1",
+ org.eclipse.core.resources;bundle-version="3.6.0",
+ org.apache.commons.lang;bundle-version="2.3.0",
+ org.eclipse.emf.edit.ui;bundle-version:="2.6.0",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version:="1.0.100",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version:="0.1.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.validation
+Bundle-Vendor: %pluginProvider
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.validation.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.validation;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/table/org.eclipse.papyrus.properties.table/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.properties.table/META-INF/MANIFEST.MF
index 8460ba608ca..0433968e905 100644
--- a/plugins/infra/table/org.eclipse.papyrus.properties.table/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.properties.table/META-INF/MANIFEST.MF
@@ -1,21 +1,23 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.properties.table;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.table.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.properties,
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.emf.edit,
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
- org.eclipse.emf.databinding,
- org.eclipse.papyrus.log,
- org.eclipse.papyrus.table.instance;bundle-version="0.8.0",
- org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.properties;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0",
+ org.eclipse.emf.edit,
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
+ org.eclipse.emf.databinding,
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+ org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.table.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.table;singleton:=t
+ rue
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/table/org.eclipse.papyrus.table.common/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.table.common/META-INF/MANIFEST.MF
index b71688ea940..0b71bc9809b 100644
--- a/plugins/infra/table/org.eclipse.papyrus.table.common/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.table.common/META-INF/MANIFEST.MF
@@ -1,31 +1,32 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.table.common;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.table.common.Activator
-Require-Bundle: org.eclipse.emf.facet.widgets.nattable.instance,
- org.eclipse.emf.facet.widgets.nattable,
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.widgets,
- org.eclipse.papyrus.properties,
- org.eclipse.emf.databinding;bundle-version="1.2.0",
- org.eclipse.papyrus.table.instance;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.query.editor;bundle-version="0.1.0",
- org.eclipse.emf.facet.query.java;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.commands
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.table.common,
- org.eclipse.papyrus.table.common.dialog,
- org.eclipse.papyrus.table.common.editor,
- org.eclipse.papyrus.table.common.factory,
- org.eclipse.papyrus.table.common.handlers,
- org.eclipse.papyrus.table.common.messages,
- org.eclipse.papyrus.table.common.modelresource,
- org.eclipse.papyrus.table.common.util
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.emf.facet.widgets.nattable.instance,
+ org.eclipse.emf.facet.widgets.nattable,
+ org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties;bundle-version="0.9.0",
+ org.eclipse.emf.databinding;bundle-version="1.2.0",
+ org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.query.editor;bundle-version="0.1.0",
+ org.eclipse.emf.facet.query.java;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.commands;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.table.common,
+ org.eclipse.papyrus.table.common.dialog,
+ org.eclipse.papyrus.table.common.editor,
+ org.eclipse.papyrus.table.common.factory,
+ org.eclipse.papyrus.table.common.handlers,
+ org.eclipse.papyrus.table.common.messages,
+ org.eclipse.papyrus.table.common.modelresource,
+ org.eclipse.papyrus.table.common.util
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.table.common.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.table.common;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/table/org.eclipse.papyrus.table.instance/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.table.instance/META-INF/MANIFEST.MF
index 2fe79c8ce14..acb4fe20d38 100644
--- a/plugins/infra/table/org.eclipse.papyrus.table.instance/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.table.instance/META-INF/MANIFEST.MF
@@ -1,17 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.table.instance;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
- org.eclipse.ui.workbench
-Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.papyrus.table.instance,
org.eclipse.papyrus.table.instance.papyrustableinstance;uses:="org.eclipse.emf.ecore,org.eclipse.emf.facet.widgets.nattable.instance.tableinstance",
org.eclipse.papyrus.table.instance.papyrustableinstance.util;
@@ -19,5 +6,19 @@ Export-Package: org.eclipse.papyrus.table.instance,
org.eclipse.emf.ecore,
org.eclipse.emf.common.notify.impl,
org.eclipse.emf.common.notify"
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.emf.ecore;visibility:=reexport,
+ org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
+ org.eclipse.ui.workbench
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.table.instance.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.table.instance;singleton:=tru
+ e
diff --git a/plugins/infra/table/org.eclipse.papyrus.table.menu/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.table.menu/META-INF/MANIFEST.MF
index 20db543d22b..a1750a6c698 100644
--- a/plugins/infra/table/org.eclipse.papyrus.table.menu/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.table.menu/META-INF/MANIFEST.MF
@@ -1,22 +1,23 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.table.menu;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.table.menu.Activator
-Require-Bundle: org.eclipse.core.expressions,
- org.eclipse.papyrus.table.default,
- org.eclipse.papyrus.diagram.common,
- org.eclipse.papyrus.diagram.menu,
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.papyrus.table.common;bundle-version="0.8.0",
- org.eclipse.emf.facet.widgets.nattable,
- org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
- org.eclipse.emf.facet.widgets.nattable.workbench;bundle-version="0.1.0"
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.table.menu,
- org.eclipse.papyrus.table.menu.handler,
- org.eclipse.papyrus.table.menu.providers
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.expressions,
+ org.eclipse.papyrus.table.default;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.diagram.menu;bundle-version:="0.9.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
+ org.eclipse.papyrus.table.common;bundle-version="0.9.0",
+ org.eclipse.emf.facet.widgets.nattable,
+ org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
+ org.eclipse.emf.facet.widgets.nattable.workbench;bundle-version="0.1.0"
+Export-Package: org.eclipse.papyrus.table.menu,
+ org.eclipse.papyrus.table.menu.handler,
+ org.eclipse.papyrus.table.menu.providers
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.table.menu.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.table.menu;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/table/org.eclipse.papyrus.table.modelexplorer/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.table.modelexplorer/META-INF/MANIFEST.MF
index e0fad284dc6..1c3e5ff9e47 100644
--- a/plugins/infra/table/org.eclipse.papyrus.table.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.table.modelexplorer/META-INF/MANIFEST.MF
@@ -1,23 +1,25 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.table.modelexplorer;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.table.modelexplorer.Activator
-Bundle-Vendor: %pluginProvider
-Require-Bundle: org.eclipse.papyrus.resource,
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.core,
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.0",
- org.eclipse.core.expressions,
- org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
- org.eclipse.papyrus.table.instance,
- org.eclipse.uml2.uml,
- org.eclipse.emf.facet.infra.query.core
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.table.modelexplorer,
- org.eclipse.papyrus.table.modelexplorer.handlers,
- org.eclipse.papyrus.table.modelexplorer.messages,
- org.eclipse.papyrus.table.modelexplorer.providers
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.resource;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.core,
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.core.expressions,
+ org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
+ org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.emf.facet.infra.query.core
+Export-Package: org.eclipse.papyrus.table.modelexplorer,
+ org.eclipse.papyrus.table.modelexplorer.handlers,
+ org.eclipse.papyrus.table.modelexplorer.messages,
+ org.eclipse.papyrus.table.modelexplorer.providers
+Bundle-Vendor: %pluginProvider
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.table.modelexplorer.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.table.modelexplorer;singleton
+ :=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/widget/org.eclipse.papyrus.ui.toolbox/META-INF/MANIFEST.MF b/plugins/infra/widget/org.eclipse.papyrus.ui.toolbox/META-INF/MANIFEST.MF
index 3d29c377fcc..fd54dc3f2a1 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.ui.toolbox/META-INF/MANIFEST.MF
+++ b/plugins/infra/widget/org.eclipse.papyrus.ui.toolbox/META-INF/MANIFEST.MF
@@ -1,24 +1,25 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.ui.toolbox;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.ui.toolbox.Activator
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.core.runtime,
- org.eclipse.ui
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.ui.toolbox,
- org.eclipse.papyrus.ui.toolbox.dialog,
- org.eclipse.papyrus.ui.toolbox.draw2d,
- org.eclipse.papyrus.ui.toolbox.notification,
- org.eclipse.papyrus.ui.toolbox.notification.builders,
- org.eclipse.papyrus.ui.toolbox.notification.dialogs,
- org.eclipse.papyrus.ui.toolbox.notification.exception,
- org.eclipse.papyrus.ui.toolbox.notification.popups,
- org.eclipse.papyrus.ui.toolbox.notification.utils,
- org.eclipse.papyrus.ui.toolbox.notification.view,
- org.eclipse.papyrus.ui.toolbox.utils
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.core.runtime,
+ org.eclipse.ui
+Export-Package: org.eclipse.papyrus.ui.toolbox,
+ org.eclipse.papyrus.ui.toolbox.dialog,
+ org.eclipse.papyrus.ui.toolbox.draw2d,
+ org.eclipse.papyrus.ui.toolbox.notification,
+ org.eclipse.papyrus.ui.toolbox.notification.builders,
+ org.eclipse.papyrus.ui.toolbox.notification.dialogs,
+ org.eclipse.papyrus.ui.toolbox.notification.exception,
+ org.eclipse.papyrus.ui.toolbox.notification.popups,
+ org.eclipse.papyrus.ui.toolbox.notification.utils,
+ org.eclipse.papyrus.ui.toolbox.notification.view,
+ org.eclipse.papyrus.ui.toolbox.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.ui.toolbox.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.ui.toolbox;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/widget/org.eclipse.papyrus.widgets/META-INF/MANIFEST.MF b/plugins/infra/widget/org.eclipse.papyrus.widgets/META-INF/MANIFEST.MF
index 82b63a0b43f..3da77acf3a6 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.widgets/META-INF/MANIFEST.MF
+++ b/plugins/infra/widget/org.eclipse.papyrus.widgets/META-INF/MANIFEST.MF
@@ -1,26 +1,27 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.widgets
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.core.databinding.property;bundle-version="1.3.0",
+ org.eclipse.core.databinding,
+ org.eclipse.jface.databinding,
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version:="3.5.100",
+ org.eclipse.core.resources;bundle-version="3.7.100",
+ org.eclipse.ui.ide;bundle-version="3.7.0"
+Export-Package: org.eclipse.papyrus.widgets,
+ org.eclipse.papyrus.widgets.creation,
+ org.eclipse.papyrus.widgets.databinding,
+ org.eclipse.papyrus.widgets.editors,
+ org.eclipse.papyrus.widgets.providers,
+ org.eclipse.papyrus.widgets.selectors,
+ org.eclipse.papyrus.widgets.util
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.widgets.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.core.databinding.property;bundle-version="1.3.0",
- org.eclipse.core.databinding,
- org.eclipse.jface.databinding,
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.100",
- org.eclipse.core.resources;bundle-version="3.7.100",
- org.eclipse.ui.ide;bundle-version="3.7.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.widgets,
- org.eclipse.papyrus.widgets.creation,
- org.eclipse.papyrus.widgets.databinding,
- org.eclipse.papyrus.widgets.editors,
- org.eclipse.papyrus.widgets.providers,
- org.eclipse.papyrus.widgets.selectors,
- org.eclipse.papyrus.widgets.util
-Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.widgets.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.widgets
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/META-INF/MANIFEST.MF b/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/META-INF/MANIFEST.MF
index 9fe77572eb7..a554690e988 100644
--- a/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/META-INF/MANIFEST.MF
+++ b/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/META-INF/MANIFEST.MF
@@ -1,24 +1,25 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.widgets.xtext
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.widgets.xtext.Activator
-Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.xtext.ui;bundle-version="1.0.1",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.core.databinding;bundle-version="1.3.100",
- org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.ui.navigator;bundle-version="3.5.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.emf.compare;bundle-version="1.1.1",
- org.eclipse.emf.compare.match;bundle-version="1.1.1",
- org.eclipse.emf.compare.diff;bundle-version="1.1.1"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.widgets.xtext.adapter,
- org.eclipse.papyrus.widgets.xtext.creation,
- org.eclipse.papyrus.widgets.xtext.editor,
- org.eclipse.papyrus.widgets.xtext.embedded
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.xtext.ui;bundle-version="1.0.1",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.core.databinding;bundle-version="1.3.100",
+ org.eclipse.core.expressions;bundle-version="3.4.200",
+ org.eclipse.ui.navigator;bundle-version="3.5.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.emf.compare;bundle-version="1.1.1",
+ org.eclipse.emf.compare.match;bundle-version="1.1.1",
+ org.eclipse.emf.compare.diff;bundle-version="1.1.1"
+Export-Package: org.eclipse.papyrus.widgets.xtext.adapter,
+ org.eclipse.papyrus.widgets.xtext.creation,
+ org.eclipse.papyrus.widgets.xtext.editor,
+ org.eclipse.papyrus.widgets.xtext.embedded
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.widgets.xtext.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.widgets.xtext
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/creation/XtextValueFactory.java b/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/creation/XtextValueFactory.java
index 14aa0d06952..2dbd5000d71 100644
--- a/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/creation/XtextValueFactory.java
+++ b/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/creation/XtextValueFactory.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -57,13 +57,14 @@ public class XtextValueFactory implements ReferenceValueFactory {
return true; //Unsupported yet (We need a Write Transaction)
}
- public void edit(Control widget, Object object) {
+ public Object edit(Control widget, Object object) {
if(object instanceof EObject) {
XtextEditorDialog dialog = new XtextEditorDialog(widget.getShell(), adapter, (EObject)object);
dialog.open();
} else {
Activator.log.warn("The XtextValueFactory can only edit EObjects"); //$NON-NLS-1$
}
+ return object;
}
public boolean canCreateObject() {
diff --git a/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/editor/ReferenceXtextEditor.java b/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/editor/ReferenceXtextEditor.java
index 738a2679831..98aa65daa80 100644
--- a/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/editor/ReferenceXtextEditor.java
+++ b/plugins/infra/xtext/org.eclipse.papyrus.widgets.xtext/src/org/eclipse/papyrus/widgets/xtext/editor/ReferenceXtextEditor.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -62,8 +62,9 @@ public class ReferenceXtextEditor extends AbstractValueEditor implements IChange
@Override
public void dispose() {
- if(modelProperty != null)
+ if(modelProperty != null) {
modelProperty.removeChangeListener(this);
+ }
}
@Override
@@ -90,4 +91,9 @@ public class ReferenceXtextEditor extends AbstractValueEditor implements IChange
editor.update(adapter.getText((EObject)modelProperty.getValue()));
}
+ @Override
+ public void setToolTipText(String text) {
+ //TODO
+ }
+
}
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.gridAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.gridAlgorithm/META-INF/MANIFEST.MF
index 75fa0067bc0..e659adebd62 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.gridAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.gridAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.gridAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.gridalgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.zest.layouts,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.gridalgori
+ thm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.gridAlg
+ orithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF
index 4f4b3a4be4b..c3998162300 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizontalAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontalalgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.zest.layouts,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontal
+ algorithm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizon
+ talAlgorithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF
index b5eeb07da93..d64c2ee74f2 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizontalSymmetryAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontalsymmetryalgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.layouttool,
- org.eclipse.zest.layouts
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0",
+ org.eclipse.zest.layouts
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontal
+ symmetryalgorithm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizon
+ talSymmetryAlgorithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF
index b1c664e4781..c86a58a5ce1 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizontalTreeAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontaltreealgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.layouttool,
- org.eclipse.zest.layouts
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0",
+ org.eclipse.zest.layouts
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontal
+ treealgorithm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizon
+ talTreeAlgorithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.radialAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.radialAlgorithm/META-INF/MANIFEST.MF
index 42704331ad0..a179c5f1c14 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.radialAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.radialAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.radialAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.radialalgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.zest.layouts,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.radialalgo
+ rithm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.radialA
+ lgorithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.springAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.springAlgorithm/META-INF/MANIFEST.MF
index 3312b35adf4..7e684806904 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.springAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.springAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.springAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.springalgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.zest.layouts,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.springalgo
+ rithm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.springA
+ lgorithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.treeAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.treeAlgorithm/META-INF/MANIFEST.MF
index 131de61f84f..f6a9aefd703 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.treeAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.treeAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.treeAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.treealgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.layouttool,
- org.eclipse.zest.layouts
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0",
+ org.eclipse.zest.layouts
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.treealgori
+ thm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.treeAlg
+ orithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF
index 4c6d2ca4ea6..84e0b2c739d 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.verticalAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.verticalalgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.zest.layouts,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.verticalal
+ gorithm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.vertica
+ lAlgorithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF
index e03ec880360..49411c7dd7f 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.verticalSymmetryAlgorithm;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.verticalsymmetryalgorithm.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.layouttool,
- org.eclipse.zest.layouts
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0",
+ org.eclipse.zest.layouts
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.verticalsy
+ mmetryalgorithm.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.vertica
+ lSymmetryAlgorithm;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool.subeditor.gmf/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool.subeditor.gmf/META-INF/MANIFEST.MF
index a623e572eab..97b95d53f26 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool.subeditor.gmf/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool.subeditor.gmf/META-INF/MANIFEST.MF
@@ -1,12 +1,15 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.subeditor.gmf;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.subeditor.gmf.Activator
Require-Bundle: org.eclipse.gmf.runtime.diagram.ui,
- org.eclipse.papyrus.layouttool
+ org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.layouttool.subeditor.gmf.Activat
+ or
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool.subeditor.gmf;sing
+ leton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+
diff --git a/plugins/layout/org.eclipse.papyrus.layouttool/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layouttool/META-INF/MANIFEST.MF
index 1bb7d55afbc..2af2f9e39fd 100644
--- a/plugins/layout/org.eclipse.papyrus.layouttool/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layouttool/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.layouttool.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.gef,
- org.eclipse.zest.layouts,
- org.eclipse.core.expressions
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.layouttool,
- org.eclipse.papyrus.layouttool.managealgorithms
-Bundle-ActivationPolicy: lazy
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.gef,
+ org.eclipse.zest.layouts,
+ org.eclipse.core.expressions
+Export-Package: org.eclipse.papyrus.layouttool,
+ org.eclipse.papyrus.layouttool.managealgorithms
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.layouttool.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.layouttool;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF b/plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF
index a4b0c5c06bb..ca29f9dcf5f 100644
--- a/plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF
+++ b/plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF
@@ -1,113 +1,115 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.marte.static.profile;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Require-Bundle: org.eclipse.emf.ecore,
- org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.7.0",
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.7.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.7.2"
-Export-Package: org.eclipse.papyrus.MARTE,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.util,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl,
- org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.util,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl,
- org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwTiming,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwTiming.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwTiming.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwLayout,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwLayout.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwLayout.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.util,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl,
- org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.util,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.impl,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.util,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.CoreElements,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.CoreElements.impl,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.CoreElements.util,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.util,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.Time,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl,
- org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.util,
- org.eclipse.papyrus.MARTE.impl,
- org.eclipse.papyrus.MARTE.utils,
- org.eclipse.papyrus.MARTE_Library.BasicNFP_Types,
- org.eclipse.papyrus.MARTE_Library.BasicNFP_Types.impl,
- org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes,
- org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.impl,
- org.eclipse.papyrus.MARTE_Library.MARTE_DataTypes,
- org.eclipse.papyrus.MARTE_Library.MARTE_DataTypes.impl,
- org.eclipse.papyrus.MARTE_Library.MARTE_PrimitivesTypes,
- org.eclipse.papyrus.MARTE_Library.MARTE_PrimitivesTypes.impl,
- org.eclipse.papyrus.MARTE_Library.MeasurementUnits,
- org.eclipse.papyrus.MARTE_Library.MeasurementUnits.impl,
- org.eclipse.papyrus.MARTE_Library.RS_Library,
- org.eclipse.papyrus.MARTE_Library.RS_Library.impl,
- org.eclipse.papyrus.MARTE_Library.TimeLibrary,
- org.eclipse.papyrus.MARTE_Library.TimeLibrary.impl,
- org.eclipse.papyrus.MARTE_Library.TimeLibrary.util,
- org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary,
- org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary.impl
-Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.emf.ecore,
+ org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version="3.1.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.MARTE,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.util,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl,
+ org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.util,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.util,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl,
+ org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwTiming,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwTiming.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwTiming.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwLayout,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwLayout.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwLayout.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.util,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl,
+ org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.util,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.impl,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.util,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.CoreElements,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.CoreElements.impl,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.CoreElements.util,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.util,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.Time,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl,
+ org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.util,
+ org.eclipse.papyrus.MARTE.impl,
+ org.eclipse.papyrus.MARTE.utils,
+ org.eclipse.papyrus.MARTE_Library.BasicNFP_Types,
+ org.eclipse.papyrus.MARTE_Library.BasicNFP_Types.impl,
+ org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes,
+ org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.impl,
+ org.eclipse.papyrus.MARTE_Library.MARTE_DataTypes,
+ org.eclipse.papyrus.MARTE_Library.MARTE_DataTypes.impl,
+ org.eclipse.papyrus.MARTE_Library.MARTE_PrimitivesTypes,
+ org.eclipse.papyrus.MARTE_Library.MARTE_PrimitivesTypes.impl,
+ org.eclipse.papyrus.MARTE_Library.MeasurementUnits,
+ org.eclipse.papyrus.MARTE_Library.MeasurementUnits.impl,
+ org.eclipse.papyrus.MARTE_Library.RS_Library,
+ org.eclipse.papyrus.MARTE_Library.RS_Library.impl,
+ org.eclipse.papyrus.MARTE_Library.TimeLibrary,
+ org.eclipse.papyrus.MARTE_Library.TimeLibrary.impl,
+ org.eclipse.papyrus.MARTE_Library.TimeLibrary.util,
+ org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary,
+ org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary.impl
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.marte.static.profile;singleto
+ n:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF b/plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
index 22b1daa9e76..cf12a338e35 100644
--- a/plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
+++ b/plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
@@ -1,11 +1,11 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.marte.vsl.ui; singleton:=true
+Export-Package: org.eclipse.papyrus.marte.vsl.ui.contentassist,
+ org.eclipse.papyrus.marte.vsl.ui.contentassist.antlr
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.marte.vsl;visibility:=reexport,
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.marte.vsl;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -14,11 +14,13 @@ Require-Bundle: org.eclipse.papyrus.marte.vsl;visibility:=reexport,
org.eclipse.xtext.builder,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.core;bundle-version="0.7.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.7.3"
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.marte.vsl.ui.internal.VSLActivat
+ or
+Bundle-SymbolicName: org.eclipse.papyrus.marte.vsl.ui;singleton:=true
Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.marte.vsl.ui.contentassist,
- org.eclipse.papyrus.marte.vsl.ui.contentassist.antlr
-Bundle-Activator: org.eclipse.papyrus.marte.vsl.ui.internal.VSLActivator
-Bundle-ClassPath: .
+
diff --git a/plugins/marte/org.eclipse.papyrus.marte.vsl/META-INF/MANIFEST.MF b/plugins/marte/org.eclipse.papyrus.marte.vsl/META-INF/MANIFEST.MF
index 781ae1be4ca..2a8a042b66f 100644
--- a/plugins/marte/org.eclipse.papyrus.marte.vsl/META-INF/MANIFEST.MF
+++ b/plugins/marte/org.eclipse.papyrus.marte.vsl/META-INF/MANIFEST.MF
@@ -1,10 +1,16 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.marte.vsl; singleton:=true
-Bundle-ActivationPolicy: lazy
+Export-Package: org.eclipse.papyrus.marte.vsl,
+ org.eclipse.papyrus.marte.vsl.extensions,
+ org.eclipse.papyrus.marte.vsl.parseTreeConstruction,
+ org.eclipse.papyrus.marte.vsl.parser.antlr,
+ org.eclipse.papyrus.marte.vsl.parser.antlr.internal,
+ org.eclipse.papyrus.marte.vsl.scoping,
+ org.eclipse.papyrus.marte.vsl.scoping.visitors,
+ org.eclipse.papyrus.marte.vsl.services,
+ org.eclipse.papyrus.marte.vsl.vSL,
+ org.eclipse.papyrus.marte.vsl.vSL.impl,
+ org.eclipse.papyrus.marte.vsl.vSL.util,
+ org.eclipse.papyrus.marte.vsl.validation
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -19,18 +25,13 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
Import-Package: org.apache.log4j
+Bundle-SymbolicName: org.eclipse.papyrus.marte.vsl;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.marte.vsl,
- org.eclipse.papyrus.marte.vsl.extensions,
- org.eclipse.papyrus.marte.vsl.parseTreeConstruction,
- org.eclipse.papyrus.marte.vsl.parser.antlr,
- org.eclipse.papyrus.marte.vsl.parser.antlr.internal,
- org.eclipse.papyrus.marte.vsl.scoping,
- org.eclipse.papyrus.marte.vsl.scoping.visitors,
- org.eclipse.papyrus.marte.vsl.services,
- org.eclipse.papyrus.marte.vsl.vSL,
- org.eclipse.papyrus.marte.vsl.vSL.impl,
- org.eclipse.papyrus.marte.vsl.vSL.util,
- org.eclipse.papyrus.marte.vsl.validation
-Bundle-ClassPath: .
+
diff --git a/plugins/marte/properties/org.eclipse.papyrus.properties.tabbed.marte/META-INF/MANIFEST.MF b/plugins/marte/properties/org.eclipse.papyrus.properties.tabbed.marte/META-INF/MANIFEST.MF
index 2a35ae81627..8cee7aaade9 100644
--- a/plugins/marte/properties/org.eclipse.papyrus.properties.tabbed.marte/META-INF/MANIFEST.MF
+++ b/plugins/marte/properties/org.eclipse.papyrus.properties.tabbed.marte/META-INF/MANIFEST.MF
@@ -1,15 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: MARTE tabbed properties
-Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.marte;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.tabbed.marte.Activator
-Bundle-Vendor: CEA LIST
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.ui.views;bundle-version="3.5.0",
- org.eclipse.papyrus.properties.tabbed.core;bundle-version="0.7.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.7.0",
- org.eclipse.ui.views.properties.tabbed
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.ui.views;bundle-version="3.5.0",
+ org.eclipse.papyrus.properties.tabbed.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version:="0.9.0",
+ org.eclipse.ui.views.properties.tabbed
+Bundle-Vendor: CEA LIST
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: MARTE tabbed properties
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.tabbed.marte.Activato
+ r
+Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.marte;singl
+ eton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF
index f0feee55b8b..34884f0bf65 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,30 +1,33 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui; singleton:=true
+Export-Package: org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui.
+ contentassist.antlr
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.constraintwithvsl.editor.xtext;visibility:=reexport,
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.constraintwithvsl.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
- org.eclipse.ui.ide;bundle-version="3.5.0",
+ org.eclipse.ui.ide;bundle-version:="3.5.0",
org.eclipse.xtext.ui.shared,
org.eclipse.ui,
org.eclipse.xtext.builder,
org.antlr.runtime,
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.7.3",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version:="1.4.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.7.3",
- org.eclipse.papyrus.core;bundle-version="0.7.3",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.7.3",
- org.eclipse.papyrus.service.edit;bundle-version="0.7.3",
- org.eclipse.papyrus.marte.vsl;bundle-version="0.7.3",
- org.eclipse.papyrus.marte.vsl.ui;bundle-version="0.7.3",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.marte.vsl;bundle-version="0.9.0",
+ org.eclipse.papyrus.marte.vsl.ui;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.7.3"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.constraintwithvsl.editor.xtext.u
+ i.internal.ConstraintWithVSLlActivator
+Bundle-SymbolicName: org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui;singleton:=true
Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui.contentassist.antlr
-Bundle-Activator: org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui.internal.ConstraintWithVSLlActivator
-Bundle-ClassPath: .
+
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext/META-INF/MANIFEST.MF b/plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext/META-INF/MANIFEST.MF
index f5a75c4b86b..bdb23f309c7 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/marte/textedit/org.eclipse.papyrus.constraintwithvsl.editor.xtext/META-INF/MANIFEST.MF
@@ -1,10 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.constraintwithvsl.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -19,18 +13,25 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
- org.eclipse.papyrus.marte.vsl;bundle-version="0.7.3",
- org.eclipse.xtext.gmf.glue;bundle-version="0.7.3"
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+ org.eclipse.papyrus.marte.vsl;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.constraintwithvsl.editor.xtext,
- org.eclipse.papyrus.constraintwithvsl.editor.xtext.services,
org.eclipse.papyrus.constraintwithvsl.editor.xtext.constraintWithVSLl,
org.eclipse.papyrus.constraintwithvsl.editor.xtext.constraintWithVSLl.impl,
org.eclipse.papyrus.constraintwithvsl.editor.xtext.constraintWithVSLl.util,
org.eclipse.papyrus.constraintwithvsl.editor.xtext.parseTreeConstruction,
org.eclipse.papyrus.constraintwithvsl.editor.xtext.parser.antlr,
org.eclipse.papyrus.constraintwithvsl.editor.xtext.parser.antlr.internal,
+ org.eclipse.papyrus.constraintwithvsl.editor.xtext.services,
org.eclipse.papyrus.constraintwithvsl.editor.xtext.validation
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.constraintwithvsl.editor.xtex
+ t;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF
index 71f52d8f183..f6c2727cb54 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,11 +1,11 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui; singleton:=true
+Export-Package: org.eclipse.papyrus.stereotypeapplicationwithvsl.edito
+ r.xtext.ui.contentassist.antlr
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext;visibility:=reexport,
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -15,15 +15,19 @@ Require-Bundle: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext;vi
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
- org.eclipse.papyrus.core;bundle-version="0.7.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.7.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.7.0",
- org.eclipse.papyrus.marte.vsl;bundle-version="0.7.3",
- org.eclipse.papyrus.marte.vsl.ui;bundle-version="0.7.3",
- org.eclipse.xtext.gmf.glue;bundle-version="0.7.3"
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.marte.vsl;bundle-version="0.9.0",
+ org.eclipse.papyrus.marte.vsl.ui;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.stereotypeapplicationwithvsl.edi
+ tor.xtext.ui.internal.StereotypeApplicationWithVSLActivator
+Bundle-SymbolicName: org.eclipse.papyrus.stereotypeapplicationwithvsl.
+ editor.xtext.ui;singleton:=true
Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui.contentassist.antlr
-Bundle-Activator: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui.internal.StereotypeApplicationWithVSLActivator
-Bundle-ClassPath: .
+
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext/META-INF/MANIFEST.MF b/plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext/META-INF/MANIFEST.MF
index 442f1c6bdc1..49aaee2975c 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/marte/textedit/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext/META-INF/MANIFEST.MF
@@ -1,10 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -19,10 +13,8 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
- org.eclipse.papyrus.marte.vsl;bundle-version="0.7.3",
- org.eclipse.xtext.gmf.glue;bundle-version="0.7.3"
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+ org.eclipse.papyrus.marte.vsl;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext,
org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.parseTreeConstruction,
org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.parser.antlr,
@@ -33,5 +25,14 @@ Export-Package: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext,
org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.stereotypeApplicationWithVSL.impl,
org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.stereotypeApplicationWithVSL.util,
org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.validation
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.stereotypeapplicationwithvsl.
+ editor.xtext;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/ocl/org.eclipse.papyrus.constraintwithessentialocl.editor.xtext/META-INF/MANIFEST.MF b/plugins/ocl/org.eclipse.papyrus.constraintwithessentialocl.editor.xtext/META-INF/MANIFEST.MF
index 862f1d49610..2d6f47c1488 100644
--- a/plugins/ocl/org.eclipse.papyrus.constraintwithessentialocl.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/ocl/org.eclipse.papyrus.constraintwithessentialocl.editor.xtext/META-INF/MANIFEST.MF
@@ -1,20 +1,23 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: Papyrus
-Bundle-SymbolicName: org.eclipse.papyrus.constraintwithessentialocl.editor.xtext;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.ocl.examples.xtext.papyrus.EssentialOCLPopupPlugin
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.xtext.gmf.glue,
- com.google.inject;bundle-version="2.0.0",
- org.eclipse.uml2.uml;bundle-version="3.2.0",
- org.eclipse.ocl.examples.xtext.essentialocl.ui;bundle-version="3.1.0",
- org.eclipse.gef;bundle-version="3.7.0",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.core.expressions
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue,
+ com.google.inject;bundle-version="2.0.0",
+ org.eclipse.uml2.uml;bundle-version="3.2.0",
+ org.eclipse.ocl.examples.xtext.essentialocl.ui;bundle-version="3.1.0",
+ org.eclipse.gef;bundle-version="3.7.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.core.expressions
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: Papyrus
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.ocl.examples.xtext.papyrus.EssentialOCLP
+ opupPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.constraintwithessentialocl.ed
+ itor.xtext;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF b/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
index 785870ab519..62045d10836 100644
--- a/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
+++ b/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
@@ -1,28 +1,29 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.navigator;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.navigator.internal.Activator
-Require-Bundle: org.eclipse.ui.navigator;bundle-version="3.3.101",
- org.eclipse.emf.ecore.editor;bundle-version="2.4.0",
- org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.sasheditor.di;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.ltk.core.refactoring;bundle-version="3.5.0",
- org.eclipse.emf.converter;bundle-version="2.5.0",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.navigator,
- org.eclipse.papyrus.navigator.actions,
- org.eclipse.papyrus.navigator.dialog,
- org.eclipse.papyrus.navigator.dnd,
- org.eclipse.papyrus.navigator.factory,
- org.eclipse.papyrus.navigator.filters;uses:="org.eclipse.jface.viewers",
- org.eclipse.papyrus.navigator.internal;x-internal:=true,
- org.eclipse.papyrus.navigator.internal.utils;x-internal:=true,
- org.eclipse.papyrus.navigator.providers,
- org.eclipse.papyrus.navigator.sorters
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui.navigator;bundle-version="3.3.101",
+ org.eclipse.emf.ecore.editor;bundle-version="2.4.0",
+ org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.sasheditor.di;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.ltk.core.refactoring;bundle-version="3.5.0",
+ org.eclipse.emf.converter;bundle-version:="2.5.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.navigator,
+ org.eclipse.papyrus.navigator.actions,
+ org.eclipse.papyrus.navigator.dialog,
+ org.eclipse.papyrus.navigator.dnd,
+ org.eclipse.papyrus.navigator.factory,
+ org.eclipse.papyrus.navigator.filters;uses:="org.eclipse.jface.viewers",
+ org.eclipse.papyrus.navigator.internal;x-internal:=true,
+ org.eclipse.papyrus.navigator.internal.utils;x-internal:=true,
+ org.eclipse.papyrus.navigator.providers,
+ org.eclipse.papyrus.navigator.sorters
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.navigator.internal.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.navigator;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF b/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
index d836e4361c7..9271f17292a 100644
--- a/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
+++ b/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
@@ -1,15 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.outline.emftree;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.outline.emftree.Activator
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.emf.ecore.editor;bundle-version="2.5.0",
- org.eclipse.uml2.uml.edit;bundle-version="3.0.0"
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.outline.emftree,
- org.eclipse.papyrus.outline.emftree.internal;x-internal:=true
-Bundle-Vendor: %providerName
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.emf.ecore.editor;bundle-version="2.5.0",
+ org.eclipse.uml2.uml.edit;bundle-version="3.0.0"
+Export-Package: org.eclipse.papyrus.outline.emftree,
+ org.eclipse.papyrus.outline.emftree.internal;x-internal:=true
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.outline.emftree.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.outline.emftree;singleton:=tr
+ ue
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/others/org.eclipse.papyrus.parsers/META-INF/MANIFEST.MF b/plugins/others/org.eclipse.papyrus.parsers/META-INF/MANIFEST.MF
index 301708d1c31..71112ab86a5 100644
--- a/plugins/others/org.eclipse.papyrus.parsers/META-INF/MANIFEST.MF
+++ b/plugins/others/org.eclipse.papyrus.parsers/META-INF/MANIFEST.MF
@@ -1,30 +1,30 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.parsers;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.parsers.PapyrusParsersPlugin
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.uml2.uml,
- org.eclipse.jface.text,
- org.eclipse.ui.editors,
- org.eclipse.papyrus.umlutils,
- org.eclipse.papyrus.extensionpoints.editors,
- org.antlr.runtime;bundle-version="[3.0.0,4.0.0)"
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.parsers,
- org.eclipse.papyrus.parsers.antlr,
- org.eclipse.papyrus.parsers.messages,
- org.eclipse.papyrus.parsers.modelgenerator,
- org.eclipse.papyrus.parsers.preferences,
- org.eclipse.papyrus.parsers.texteditor,
- org.eclipse.papyrus.parsers.texteditor.collaborationuselabel,
- org.eclipse.papyrus.parsers.texteditor.completionproposals,
- org.eclipse.papyrus.parsers.texteditor.parameterlabel,
- org.eclipse.papyrus.parsers.texteditor.propertylabel,
- org.eclipse.papyrus.parsers.util
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.uml2.uml,
+ org.eclipse.jface.text,
+ org.eclipse.ui.editors,
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.antlr.runtime;bundle-version="[3.0.0,4.0.0)"
+Export-Package: org.eclipse.papyrus.parsers,
+ org.eclipse.papyrus.parsers.antlr,
+ org.eclipse.papyrus.parsers.messages,
+ org.eclipse.papyrus.parsers.modelgenerator,
+ org.eclipse.papyrus.parsers.preferences,
+ org.eclipse.papyrus.parsers.texteditor,
+ org.eclipse.papyrus.parsers.texteditor.collaborationuselabel,
+ org.eclipse.papyrus.parsers.texteditor.completionproposals,
+ org.eclipse.papyrus.parsers.texteditor.parameterlabel,
+ org.eclipse.papyrus.parsers.texteditor.propertylabel,
+ org.eclipse.papyrus.parsers.util
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.parsers.PapyrusParsersPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.parsers;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF
index e65ff99a1af..4eb8b244c4b 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF
@@ -1,17 +1,19 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.resource.edit;singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Export-Package: org.eclipse.papyrus.resource.provider
+Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.resource.provider.ResourceEditPlugin$Implementation
-Bundle-Vendor: %providerName
+Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.resource.provider
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.resource;visibility:=reexport,
+ org.eclipse.papyrus.resource;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.edit;visibility:=reexport,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport
-Bundle-ActivationPolicy: lazy
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.resource.provider.ResourceEditPl
+ ugin$Implementation
+Bundle-SymbolicName: org.eclipse.papyrus.resource.edit;singleton:=true
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
index 11d5cd2fa32..104152a4127 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
@@ -1,16 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.resource.migration;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.resource.migration.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.core.resources,
- org.eclipse.emf.ecore,
- org.eclipse.papyrus.resource,
- org.eclipse.emf.codegen.ecore
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.core.resources,
+ org.eclipse.emf.ecore,
+ org.eclipse.papyrus.resource;bundle-version:="0.9.0",
+ org.eclipse.emf.codegen.ecore
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.resource.migration.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.resource.migration;singleton:
+ =true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF
index 8017122f1bb..0b0c4206a17 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.resource;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.resource,
- org.eclipse.papyrus.resource.impl,
- org.eclipse.papyrus.resource.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.ui.navigator,
org.eclipse.jface
+Export-Package: org.eclipse.papyrus.resource,
+ org.eclipse.papyrus.resource.impl,
+ org.eclipse.papyrus.resource.util
+Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.resource;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF
index b791b6cb0f8..3e6b541f99f 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF
@@ -1,10 +1,12 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.converted;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Eclipse-LazyStart: true
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.converted;singleton:=tr
+ ue
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF
index 3c5f847409b..b383496dea9 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF
@@ -1,10 +1,11 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.standard;singleton:=true
-Bundle-Version: 0.7.0.qualifier
-Bundle-ClassPath: .
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Eclipse-LazyStart: true
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.uml.standard;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
index e04e2fb633f..a265707f1f4 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
@@ -1,26 +1,29 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.blockdefinition;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.sysml.diagram.blockdefinition.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.sysml;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.emf.common.ui;bundle-version="2.5.0",
- org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.diagram.clazz;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
- org.eclipse.core.expressions;bundle-version="3.4.100",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
+ org.eclipse.emf.common.ui;bundle-version="2.5.0",
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
+ org.eclipse.papyrus.diagram.clazz;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
+ org.eclipse.core.expressions;bundle-version="3.4.100",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version:="0.9.0",
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.diagram.blockdefinition.Ac
+ tivator
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.blockdefinition
+ ;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
index d891b1f5bff..59ffe420292 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
@@ -1,53 +1,55 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.common;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.sysml.diagram.common.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.emf;bundle-version="2.6.0",
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.sysml;bundle-version="0.8.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0",
- org.eclipse.core.expressions,
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.editor;bundle-version="0.8.0",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
- org.eclipse.papyrus.widgets;bundle-version="0.8.1",
- org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.8.1"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.gmf.diagram.common.commands,
- org.eclipse.papyrus.gmf.diagram.common.compatibility,
- org.eclipse.papyrus.gmf.diagram.common.edit.part,
- org.eclipse.papyrus.gmf.diagram.common.edit.policy,
- org.eclipse.papyrus.gmf.diagram.common.factory,
- org.eclipse.papyrus.gmf.diagram.common.locator,
- org.eclipse.papyrus.gmf.diagram.common.provider,
- org.eclipse.papyrus.sysml.diagram.common,
- org.eclipse.papyrus.sysml.diagram.common.commands,
- org.eclipse.papyrus.sysml.diagram.common.dialogs,
- org.eclipse.papyrus.sysml.diagram.common.edit.part,
- org.eclipse.papyrus.sysml.diagram.common.edit.policy,
- org.eclipse.papyrus.sysml.diagram.common.factory,
- org.eclipse.papyrus.sysml.diagram.common.figure,
- org.eclipse.papyrus.sysml.diagram.common.messages,
- org.eclipse.papyrus.sysml.diagram.common.parser,
- org.eclipse.papyrus.sysml.diagram.common.preferences,
- org.eclipse.papyrus.sysml.diagram.common.utils,
- org.eclipse.papyrus.uml.diagram.common.dnd.helper,
- org.eclipse.papyrus.uml.diagram.common.edit.part,
- org.eclipse.papyrus.uml.diagram.common.factory,
- org.eclipse.papyrus.uml.diagram.common.figure,
- org.eclipse.papyrus.uml.diagram.common.parser,
- org.eclipse.papyrus.uml.diagram.common.utils
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.emf;bundle-version="2.6.0",
+ org.eclipse.uml2.uml;bundle-version="3.1.0",
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0",
+ org.eclipse.papyrus.umlutils;bundle-version:="0.9.0",
+ org.eclipse.core.expressions,
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.editor;bundle-version:="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version:="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.gmf.diagram.common.commands,
+ org.eclipse.papyrus.gmf.diagram.common.compatibility,
+ org.eclipse.papyrus.gmf.diagram.common.edit.part,
+ org.eclipse.papyrus.gmf.diagram.common.edit.policy,
+ org.eclipse.papyrus.gmf.diagram.common.factory,
+ org.eclipse.papyrus.gmf.diagram.common.locator,
+ org.eclipse.papyrus.gmf.diagram.common.provider,
+ org.eclipse.papyrus.sysml.diagram.common,
+ org.eclipse.papyrus.sysml.diagram.common.commands,
+ org.eclipse.papyrus.sysml.diagram.common.dialogs,
+ org.eclipse.papyrus.sysml.diagram.common.edit.part,
+ org.eclipse.papyrus.sysml.diagram.common.edit.policy,
+ org.eclipse.papyrus.sysml.diagram.common.factory,
+ org.eclipse.papyrus.sysml.diagram.common.figure,
+ org.eclipse.papyrus.sysml.diagram.common.messages,
+ org.eclipse.papyrus.sysml.diagram.common.parser,
+ org.eclipse.papyrus.sysml.diagram.common.preferences,
+ org.eclipse.papyrus.sysml.diagram.common.utils,
+ org.eclipse.papyrus.uml.diagram.common.dnd.helper,
+ org.eclipse.papyrus.uml.diagram.common.edit.part,
+ org.eclipse.papyrus.uml.diagram.common.factory,
+ org.eclipse.papyrus.uml.diagram.common.figure,
+ org.eclipse.papyrus.uml.diagram.common.parser,
+ org.eclipse.papyrus.uml.diagram.common.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.diagram.common.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.common;singleto
+ n:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
index f3bd81d4f27..b0247da77d4 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
@@ -1,25 +1,28 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.internalblock;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.sysml.diagram.internalblock.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.sysml;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.emf.common.ui;bundle-version="2.5.0",
- org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.diagram.composite;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.core.expressions,
- org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.8.1",
- org.eclipse.papyrus.sysml.service.types;bundle-version="0.8.1",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.8.1",
- org.eclipse.papyrus.widgets;bundle-version="0.8.1"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
+ org.eclipse.emf.common.ui;bundle-version="2.5.0",
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
+ org.eclipse.papyrus.diagram.composite;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.core.expressions,
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.diagram.internalblock.Acti
+ vator
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.internalblock;s
+ ingleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF
index d1def97e500..5c9d0c57dd4 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF
@@ -1,10 +1,20 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.sysml.diagram.parametric,
+ org.eclipse.papyrus.sysml.diagram.parametric.edit.commands,
+ org.eclipse.papyrus.sysml.diagram.parametric.edit.helpers,
+ org.eclipse.papyrus.sysml.diagram.parametric.edit.parts,
+ org.eclipse.papyrus.sysml.diagram.parametric.edit.policies,
+ org.eclipse.papyrus.sysml.diagram.parametric.navigator,
+ org.eclipse.papyrus.sysml.diagram.parametric.parsers,
+ org.eclipse.papyrus.sysml.diagram.parametric.part,
+ org.eclipse.papyrus.sysml.diagram.parametric.preferences,
+ org.eclipse.papyrus.sysml.diagram.parametric.providers,
+ org.eclipse.papyrus.sysml.diagram.parametric.sheet
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.parametric; singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.sysml.diagram.parametric.part.SysmlDiagramEditorPlugin
-Bundle-Vendor: %providerName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.core.resources,
@@ -28,38 +38,30 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.diagram.ui.resources.editor,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
org.eclipse.draw2d;visibility:=reexport,
- org.eclipse.papyrus.sysml;visibility:=reexport,
- org.eclipse.papyrus.sysml.edit;visibility:=reexport,
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.sysml.edit;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.uml2.uml;visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport,
- org.eclipse.papyrus.resource;visibility:=reexport,
- org.eclipse.papyrus.resource.edit;visibility:=reexport,
+ org.eclipse.papyrus.resource;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.resource.edit;bundle-version:="0.9.0";visibility:=reexport,
org.eclipse.gef,
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.diagram.common,
- org.eclipse.papyrus.core.adaptor.gmf,
- org.eclipse.papyrus.uml.standard;visibility:=reexport,
- org.eclipse.papyrus.uml.standard.edit;visibility:=reexport,
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version:="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.standard;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.uml.standard.edit;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
- org.eclipse.papyrus.parsers,
+ org.eclipse.papyrus.parsers;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.emf.validation;visibility:=reexport
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.sysml.diagram.parametric,
- org.eclipse.papyrus.sysml.diagram.parametric.edit.commands,
- org.eclipse.papyrus.sysml.diagram.parametric.edit.helpers,
- org.eclipse.papyrus.sysml.diagram.parametric.edit.parts,
- org.eclipse.papyrus.sysml.diagram.parametric.edit.policies,
- org.eclipse.papyrus.sysml.diagram.parametric.navigator,
- org.eclipse.papyrus.sysml.diagram.parametric.parsers,
- org.eclipse.papyrus.sysml.diagram.parametric.part,
- org.eclipse.papyrus.sysml.diagram.parametric.preferences,
- org.eclipse.papyrus.sysml.diagram.parametric.providers,
- org.eclipse.papyrus.sysml.diagram.parametric.sheet
+Bundle-Vendor: %providerName
Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.diagram.parametric.part.Sy
+ smlDiagramEditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.parametric;singleton:=true
+
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
index 20cf7c70166..29b02177330 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
@@ -1,19 +1,22 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.requirement;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.sysml.diagram.requirement.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.clazz,
- org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.3.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.4.0",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.clazz;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.3.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.4.0",
+ org.eclipse.papyrus.preferences;bundle-version:="0.9.0",
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.diagram.requirement.Activa
+ tor
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.requirement;sin
+ gleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
index f30417ad6c1..b952a922295 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
@@ -1,15 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.ui;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.sysml.diagram.ui.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.wizards;bundle-version="0.8.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.sysml.diagram.ui
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.papyrus.wizards;bundle-version:="0.9.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.sysml.diagram.ui
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.diagram.ui.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.diagram.ui;singleton:=t
+ rue
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF b/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
index 45d796e2dae..8158bcb4ecd 100644
--- a/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
@@ -3,21 +3,22 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.facet.infra.common.core,
org.eclipse.emf.facet.infra.query.core,
org.eclipse.uml2.uml,
- org.eclipse.papyrus.sysml,
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0",
org.eclipse.swt,
- org.eclipse.papyrus.diagram.common,
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.modelexplorer;bundle-version:="0.9.0",
org.eclipse.ui.navigator;bundle-version="3.5.0",
- org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.8.0",
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
-Bundle-Localization: plugin
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .,bin
+Bundle-ClassPath: .,
+ bin
Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.sysml.modelexplorer.Activator
Bundle-ManifestVersion: 2
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF
index 2412398a98c..4200c3f0770 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF
@@ -1,13 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.edit;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.sysml.provider.SysmlEditPlugin$Implementation
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.sysml.activities.provider,
org.eclipse.papyrus.sysml.allocations.provider,
org.eclipse.papyrus.sysml.blocks.provider,
@@ -19,7 +10,18 @@ Export-Package: org.eclipse.papyrus.sysml.activities.provider,
org.eclipse.papyrus.sysml.provider,
org.eclipse.papyrus.sysml.registry,
org.eclipse.papyrus.sysml.requirements.provider
-Require-Bundle: org.eclipse.papyrus.sysml;visibility:=reexport,
- org.eclipse.papyrus.uml.standard.edit;visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.6.0"
Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.sysml;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.uml.standard.edit;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.core.runtime;bundle-version:="3.6.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.provider.SysmlEditPlugin$I
+ mplementation
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.edit;singleton:=true
+
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
index 2a1d36910af..3604e546a1e 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
@@ -4,19 +4,20 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.facet.infra.query.core,
org.eclipse.emf.ecore,
org.eclipse.uml2.uml,
- org.eclipse.papyrus.sysml;bundle-version="0.8.0",
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0",
org.eclipse.emf.edit,
org.eclipse.uml2.common.edit,
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit,
- org.eclipse.papyrus.sysml.service.types,
- org.eclipse.papyrus.uml.standard,
- org.eclipse.papyrus.uml.service.types,
- org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.8.1",
- org.eclipse.papyrus.ui.toolbox
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version:="0.9.0",
+ org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .,bin
+Bundle-ClassPath: .,
+ bin
Bundle-Version: 0.9.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
index a35539f8eca..869f678615b 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
@@ -1,23 +1,25 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.service.types;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.sysml.service.types.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.sysml;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
- org.eclipse.papyrus.uml.standard;bundle-version="0.7.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.2"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.sysml.service.types,
- org.eclipse.papyrus.sysml.service.types.element,
- org.eclipse.papyrus.sysml.service.types.helper,
- org.eclipse.papyrus.sysml.service.types.matcher
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.uml2.uml;bundle-version="3.1.0",
+ org.eclipse.papyrus.sysml;bundle-version:="0.9.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
+ org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0"
+Export-Package: org.eclipse.papyrus.sysml.service.types,
+ org.eclipse.papyrus.sysml.service.types.element,
+ org.eclipse.papyrus.sysml.service.types.helper,
+ org.eclipse.papyrus.sysml.service.types.matcher
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.service.types.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.service.types;singleton
+ :=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF
index 5c31c3b864e..9a45261ddb8 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF
@@ -1,11 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.sysml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Export-Package: org.eclipse.papyrus.sysml,
org.eclipse.papyrus.sysml.activities,
org.eclipse.papyrus.sysml.activities.impl,
@@ -39,7 +32,15 @@ Export-Package: org.eclipse.papyrus.sysml,
org.eclipse.papyrus.sysml.usecases.impl,
org.eclipse.papyrus.sysml.usecases.util,
org.eclipse.papyrus.sysml.util
-Require-Bundle: org.eclipse.papyrus.uml.standard;bundle-version="0.8.0",
- org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.8.0"
+Require-Bundle: org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
Eclipse-LazyStart: true
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.sysml;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/properties/org.eclipse.papyrus.properties.sysml/META-INF/MANIFEST.MF b/plugins/sysml/properties/org.eclipse.papyrus.properties.sysml/META-INF/MANIFEST.MF
index 74c886941e8..40e1aadb5a5 100644
--- a/plugins/sysml/properties/org.eclipse.papyrus.properties.sysml/META-INF/MANIFEST.MF
+++ b/plugins/sysml/properties/org.eclipse.papyrus.properties.sysml/META-INF/MANIFEST.MF
@@ -1,13 +1,15 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.properties.sysml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.sysml.Activator
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.papyrus.properties;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.uml;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %Bundle-Vendor
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties;bundle-version:="0.9.0",
+ org.eclipse.papyrus.properties.uml;bundle-version:="0.9.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.sysml.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.sysml;singleton:=t
+ rue
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/properties/org.eclipse.papyrus.properties.view.sysml/META-INF/MANIFEST.MF b/plugins/sysml/properties/org.eclipse.papyrus.properties.view.sysml/META-INF/MANIFEST.MF
index c286fb54afb..5c38871404c 100644
--- a/plugins/sysml/properties/org.eclipse.papyrus.properties.view.sysml/META-INF/MANIFEST.MF
+++ b/plugins/sysml/properties/org.eclipse.papyrus.properties.view.sysml/META-INF/MANIFEST.MF
@@ -1,13 +1,15 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.properties.view.sysml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.view.sysml.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.view.sysml.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.view.sysml;singlet
+ on:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF b/plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF
index f073b8e5ec8..b2d7506204a 100644
--- a/plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF
+++ b/plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF
@@ -1,25 +1,26 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.facet.infra.common.core,
org.eclipse.emf.facet.infra.query.core,
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.sysml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.table.common,
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version:="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.table.common;bundle-version="0.9.0",
org.eclipse.core.expressions,
- org.eclipse.papyrus.table.instance;bundle-version="0.8.0",
+ org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable;bundle-version="0.1.0",
- org.eclipse.emf.facet.widgets.nattable.tableconfiguration;bundle-version="0.1.0",
- org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
- org.eclipse.papyrus.sysml
+ org.eclipse.emf.facet.widgets.nattable.tableconfiguration;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.widgets.nattable.instance;bundle-version:="0.1.0",
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .,bin
+Bundle-ClassPath: .,
+ bin
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
+Bundle-Localization: plugin
Bundle-Activator: org.eclipse.papyrus.sysml.table.allocation.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.sysml.table.allocation;single
ton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
diff --git a/plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF b/plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF
index 81b9cf4d2bd..0f5607ae2c7 100644
--- a/plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF
+++ b/plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF
@@ -1,19 +1,20 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.facet.widgets.nattable.instance,
org.eclipse.emf.facet.infra.query.core,
- org.eclipse.papyrus.diagram.common,
- org.eclipse.papyrus.service.edit,
- org.eclipse.papyrus.sysml.service.types,
- org.eclipse.papyrus.table.common;bundle-version="0.8.0",
+ org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.table.common;bundle-version="0.9.0",
org.eclipse.core.expressions,
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.papyrus.table.instance;bundle-version="0.8.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version:="0.1.0",
+ org.eclipse.papyrus.table.instance;bundle-version:="0.9.0",
org.eclipse.emf.facet.widgets.nattable;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom.core,
- org.eclipse.papyrus.sysml;bundle-version="0.8.0"
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .,bin
+Bundle-ClassPath: .,
+ bin
Bundle-Version: 0.9.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.activity/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.activity/META-INF/MANIFEST.MF
index 2c0513441bd..fc29ccba05c 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.activity/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.activity/META-INF/MANIFEST.MF
@@ -1,17 +1,39 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.diagram.activity,
+ org.eclipse.papyrus.diagram.activity.commands,
+ org.eclipse.papyrus.diagram.activity.draw2d,
+ org.eclipse.papyrus.diagram.activity.edit.actions,
+ org.eclipse.papyrus.diagram.activity.edit.commands,
+ org.eclipse.papyrus.diagram.activity.edit.dialogs,
+ org.eclipse.papyrus.diagram.activity.edit.helpers,
+ org.eclipse.papyrus.diagram.activity.edit.parts,
+ org.eclipse.papyrus.diagram.activity.edit.policies,
+ org.eclipse.papyrus.diagram.activity.expressions,
+ org.eclipse.papyrus.diagram.activity.figures,
+ org.eclipse.papyrus.diagram.activity.helper,
+ org.eclipse.papyrus.diagram.activity.locator,
+ org.eclipse.papyrus.diagram.activity.navigator,
+ org.eclipse.papyrus.diagram.activity.parser.custom,
+ org.eclipse.papyrus.diagram.activity.parsers,
+ org.eclipse.papyrus.diagram.activity.part,
+ org.eclipse.papyrus.diagram.activity.preferences,
+ org.eclipse.papyrus.diagram.activity.providers,
+ org.eclipse.papyrus.diagram.activity.sheet,
+ org.eclipse.papyrus.diagram.activity.tabbedproperties.appearance
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.activity; singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.expressions,
org.eclipse.ui.navigator,
org.eclipse.ui.navigator.resources,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.extensionpoints.editors,
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.emf.validation.ocl;visibility:=reexport,
org.eclipse.core.runtime,
@@ -38,32 +60,12 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.emf.validation;visibility:=reexport,
org.eclipse.gef,
- org.eclipse.papyrus.diagram.common.groups
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.diagram.activity.part.UMLDiagramEditorPlugin
+ org.eclipse.papyrus.diagram.common.groups;bundle-version:="0.9.0"
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.activity,
- org.eclipse.papyrus.diagram.activity.commands,
- org.eclipse.papyrus.diagram.activity.draw2d,
- org.eclipse.papyrus.diagram.activity.edit.actions,
- org.eclipse.papyrus.diagram.activity.edit.commands,
- org.eclipse.papyrus.diagram.activity.edit.dialogs,
- org.eclipse.papyrus.diagram.activity.edit.helpers,
- org.eclipse.papyrus.diagram.activity.edit.parts,
- org.eclipse.papyrus.diagram.activity.edit.policies,
- org.eclipse.papyrus.diagram.activity.expressions,
- org.eclipse.papyrus.diagram.activity.figures,
- org.eclipse.papyrus.diagram.activity.helper,
- org.eclipse.papyrus.diagram.activity.locator,
- org.eclipse.papyrus.diagram.activity.navigator,
- org.eclipse.papyrus.diagram.activity.parser.custom,
- org.eclipse.papyrus.diagram.activity.parsers,
- org.eclipse.papyrus.diagram.activity.part,
- org.eclipse.papyrus.diagram.activity.preferences,
- org.eclipse.papyrus.diagram.activity.providers,
- org.eclipse.papyrus.diagram.activity.sheet,
- org.eclipse.papyrus.diagram.activity.tabbedproperties.appearance
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.activity.part.UMLDiagram
+ EditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.activity;singleton:=true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.clazz/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.clazz/META-INF/MANIFEST.MF
index 22b4b786393..071c0fe95af 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.clazz/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.clazz/META-INF/MANIFEST.MF
@@ -1,22 +1,35 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.diagram.clazz,
+ org.eclipse.papyrus.diagram.clazz.custom.factory,
+ org.eclipse.papyrus.diagram.clazz.custom.policies,
+ org.eclipse.papyrus.diagram.clazz.custom.policies.itemsemantic,
+ org.eclipse.papyrus.diagram.clazz.custom.providers,
+ org.eclipse.papyrus.diagram.clazz.edit.commands,
+ org.eclipse.papyrus.diagram.clazz.edit.helpers,
+ org.eclipse.papyrus.diagram.clazz.edit.parts,
+ org.eclipse.papyrus.diagram.clazz.edit.policies,
+ org.eclipse.papyrus.diagram.clazz.parsers,
+ org.eclipse.papyrus.diagram.clazz.part,
+ org.eclipse.papyrus.diagram.clazz.providers
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.clazz; singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.expressions,
org.eclipse.ui.navigator,
org.eclipse.ui.navigator.resources,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.gmf.runtime.diagram.ui.render,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
- org.eclipse.papyrus.ui.toolbox,
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.ocl.uml;bundle-version="3.0.0",
- org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.ocl.uml;bundle-version:="3.0.0",
+ org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version:="1.3.0",
org.eclipse.core.runtime,
org.eclipse.core.resources,
org.eclipse.jface,
@@ -39,23 +52,12 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.gef,
org.eclipse.ui,
- org.eclipse.papyrus.service.edit
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.diagram.clazz.part.UMLDiagramEditorPlugin
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.diagram.clazz,
- org.eclipse.papyrus.diagram.clazz.custom.factory,
- org.eclipse.papyrus.diagram.clazz.custom.policies,
- org.eclipse.papyrus.diagram.clazz.custom.policies.itemsemantic,
- org.eclipse.papyrus.diagram.clazz.custom.providers,
- org.eclipse.papyrus.diagram.clazz.edit.commands,
- org.eclipse.papyrus.diagram.clazz.edit.helpers,
- org.eclipse.papyrus.diagram.clazz.edit.parts,
- org.eclipse.papyrus.diagram.clazz.edit.policies,
- org.eclipse.papyrus.diagram.clazz.parsers,
- org.eclipse.papyrus.diagram.clazz.part,
- org.eclipse.papyrus.diagram.clazz.providers
Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.clazz.part.UMLDiagramEdi
+ torPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.clazz;singleton:=true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.common.groups/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.common.groups/META-INF/MANIFEST.MF
index a5d36b9b8c2..0aa275727d6 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.common.groups/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.common.groups/META-INF/MANIFEST.MF
@@ -1,23 +1,25 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.groups;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.common.groups.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.papyrus.diagram.common,
- org.eclipse.papyrus.ui.toolbox,
- org.eclipse.papyrus.preferences
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.diagram.common.groups.commands,
- org.eclipse.papyrus.diagram.common.groups.core.utils,
- org.eclipse.papyrus.diagram.common.groups.edit.policies,
- org.eclipse.papyrus.diagram.common.groups.groupcontainment,
- org.eclipse.papyrus.diagram.common.groups.preferences,
- org.eclipse.papyrus.diagram.common.groups.tabbedproperties.appearance,
- org.eclipse.papyrus.diagram.common.groups.utils
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.gmf.runtime.diagram.ui.properties,
+ org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version:="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.diagram.common.groups.commands,
+ org.eclipse.papyrus.diagram.common.groups.core.utils,
+ org.eclipse.papyrus.diagram.common.groups.edit.policies,
+ org.eclipse.papyrus.diagram.common.groups.groupcontainment,
+ org.eclipse.papyrus.diagram.common.groups.preferences,
+ org.eclipse.papyrus.diagram.common.groups.tabbedproperties.appearance,
+ org.eclipse.papyrus.diagram.common.groups.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.common.groups.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.groups;singlet
+ on:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.common.palette.customaction/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.common.palette.customaction/META-INF/MANIFEST.MF
index 825dce257ae..b7fd7233887 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.common.palette.customaction/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.common.palette.customaction/META-INF/MANIFEST.MF
@@ -1,18 +1,21 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.palette.customaction;singleton:=true
-Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.common.palette.customaction.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.diagram.common
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Import-Package: com.google.common.base,
- com.google.common.collect
-Export-Package: org.eclipse.papyrus.diagram.common.palette.customaction.providers,
- org.eclipse.papyrus.diagram.common.palette.customaction.swt,
- org.eclipse.papyrus.diagram.common.palette.customaction.toolbox,
- org.eclipse.papyrus.diagram.common.palette.customaction.utils
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.diagram.common.palette.customaction.providers,
+ org.eclipse.papyrus.diagram.common.palette.customaction.swt,
+ org.eclipse.papyrus.diagram.common.palette.customaction.toolbox,
+ org.eclipse.papyrus.diagram.common.palette.customaction.utils
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.diagram.common.palette.customact
+ ion.Activator
+Bundle-ManifestVersion: 2
+Import-Package: com.google.common.base,
+ com.google.common.collect
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.palette.custom
+ action;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.common/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.common/META-INF/MANIFEST.MF
index 2dc34a486a3..6e02427fc29 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.common/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.common/META-INF/MANIFEST.MF
@@ -1,82 +1,84 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.common;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.common,
- org.eclipse.papyrus.diagram.common.actions,
- org.eclipse.papyrus.diagram.common.actions.handlers,
- org.eclipse.papyrus.diagram.common.command.wrappers,
- org.eclipse.papyrus.diagram.common.commands,
- org.eclipse.papyrus.diagram.common.dialogs,
- org.eclipse.papyrus.diagram.common.directedit,
- org.eclipse.papyrus.diagram.common.dragtracker,
- org.eclipse.papyrus.diagram.common.draw2d,
- org.eclipse.papyrus.diagram.common.draw2d.anchors,
- org.eclipse.papyrus.diagram.common.editparts,
- org.eclipse.papyrus.diagram.common.editpolicies,
- org.eclipse.papyrus.diagram.common.figure.edge,
- org.eclipse.papyrus.diagram.common.figure.layout,
- org.eclipse.papyrus.diagram.common.figure.node,
- org.eclipse.papyrus.diagram.common.handlers,
- org.eclipse.papyrus.diagram.common.helper,
- org.eclipse.papyrus.diagram.common.ids,
- org.eclipse.papyrus.diagram.common.layout,
- org.eclipse.papyrus.diagram.common.listeners,
- org.eclipse.papyrus.diagram.common.locator,
- org.eclipse.papyrus.diagram.common.parser,
- org.eclipse.papyrus.diagram.common.parser.assist,
- org.eclipse.papyrus.diagram.common.parser.custom,
- org.eclipse.papyrus.diagram.common.parser.lookup,
- org.eclipse.papyrus.diagram.common.parser.packageimport,
- org.eclipse.papyrus.diagram.common.parser.stereotype,
- org.eclipse.papyrus.diagram.common.parser.structural,
- org.eclipse.papyrus.diagram.common.part,
- org.eclipse.papyrus.diagram.common.preferences,
- org.eclipse.papyrus.diagram.common.providers,
- org.eclipse.papyrus.diagram.common.providers.assistant,
- org.eclipse.papyrus.diagram.common.resourceupdate,
- org.eclipse.papyrus.diagram.common.service,
- org.eclipse.papyrus.diagram.common.service.palette,
- org.eclipse.papyrus.diagram.common.sheet,
- org.eclipse.papyrus.diagram.common.ui.dialogs,
- org.eclipse.papyrus.diagram.common.ui.helper,
- org.eclipse.papyrus.diagram.common.ui.hyperlinkshell,
- org.eclipse.papyrus.diagram.common.util
-Require-Bundle: org.eclipse.uml2.uml.edit;visibility:=reexport,
- org.eclipse.papyrus.core;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.gmf.runtime.diagram.ui.resources.editor,
- org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.1.0",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.2.0",
- org.eclipse.papyrus.wizards;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
- org.eclipse.core.databinding;bundle-version="1.2.0",
- org.eclipse.papyrus.editor;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.3.0",
- org.eclipse.papyrus.pastemanager;bundle-version="0.8.0",
- org.eclipse.ui,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui.actions,
- org.eclipse.gmf.runtime.draw2d.ui.render;bundle-version="1.4.0",
- org.eclipse.core.expressions,
- org.eclipse.papyrus.validation;bundle-version="0.8.0",
- org.eclipse.papyrus.extendedtypes;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.navigation;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.navigation.uml;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui.printing,
- org.eclipse.gmf.runtime.diagram.ui.providers.ide,
- org.eclipse.papyrus.decoration;bundle-version="0.9.0",
- org.eclipse.papyrus.core.resourceloading
-Created-By: 1.5.0_06-b05 (Sun Microsystems Inc.)
-Ant-Version: Apache Ant 1.7.0
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Activator: org.eclipse.papyrus.diagram.common.Activator
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.diagram.common,
+ org.eclipse.papyrus.diagram.common.actions,
+ org.eclipse.papyrus.diagram.common.actions.handlers,
+ org.eclipse.papyrus.diagram.common.command.wrappers,
+ org.eclipse.papyrus.diagram.common.commands,
+ org.eclipse.papyrus.diagram.common.dialogs,
+ org.eclipse.papyrus.diagram.common.directedit,
+ org.eclipse.papyrus.diagram.common.dragtracker,
+ org.eclipse.papyrus.diagram.common.draw2d,
+ org.eclipse.papyrus.diagram.common.draw2d.anchors,
+ org.eclipse.papyrus.diagram.common.editparts,
+ org.eclipse.papyrus.diagram.common.editpolicies,
+ org.eclipse.papyrus.diagram.common.figure.edge,
+ org.eclipse.papyrus.diagram.common.figure.layout,
+ org.eclipse.papyrus.diagram.common.figure.node,
+ org.eclipse.papyrus.diagram.common.handlers,
+ org.eclipse.papyrus.diagram.common.helper,
+ org.eclipse.papyrus.diagram.common.ids,
+ org.eclipse.papyrus.diagram.common.layout,
+ org.eclipse.papyrus.diagram.common.listeners,
+ org.eclipse.papyrus.diagram.common.locator,
+ org.eclipse.papyrus.diagram.common.parser,
+ org.eclipse.papyrus.diagram.common.parser.assist,
+ org.eclipse.papyrus.diagram.common.parser.custom,
+ org.eclipse.papyrus.diagram.common.parser.lookup,
+ org.eclipse.papyrus.diagram.common.parser.packageimport,
+ org.eclipse.papyrus.diagram.common.parser.stereotype,
+ org.eclipse.papyrus.diagram.common.parser.structural,
+ org.eclipse.papyrus.diagram.common.part,
+ org.eclipse.papyrus.diagram.common.preferences,
+ org.eclipse.papyrus.diagram.common.providers,
+ org.eclipse.papyrus.diagram.common.providers.assistant,
+ org.eclipse.papyrus.diagram.common.resourceupdate,
+ org.eclipse.papyrus.diagram.common.service,
+ org.eclipse.papyrus.diagram.common.service.palette,
+ org.eclipse.papyrus.diagram.common.sheet,
+ org.eclipse.papyrus.diagram.common.ui.dialogs,
+ org.eclipse.papyrus.diagram.common.ui.helper,
+ org.eclipse.papyrus.diagram.common.ui.hyperlinkshell,
+ org.eclipse.papyrus.diagram.common.util
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Created-By: 1.5.0_06-b05 (Sun Microsystems Inc.)
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.uml2.uml.edit;visibility:=reexport,
+ org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor,
+ org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.1.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.2.0",
+ org.eclipse.papyrus.wizards;bundle-version="0.9.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.ui.toolbox;bundle-version:="0.9.0",
+ org.eclipse.core.databinding;bundle-version="1.2.0",
+ org.eclipse.papyrus.editor;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.3.0",
+ org.eclipse.papyrus.pastemanager;bundle-version="0.9.0",
+ org.eclipse.ui,
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.actions,
+ org.eclipse.gmf.runtime.draw2d.ui.render;bundle-version="1.4.0",
+ org.eclipse.core.expressions,
+ org.eclipse.papyrus.validation;bundle-version:="0.9.0",
+ org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.navigation;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.navigation.uml;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.printing,
+ org.eclipse.gmf.runtime.diagram.ui.providers.ide,
+ org.eclipse.papyrus.decoration;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.resourceloading;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Ant-Version: Apache Ant 1.7.0
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.common.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.common;singleton:=tru
+ e
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.communication/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.communication/META-INF/MANIFEST.MF
index 941ce0b19c9..e855bcd513a 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.communication/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.communication/META-INF/MANIFEST.MF
@@ -1,9 +1,29 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.diagram.communication,
+ org.eclipse.papyrus.diagram.communication.custom.commands,
+ org.eclipse.papyrus.diagram.communication.custom.edit.parts,
+ org.eclipse.papyrus.diagram.communication.custom.edit.policies,
+ org.eclipse.papyrus.diagram.communication.custom.factory,
+ org.eclipse.papyrus.diagram.communication.custom.figures,
+ org.eclipse.papyrus.diagram.communication.custom.helper,
+ org.eclipse.papyrus.diagram.communication.custom.parser,
+ org.eclipse.papyrus.diagram.communication.custom.policies.itemsemantic,
+ org.eclipse.papyrus.diagram.communication.custom.providers,
+ org.eclipse.papyrus.diagram.communication.edit.commands,
+ org.eclipse.papyrus.diagram.communication.edit.helpers,
+ org.eclipse.papyrus.diagram.communication.edit.parts,
+ org.eclipse.papyrus.diagram.communication.edit.policies,
+ org.eclipse.papyrus.diagram.communication.expressions,
+ org.eclipse.papyrus.diagram.communication.navigator,
+ org.eclipse.papyrus.diagram.communication.parsers,
+ org.eclipse.papyrus.diagram.communication.part,
+ org.eclipse.papyrus.diagram.communication.preferences,
+ org.eclipse.papyrus.diagram.communication.providers
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.communication; singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.communication.part.UMLDiagramEditorPlugin
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.emf.ecore,
@@ -27,46 +47,28 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
org.eclipse.uml2.uml;visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport,
- org.eclipse.papyrus.ui.toolbox,
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.editor;bundle-version="0.8.0",
- org.eclipse.uml2.uml.resources;bundle-version="3.0.0",
- org.eclipse.papyrus.extensionpoints.editors,
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.editor;bundle-version="0.9.0",
+ org.eclipse.uml2.uml.resources;bundle-version:="3.0.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version:="0.9.0",
org.eclipse.jface,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.emf.validation;visibility:=reexport,
org.eclipse.gef,
org.eclipse.draw2d;visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ClassPath: .
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.communication,
- org.eclipse.papyrus.diagram.communication.custom.commands,
- org.eclipse.papyrus.diagram.communication.custom.edit.parts,
- org.eclipse.papyrus.diagram.communication.custom.edit.policies,
- org.eclipse.papyrus.diagram.communication.custom.factory,
- org.eclipse.papyrus.diagram.communication.custom.figures,
- org.eclipse.papyrus.diagram.communication.custom.helper,
- org.eclipse.papyrus.diagram.communication.custom.parser,
- org.eclipse.papyrus.diagram.communication.custom.policies.itemsemantic,
- org.eclipse.papyrus.diagram.communication.custom.providers,
- org.eclipse.papyrus.diagram.communication.edit.commands,
- org.eclipse.papyrus.diagram.communication.edit.helpers,
- org.eclipse.papyrus.diagram.communication.edit.parts,
- org.eclipse.papyrus.diagram.communication.edit.policies,
- org.eclipse.papyrus.diagram.communication.expressions,
- org.eclipse.papyrus.diagram.communication.navigator,
- org.eclipse.papyrus.diagram.communication.parsers,
- org.eclipse.papyrus.diagram.communication.part,
- org.eclipse.papyrus.diagram.communication.preferences,
- org.eclipse.papyrus.diagram.communication.providers
Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.communication.part.UMLDi
+ agramEditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.communication;singleton:=true
Import-Package: org.eclipse.papyrus.diagram.communication.custom.edit.policies,
org.eclipse.papyrus.diagram.communication.custom.helper,
org.eclipse.papyrus.service.edit.service
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.component/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.component/META-INF/MANIFEST.MF
index 9a9d1ced4db..c53b153bff7 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.component/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.component/META-INF/MANIFEST.MF
@@ -1,9 +1,12 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.diagram.component.edit.parts,
+ org.eclipse.papyrus.diagram.component.part,
+ org.eclipse.papyrus.diagram.component.providers
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.component; singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Vendor: %providerName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.core.resources,
@@ -34,21 +37,20 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.gef;visibility:=reexport,
- org.eclipse.papyrus.diagram.common;resolution:=optional,
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.editor,
- org.eclipse.papyrus.service.edit,
- org.eclipse.papyrus.widgets,
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0";resolution:=optional,
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.editor;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version:="0.9.0",
org.eclipse.emf.validation;visibility:=reexport
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.diagram.component.part.UMLDiagramEditorPlugin
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.component.edit.parts,
- org.eclipse.papyrus.diagram.component.part,
- org.eclipse.papyrus.diagram.component.providers
+Bundle-Vendor: %providerName
+Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.component.part.UMLDiagra
+ mEditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.component;singleton:=true
Import-Package: org.eclipse.papyrus.core.adaptor.gmf,
org.eclipse.papyrus.diagram.common.figure.node;resolution:=optional,
org.eclipse.papyrus.diagram.component.part,
@@ -56,4 +58,4 @@ Import-Package: org.eclipse.papyrus.core.adaptor.gmf,
org.eclipse.papyrus.service.edit.service,
org.eclipse.papyrus.uml.service.types.element,
org.eclipse.papyrus.widgets.editors
-Eclipse-LazyStart: true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.composite/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.composite/META-INF/MANIFEST.MF
index fcb6f42b956..9265e491c97 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.composite/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.composite/META-INF/MANIFEST.MF
@@ -1,8 +1,25 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.diagram.composite,
+ org.eclipse.papyrus.diagram.composite.custom.actions,
+ org.eclipse.papyrus.diagram.composite.custom.edit.command,
+ org.eclipse.papyrus.diagram.composite.custom.edit.policies,
+ org.eclipse.papyrus.diagram.composite.custom.figures,
+ org.eclipse.papyrus.diagram.composite.custom.locators,
+ org.eclipse.papyrus.diagram.composite.custom.parts,
+ org.eclipse.papyrus.diagram.composite.edit.commands,
+ org.eclipse.papyrus.diagram.composite.edit.helpers,
+ org.eclipse.papyrus.diagram.composite.edit.parts,
+ org.eclipse.papyrus.diagram.composite.edit.policies,
+ org.eclipse.papyrus.diagram.composite.parsers,
+ org.eclipse.papyrus.diagram.composite.part,
+ org.eclipse.papyrus.diagram.composite.preferences,
+ org.eclipse.papyrus.diagram.composite.providers,
+ org.eclipse.papyrus.diagram.composite.sheet
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.composite; singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.emf.ecore,
org.eclipse.core.runtime,
org.eclipse.core.resources,
@@ -30,36 +47,21 @@ Require-Bundle: org.eclipse.emf.ecore,
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.gef;visibility:=reexport,
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
+ org.eclipse.papyrus.core;bundle-version:="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.draw2d;visibility:=reexport,
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.papyrus.uml.service.types,
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version:="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.diagram.composite.part.UMLDiagramEditorPlugin
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.composite,
- org.eclipse.papyrus.diagram.composite.custom.actions,
- org.eclipse.papyrus.diagram.composite.custom.edit.command,
- org.eclipse.papyrus.diagram.composite.custom.edit.policies,
- org.eclipse.papyrus.diagram.composite.custom.figures,
- org.eclipse.papyrus.diagram.composite.custom.locators,
- org.eclipse.papyrus.diagram.composite.custom.parts,
- org.eclipse.papyrus.diagram.composite.edit.commands,
- org.eclipse.papyrus.diagram.composite.edit.helpers,
- org.eclipse.papyrus.diagram.composite.edit.parts,
- org.eclipse.papyrus.diagram.composite.edit.policies,
- org.eclipse.papyrus.diagram.composite.parsers,
- org.eclipse.papyrus.diagram.composite.part,
- org.eclipse.papyrus.diagram.composite.preferences,
- org.eclipse.papyrus.diagram.composite.providers,
- org.eclipse.papyrus.diagram.composite.sheet
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.composite.part.UMLDiagra
+ mEditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.composite;singleton:=true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.deployment/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.deployment/META-INF/MANIFEST.MF
index b6c16b6b215..37dff0596c5 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.deployment/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.deployment/META-INF/MANIFEST.MF
@@ -1,10 +1,12 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.diagram.deployment.edit.parts,
+ org.eclipse.papyrus.diagram.deployment.part,
+ org.eclipse.papyrus.diagram.deployment.providers
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.deployment; singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.deployment.part.UMLDiagramEditorPlugin
-Bundle-Vendor: %providerName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.core.resources,
@@ -35,18 +37,18 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.gef,
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.service.edit,
- org.eclipse.papyrus.diagram.common,
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.deployment.edit.parts,
- org.eclipse.papyrus.diagram.deployment.part,
- org.eclipse.papyrus.diagram.deployment.providers
+Bundle-Vendor: %providerName
+Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.deployment.part.UMLDiagr
+ amEditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.deployment;singleton:=true
Import-Package: org.eclipse.papyrus.core.adaptor.gmf,
org.eclipse.papyrus.diagram.common.figure.node,
org.eclipse.papyrus.diagram.deployment.edit.parts,
@@ -54,4 +56,4 @@ Import-Package: org.eclipse.papyrus.core.adaptor.gmf,
org.eclipse.papyrus.editor,
org.eclipse.papyrus.service.edit.service,
org.eclipse.papyrus.uml.service.types.element
-Eclipse-LazyStart: true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.emftree/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.emftree/META-INF/MANIFEST.MF
index 62b1467be84..9394a9a199b 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.emftree/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.emftree/META-INF/MANIFEST.MF
@@ -1,13 +1,15 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.emftree;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.emftree.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.papyrus.core.adaptor.emf;bundle-version="0.8.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.uml2.uml.editor;bundle-version="3.0.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core.adaptor.emf;bundle-version="0.9.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.uml2.uml.editor;bundle-version="3.0.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.emftree.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.emftree;singleton:=tr
+ ue
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.icons.uml/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.icons.uml/META-INF/MANIFEST.MF
index c053b8397d3..5489dd3e8de 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.icons.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.icons.uml/META-INF/MANIFEST.MF
@@ -1,12 +1,14 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.icons.uml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.icons.uml.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.diagram.icons.uml.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.icons.uml;singleton:=
+ true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.menu/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.menu/META-INF/MANIFEST.MF
index b7feacfc4cf..20db9017251 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.menu/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.menu/META-INF/MANIFEST.MF
@@ -1,28 +1,29 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.menu;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.menu.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui.actions,
- org.eclipse.gmf.runtime.draw2d.ui.render;bundle-version="1.4.0",
- org.eclipse.core.expressions,
- org.eclipse.gmf.runtime.diagram.ui.resources.editor,
- org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.1.0",
- org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.diagram.ui.actions,
- org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0",
- org.eclipse.papyrus.wizards,
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.ui.views.log,
- org.eclipse.papyrus.commands
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.diagram.menu,
- org.eclipse.papyrus.diagram.menu.actions,
- org.eclipse.papyrus.diagram.menu.actions.handlers
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version:="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.actions,
+ org.eclipse.gmf.runtime.draw2d.ui.render;bundle-version="1.4.0",
+ org.eclipse.core.expressions,
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor,
+ org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.1.0",
+ org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.diagram.ui.actions,
+ org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0",
+ org.eclipse.papyrus.wizards;bundle-version:="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.ui.views.log,
+ org.eclipse.papyrus.commands;bundle-version:="0.9.0"
+Export-Package: org.eclipse.papyrus.diagram.menu,
+ org.eclipse.papyrus.diagram.menu.actions,
+ org.eclipse.papyrus.diagram.menu.actions.handlers
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.menu.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.menu;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.modelexplorer/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.modelexplorer/META-INF/MANIFEST.MF
index df65bb4343f..8e5e04f99cd 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.modelexplorer/META-INF/MANIFEST.MF
@@ -1,20 +1,23 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.modelexplorer;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.modelexplorer.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.ui.navigator;bundle-version ="3.4.0",
- org.eclipse.emf.transaction;bundle-version="1.4.0",
- org.eclipse.uml2.uml.editor;bundle-version="3.1.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.7.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.emf.ecore,org.eclipse.gmf.runtime.notation,
- org.eclipse.emf.facet.infra.query.core
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.ui.navigator;bundle-version:="3.4.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.uml2.uml.editor;bundle-version="3.1.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.facet;bundle-version:="0.1.0",
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.emf.ecore,
+ org.eclipse.gmf.runtime.notation,
+ org.eclipse.emf.facet.infra.query.core
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.modelexplorer.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.modelexplorer;singlet
+ on:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.profile/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.profile/META-INF/MANIFEST.MF
index 7c1095239e7..4757fee45d3 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.profile/META-INF/MANIFEST.MF
@@ -1,9 +1,33 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.diagram.profile,
+ org.eclipse.papyrus.diagram.profile.custom.commands,
+ org.eclipse.papyrus.diagram.profile.custom.edit.parts,
+ org.eclipse.papyrus.diagram.profile.custom.factory,
+ org.eclipse.papyrus.diagram.profile.custom.figure,
+ org.eclipse.papyrus.diagram.profile.custom.helper,
+ org.eclipse.papyrus.diagram.profile.custom.messages,
+ org.eclipse.papyrus.diagram.profile.custom.policies,
+ org.eclipse.papyrus.diagram.profile.custom.policies.itemsemantic,
+ org.eclipse.papyrus.diagram.profile.custom.preferences,
+ org.eclipse.papyrus.diagram.profile.custom.providers,
+ org.eclipse.papyrus.diagram.profile.custom.requests,
+ org.eclipse.papyrus.diagram.profile.custom.ui.dialog,
+ org.eclipse.papyrus.diagram.profile.edit.commands,
+ org.eclipse.papyrus.diagram.profile.edit.helpers,
+ org.eclipse.papyrus.diagram.profile.edit.parts,
+ org.eclipse.papyrus.diagram.profile.edit.policies,
+ org.eclipse.papyrus.diagram.profile.navigator,
+ org.eclipse.papyrus.diagram.profile.parsers,
+ org.eclipse.papyrus.diagram.profile.part,
+ org.eclipse.papyrus.diagram.profile.preferences,
+ org.eclipse.papyrus.diagram.profile.providers,
+ org.eclipse.papyrus.diagram.profile.service,
+ org.eclipse.papyrus.diagram.profile.sheet
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.profile; singleton:=true
-Bundle-Version: 0.7.0.vqualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.profile.part.UMLDiagramEditorPlugin
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.core.resources,
@@ -27,50 +51,29 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.gef,
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
org.eclipse.draw2d;visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.ocl.ecore;visibility:=reexport,
- org.eclipse.papyrus.profile;bundle-version="0.8.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
+ org.eclipse.papyrus.profile;bundle-version="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
org.eclipse.core.expressions,
org.eclipse.ui.navigator,
org.eclipse.ui.navigator.resources,
- org.eclipse.papyrus.editor,
+ org.eclipse.papyrus.editor;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport,
- org.eclipse.papyrus.service.edit,
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
org.eclipse.papyrus.commands;bundle-version="0.9.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ClassPath: .
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.profile,
- org.eclipse.papyrus.diagram.profile.custom.commands,
- org.eclipse.papyrus.diagram.profile.custom.edit.parts,
- org.eclipse.papyrus.diagram.profile.custom.factory,
- org.eclipse.papyrus.diagram.profile.custom.figure,
- org.eclipse.papyrus.diagram.profile.custom.helper,
- org.eclipse.papyrus.diagram.profile.custom.messages,
- org.eclipse.papyrus.diagram.profile.custom.policies,
- org.eclipse.papyrus.diagram.profile.custom.policies.itemsemantic,
- org.eclipse.papyrus.diagram.profile.custom.preferences,
- org.eclipse.papyrus.diagram.profile.custom.providers,
- org.eclipse.papyrus.diagram.profile.custom.requests,
- org.eclipse.papyrus.diagram.profile.custom.ui.dialog,
- org.eclipse.papyrus.diagram.profile.edit.commands,
- org.eclipse.papyrus.diagram.profile.edit.helpers,
- org.eclipse.papyrus.diagram.profile.edit.parts,
- org.eclipse.papyrus.diagram.profile.edit.policies,
- org.eclipse.papyrus.diagram.profile.navigator,
- org.eclipse.papyrus.diagram.profile.parsers,
- org.eclipse.papyrus.diagram.profile.part,
- org.eclipse.papyrus.diagram.profile.preferences,
- org.eclipse.papyrus.diagram.profile.providers,
- org.eclipse.papyrus.diagram.profile.service,
- org.eclipse.papyrus.diagram.profile.sheet
Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.profile.part.UMLDiagramE
+ ditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.profile;singleton:=tr
+ ue
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.sequence/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.sequence/META-INF/MANIFEST.MF
index 5c42c007b41..7a51f8a3953 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.sequence/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.sequence/META-INF/MANIFEST.MF
@@ -1,20 +1,23 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.diagram.sequence.edit.parts,
+ org.eclipse.papyrus.diagram.sequence.part,
+ org.eclipse.papyrus.diagram.sequence.providers
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.sequence; singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.diagram.sequence.part.UMLDiagramEditorPlugin
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.expressions,
org.eclipse.ui.navigator,
org.eclipse.ui.navigator.resources,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.diagram.common,
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
org.junit4,
- org.eclipse.papyrus.core.adaptor.gmf,
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
org.eclipse.core.runtime,
org.eclipse.core.resources,
org.eclipse.jface,
@@ -39,15 +42,14 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.gef,
org.eclipse.emf.validation;visibility:=reexport,
- org.eclipse.papyrus.ui.toolbox,
- org.eclipse.papyrus.service.edit,
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
org.eclipse.gmf.runtime.notation;visibility:=reexport
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ClassPath: .
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.sequence.edit.parts,
- org.eclipse.papyrus.diagram.sequence.part,
- org.eclipse.papyrus.diagram.sequence.providers
Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.sequence.part.UMLDiagram
+ EditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.sequence;singleton:=true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.statemachine/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.statemachine/META-INF/MANIFEST.MF
index 413ab73fa76..fee5644bdc8 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.statemachine/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.statemachine/META-INF/MANIFEST.MF
@@ -1,70 +1,72 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.statemachine; singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Version: 0.8.1.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.diagram.statemachine.part.UMLDiagramEditorPlugin
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.diagram.statemachine,
- org.eclipse.papyrus.diagram.statemachine.custom.commands,
- org.eclipse.papyrus.diagram.statemachine.custom.edit.part,
- org.eclipse.papyrus.diagram.statemachine.custom.expressions,
- org.eclipse.papyrus.diagram.statemachine.custom.factory,
- org.eclipse.papyrus.diagram.statemachine.custom.figures,
- org.eclipse.papyrus.diagram.statemachine.custom.helpers,
- org.eclipse.papyrus.diagram.statemachine.custom.listeners,
- org.eclipse.papyrus.diagram.statemachine.custom.parsers,
- org.eclipse.papyrus.diagram.statemachine.custom.policies,
- org.eclipse.papyrus.diagram.statemachine.custom.providers,
- org.eclipse.papyrus.diagram.statemachine.edit.commands,
- org.eclipse.papyrus.diagram.statemachine.edit.helpers,
- org.eclipse.papyrus.diagram.statemachine.edit.parts,
- org.eclipse.papyrus.diagram.statemachine.edit.policies,
- org.eclipse.papyrus.diagram.statemachine.navigator,
- org.eclipse.papyrus.diagram.statemachine.parsers,
- org.eclipse.papyrus.diagram.statemachine.part,
- org.eclipse.papyrus.diagram.statemachine.preferences,
- org.eclipse.papyrus.diagram.statemachine.providers,
- org.eclipse.papyrus.diagram.statemachine.sheet
-Require-Bundle: org.eclipse.core.expressions,
- org.eclipse.ui.navigator,
- org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
- org.eclipse.ocl.ecore;visibility:=reexport,
- org.eclipse.ui.navigator.resources,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.7.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.7.0",
- org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.core.runtime,
- org.eclipse.core.resources,
- org.eclipse.jface,
- org.eclipse.ui.ide,
- org.eclipse.ui.views,
- org.eclipse.emf.ecore,
- org.eclipse.emf.ecore.xmi,
- org.eclipse.emf.edit.ui,
- org.eclipse.gmf.runtime.emf.core,
- org.eclipse.gmf.runtime.emf.commands.core,
- org.eclipse.gmf.runtime.emf.ui.properties,
- org.eclipse.gmf.runtime.diagram.ui,
- org.eclipse.gmf.runtime.diagram.ui.providers,
- org.eclipse.gmf.runtime.diagram.ui.providers.ide,
- org.eclipse.gmf.runtime.diagram.ui.render,
- org.eclipse.gmf.runtime.diagram.ui.resources.editor,
- org.eclipse.uml2.uml;visibility:=reexport,
- org.eclipse.uml2.uml.edit;visibility:=reexport,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.ecore.edit;visibility:=reexport,
- org.eclipse.emf.validation;visibility:=reexport,
- org.eclipse.gef;visibility:=reexport,
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
- org.eclipse.papyrus.navigation.uml
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Ant-Version: Apache Ant 1.7.0
-Created-By: 1.5.0_06-b05 (Sun Microsystems Inc.)
-Eclipse-LazyStart: true
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.diagram.statemachine,
+ org.eclipse.papyrus.diagram.statemachine.custom.commands,
+ org.eclipse.papyrus.diagram.statemachine.custom.edit.part,
+ org.eclipse.papyrus.diagram.statemachine.custom.expressions,
+ org.eclipse.papyrus.diagram.statemachine.custom.factory,
+ org.eclipse.papyrus.diagram.statemachine.custom.figures,
+ org.eclipse.papyrus.diagram.statemachine.custom.helpers,
+ org.eclipse.papyrus.diagram.statemachine.custom.listeners,
+ org.eclipse.papyrus.diagram.statemachine.custom.parsers,
+ org.eclipse.papyrus.diagram.statemachine.custom.policies,
+ org.eclipse.papyrus.diagram.statemachine.custom.providers,
+ org.eclipse.papyrus.diagram.statemachine.edit.commands,
+ org.eclipse.papyrus.diagram.statemachine.edit.helpers,
+ org.eclipse.papyrus.diagram.statemachine.edit.parts,
+ org.eclipse.papyrus.diagram.statemachine.edit.policies,
+ org.eclipse.papyrus.diagram.statemachine.navigator,
+ org.eclipse.papyrus.diagram.statemachine.parsers,
+ org.eclipse.papyrus.diagram.statemachine.part,
+ org.eclipse.papyrus.diagram.statemachine.preferences,
+ org.eclipse.papyrus.diagram.statemachine.providers,
+ org.eclipse.papyrus.diagram.statemachine.sheet
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Created-By: 1.5.0_06-b05 (Sun Microsystems Inc.)
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.core.expressions,
+ org.eclipse.ui.navigator,
+ org.eclipse.gmf.runtime.diagram.ui.properties,
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
+ org.eclipse.ocl.ecore;visibility:=reexport,
+ org.eclipse.ui.navigator.resources,
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version:="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version:="0.9.0",
+ org.eclipse.core.runtime,
+ org.eclipse.core.resources,
+ org.eclipse.jface,
+ org.eclipse.ui.ide,
+ org.eclipse.ui.views,
+ org.eclipse.emf.ecore,
+ org.eclipse.emf.ecore.xmi,
+ org.eclipse.emf.edit.ui,
+ org.eclipse.gmf.runtime.emf.core,
+ org.eclipse.gmf.runtime.emf.commands.core,
+ org.eclipse.gmf.runtime.emf.ui.properties,
+ org.eclipse.gmf.runtime.diagram.ui,
+ org.eclipse.gmf.runtime.diagram.ui.providers,
+ org.eclipse.gmf.runtime.diagram.ui.providers.ide,
+ org.eclipse.gmf.runtime.diagram.ui.render,
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor,
+ org.eclipse.uml2.uml;visibility:=reexport,
+ org.eclipse.uml2.uml.edit;visibility:=reexport,
+ org.eclipse.emf.ecore;visibility:=reexport,
+ org.eclipse.emf.ecore.edit;visibility:=reexport,
+ org.eclipse.emf.validation;visibility:=reexport,
+ org.eclipse.gef;visibility:=reexport,
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.navigation.uml;bundle-version:="0.9.0"
+Bundle-Vendor: %providerName
+Ant-Version: Apache Ant 1.7.0
+Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.statemachine.part.UMLDia
+ gramEditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.statemachine;singleto
+ n:=true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.diagram.usecase/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.diagram.usecase/META-INF/MANIFEST.MF
index 4b6337829cb..ca86c88622c 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.diagram.usecase/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.diagram.usecase/META-INF/MANIFEST.MF
@@ -1,12 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.usecase; singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.diagram.usecase.part.UMLDiagramEditorPlugin
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Export-Package: org.eclipse.papyrus.diagram.usecase,
org.eclipse.papyrus.diagram.usecase.command,
org.eclipse.papyrus.diagram.usecase.draw2d,
@@ -23,6 +15,11 @@ Export-Package: org.eclipse.papyrus.diagram.usecase,
org.eclipse.papyrus.diagram.usecase.preferences,
org.eclipse.papyrus.diagram.usecase.providers,
org.eclipse.papyrus.diagram.usecase.sheet
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.resources,
org.eclipse.core.expressions,
@@ -52,13 +49,18 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.draw2d;visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.gef;visibility:=reexport,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common,
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
- org.eclipse.papyrus.extensionpoints.editors,
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version:="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport,
- org.eclipse.papyrus.service.edit
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
Eclipse-LazyStart: true
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.diagram.usecase.part.UMLDiagramE
+ ditorPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.diagram.usecase;singleton:=true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.navigation.uml/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.navigation.uml/META-INF/MANIFEST.MF
index 62b7edd3831..76b6fa3c7a5 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.navigation.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.navigation.uml/META-INF/MANIFEST.MF
@@ -1,12 +1,14 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.navigation.uml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.papyrus.navigation;bundle-version="0.8.0",
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.umlutils
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.navigation.uml
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.navigation;bundle-version="0.9.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.navigation.uml
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.navigation.uml;singleton:=tru
+ e
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration.edit/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration.edit/META-INF/MANIFEST.MF
index 7155cdaf84b..a86c17548db 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration.edit/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration.edit/META-INF/MANIFEST.MF
@@ -1,23 +1,26 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.paletteconfiguration.edit;singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Export-Package: org.eclipse.papyrus.paletteconfiguration.provider
+Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.paletteconfiguration.provider.PaletteConfigurationEditPlugin$Implementation
-Bundle-Vendor: %providerName
+Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.paletteconfiguration.provider
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.paletteconfiguration;visibility:=reexport,
+ org.eclipse.papyrus.paletteconfiguration;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.edit;visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration.edit;visibility:=reexport,
+ org.eclipse.papyrus.core.queries.configuration;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.core.queries.configuration.edit;bundle-version:="0.9.0";visibility:=reexport,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.emf.facet.infra.query;visibility:=reexport,
org.eclipse.emf.facet.infra.query.edit;visibility:=reexport,
org.eclipse.uml2.uml;visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport
-Bundle-ActivationPolicy: lazy
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.paletteconfiguration.provider.Pa
+ letteConfigurationEditPlugin$Implementation
+Bundle-SymbolicName: org.eclipse.papyrus.paletteconfiguration.edit;sin
+ gleton:=true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration/META-INF/MANIFEST.MF
index 18b2f09f31d..795c0eed6fd 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.paletteconfiguration/META-INF/MANIFEST.MF
@@ -1,32 +1,34 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.paletteconfiguration;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.paletteconfiguration,
- org.eclipse.papyrus.paletteconfiguration.descriptor,
- org.eclipse.papyrus.paletteconfiguration.impl,
- org.eclipse.papyrus.paletteconfiguration.provider,
- org.eclipse.papyrus.paletteconfiguration.util
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;visibility:=reexport,
- org.eclipse.emf.facet.infra.query;visibility:=reexport,
- org.eclipse.uml2.uml;visibility:=reexport,
- org.eclipse.ui,
- org.eclipse.gmf.runtime.common.core;bundle-version="1.4.0",
- org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0",
- org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.0",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.extendedtypes;bundle-version="0.8.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.editor;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-Activator: org.eclipse.papyrus.paletteconfiguration.Activator
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.paletteconfiguration,
+ org.eclipse.papyrus.paletteconfiguration.descriptor,
+ org.eclipse.papyrus.paletteconfiguration.impl,
+ org.eclipse.papyrus.paletteconfiguration.provider,
+ org.eclipse.papyrus.paletteconfiguration.util
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.emf.ecore;visibility:=reexport,
+ org.eclipse.emf.ecore.xmi;visibility:=reexport,
+ org.eclipse.papyrus.core.queries.configuration;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.emf.facet.infra.query;visibility:=reexport,
+ org.eclipse.uml2.uml;visibility:=reexport,
+ org.eclipse.ui,
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0",
+ org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.editor;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.paletteconfiguration.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.paletteconfiguration;singleto
+ n:=true
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.pkg/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.pkg/META-INF/MANIFEST.MF
index 4a63374bd09..6fc1e19588e 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.pkg/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.pkg/META-INF/MANIFEST.MF
@@ -1,17 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.pkg;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.uml.diagram.pkg.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.diagram.common,
- org.eclipse.papyrus.core.adaptor.gmf,
- org.eclipse.gmf.runtime.diagram.ui.providers,
- org.eclipse.gmf.runtime.diagram.ui.resources.editor,
- org.eclipse.papyrus.diagram.clazz,
- org.eclipse.papyrus.preferences
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.providers,
+ org.eclipse.gmf.runtime.diagram.ui.resources.editor,
+ org.eclipse.papyrus.diagram.clazz;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.diagram.pkg.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.pkg;singleton:=tr
+ ue
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.wizards/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.wizards/META-INF/MANIFEST.MF
index eb31cdd2242..936faed35bb 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.wizards/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.wizards/META-INF/MANIFEST.MF
@@ -1,18 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.wizards;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.wizards.Activator
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.emf.edit.ui;bundle-version="2.4.0",
- org.eclipse.emf.ecore.edit;bundle-version="2.4.0",
- org.eclipse.ui.intro;bundle-version="3.4.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %pluginProvider
-Export-Package: org.eclipse.papyrus.wizards,
- org.eclipse.papyrus.wizards.category,
- org.eclipse.papyrus.wizards.kind,
- org.eclipse.papyrus.wizards.pages
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.emf.edit.ui;bundle-version="2.4.0",
+ org.eclipse.emf.ecore.edit;bundle-version="2.4.0",
+ org.eclipse.ui.intro;bundle-version="3.4.0"
+Export-Package: org.eclipse.papyrus.wizards,
+ org.eclipse.papyrus.wizards.category,
+ org.eclipse.papyrus.wizards.kind,
+ org.eclipse.papyrus.wizards.pages
+Bundle-Vendor: %pluginProvider
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.wizards.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.wizards;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF
index 837fe543516..47ce8fa2d8d 100644
--- a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF
@@ -1,15 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.modelexplorer.widgets
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.uml.modelexplorer.widgets.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.modelexplorer.widgets;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.uml2.uml;bundle-version="3.2.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.uml.modelexplorer.widgets
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.modelexplorer.widgets;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.uml2.uml;bundle-version="3.2.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.uml.modelexplorer.widgets
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.modelexplorer.widgets.Activa
+ tor
+Bundle-SymbolicName: org.eclipse.papyrus.uml.modelexplorer.widgets
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.classpath b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.classpath
index fcc7de2af61..ed2585fb3f4 100644
--- a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.classpath
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/.classpath
@@ -1,6 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry exported="true" kind="lib" path="bin/"/>
<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
index 120a10c42b8..323eb0b12ae 100644
--- a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
@@ -1,15 +1,19 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.0",
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
org.eclipse.ui.navigator;bundle-version="3.4.0",
org.eclipse.emf.transaction;bundle-version="1.4.0",
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
org.eclipse.uml2.uml.editor;bundle-version="3.1.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.facet;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version:="0.1.0"
+Export-Package: org.eclipse.papyrus.uml.modelexplorer,
+ org.eclipse.papyrus.uml.modelexplorer.factory,
+ org.eclipse.papyrus.uml.modelexplorer.queries
+Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .,
bin/
@@ -17,10 +21,7 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.modelexplorer.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.uml.modelexplorer;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.modelexplorer;singleton:=
+ true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.uml.modelexplorer,
- org.eclipse.papyrus.uml.modelexplorer.factory,
- org.eclipse.papyrus.uml.modelexplorer.queries
-Bundle-Vendor: %providerName
diff --git a/plugins/uml/org.eclipse.papyrus.compare.ui/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.compare.ui/META-INF/MANIFEST.MF
index 667ff2b2585..6128954ca99 100644
--- a/plugins/uml/org.eclipse.papyrus.compare.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.compare.ui/META-INF/MANIFEST.MF
@@ -1,14 +1,17 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.core.runtime,org.eclipse.compare;bundle-ve
- rsion="3.5.200",org.eclipse.papyrus.compare;bundle-version="0.7.1",or
- g.eclipse.emf.compare.diff;bundle-version="1.1.1",org.eclipse.emf.com
- pare;bundle-version="1.1.1",org.eclipse.emf.compare.ui;bundle-version
- ="1.1.1",org.eclipse.emf.compare.match;bundle-version="1.1.1",org.ecl
- ipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",org.eclips
- e.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",org.ecli
- pse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",org.eclipse
- .team.ui;bundle-version="3.5.200",org.eclipse.uml2.uml.edit;bundle-ve
- rsion="3.1.100",org.eclipse.emf.edit.ui;bundle-version="2.6.0"
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.compare;bundle-version:="3.5.200",
+ org.eclipse.papyrus.compare;bundle-version="0.9.0",
+ org.eclipse.emf.compare.diff;bundle-version="1.1.1",
+ org.eclipse.emf.compare;bundle-version="1.1.1",
+ org.eclipse.emf.compare.ui;bundle-version:="1.1.1",
+ org.eclipse.emf.compare.match;bundle-version="1.1.1",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.team.ui;bundle-version="3.5.200",
+ org.eclipse.uml2.uml.edit;bundle-version="3.1.100",
+ org.eclipse.emf.edit.ui;bundle-version="2.6.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/org.eclipse.papyrus.compare/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.compare/META-INF/MANIFEST.MF
index 9a04576c568..e4770e16617 100644
--- a/plugins/uml/org.eclipse.papyrus.compare/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.compare/META-INF/MANIFEST.MF
@@ -11,11 +11,11 @@ Require-Bundle: org.eclipse.emf.compare;bundle-version="1.1.0",
org.eclipse.emf.compare.match;bundle-version="1.1.0",
org.eclipse.emf.compare.diff,
org.eclipse.emf.compare.ui,
- org.eclipse.uml2.uml.edit;bundle-version="3.1.100",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.0"
+ org.eclipse.uml2.uml.edit;bundle-version:="3.1.100",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.core;bundle-version:="0.1.0",
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/org.eclipse.papyrus.controlmode.umlprofiles/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.controlmode.umlprofiles/META-INF/MANIFEST.MF
index 2420eccee93..e9b16b78bbe 100644
--- a/plugins/uml/org.eclipse.papyrus.controlmode.umlprofiles/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.controlmode.umlprofiles/META-INF/MANIFEST.MF
@@ -1,17 +1,20 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.controlmode.umlprofiles;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.controlmode.umlprofiles.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.controlmode,
- org.eclipse.gmf.runtime.emf.commands.core,
- org.eclipse.uml2.uml,
- org.eclipse.uml2.uml.edit,
- org.eclipse.papyrus.ui.toolbox,
- org.eclipse.papyrus.core,
- org.eclipse.papyrus.core.resourceloading.preferences
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.papyrus.controlmode;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.emf.commands.core,
+ org.eclipse.uml2.uml,
+ org.eclipse.uml2.uml.edit,
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.core;bundle-version:="0.9.0",
+ org.eclipse.papyrus.core.resourceloading.preferences;bundle-version:="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.controlmode.umlprofiles.Activato
+ r
+Bundle-SymbolicName: org.eclipse.papyrus.controlmode.umlprofiles;singl
+ eton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.documentation.uml/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.documentation.uml/META-INF/MANIFEST.MF
index 05e0899e813..effb73b29a8 100644
--- a/plugins/uml/org.eclipse.papyrus.documentation.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.documentation.uml/META-INF/MANIFEST.MF
@@ -1,13 +1,15 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.documentation.uml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.documentation.uml.Activator
-Require-Bundle: org.eclipse.papyrus.documentation,
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.uml.profile
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.documentation;bundle-version="0.9.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.uml.profile;bundle-version:="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.documentation.uml.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.documentation.uml;singleton:=
+ true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.extensionpoints.uml2/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.extensionpoints.uml2/META-INF/MANIFEST.MF
index eaa2ac160fa..64161291c0a 100644
--- a/plugins/uml/org.eclipse.papyrus.extensionpoints.uml2/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.extensionpoints.uml2/META-INF/MANIFEST.MF
@@ -1,20 +1,22 @@
Manifest-Version: 1.0
-Bundle-Name: %pluginName
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.extensionpoints.uml2;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.extensionpoints.uml2.Activator
-Bundle-Localization: plugin
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.uml2.uml,
- org.eclipse.ui.views.properties.tabbed,
- org.eclipse.emf.mapping.ecore2xml
-Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.papyrus.extensionpoints.uml2,
org.eclipse.papyrus.extensionpoints.uml2.library,
org.eclipse.papyrus.extensionpoints.uml2.metamodel,
org.eclipse.papyrus.extensionpoints.uml2.profile,
org.eclipse.papyrus.extensionpoints.uml2.standard,
org.eclipse.papyrus.extensionpoints.uml2.utils
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.uml2.uml,
+ org.eclipse.ui.views.properties.tabbed,
+ org.eclipse.emf.mapping.ecore2xml
Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.extensionpoints.uml2.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.extensionpoints.uml2;singleto
+ n:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.icons.uml/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.icons.uml/META-INF/MANIFEST.MF
index a4e9360ba7f..0411c7ce933 100644
--- a/plugins/uml/org.eclipse.papyrus.icons.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.icons.uml/META-INF/MANIFEST.MF
@@ -1,13 +1,14 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.icons.uml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.icons.uml.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.icons.uml
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.icons.uml
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.icons.uml.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.icons.uml;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.pastemanager/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.pastemanager/META-INF/MANIFEST.MF
index 4f7be4a2d7e..7af65b8f4e3 100644
--- a/plugins/uml/org.eclipse.papyrus.pastemanager/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.pastemanager/META-INF/MANIFEST.MF
@@ -1,20 +1,21 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.pastemanager;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.pastemanager.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.3.1",
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.commands
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.pastemanager,
- org.eclipse.papyrus.pastemanager.command,
- org.eclipse.papyrus.pastemanager.request,
- org.eclipse.papyrus.pastemanager.service
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.3.1",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.commands;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.pastemanager,
+ org.eclipse.papyrus.pastemanager.command,
+ org.eclipse.papyrus.pastemanager.request,
+ org.eclipse.papyrus.pastemanager.service
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.pastemanager.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.pastemanager;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.perspective/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.perspective/META-INF/MANIFEST.MF
index e1ba3fccfca..83d4557fa79 100644
--- a/plugins/uml/org.eclipse.papyrus.perspective/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.perspective/META-INF/MANIFEST.MF
@@ -1,15 +1,16 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.perspective;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.perspective.Activator
-Require-Bundle: org.eclipse.papyrus.wizards;bundle-version="0.8.0",
- org.eclipse.ui;bundle-version="3.7.0",
- org.eclipse.ui.ide;bundle-version="3.6.100",
- org.eclipse.core.runtime;bundle-version="3.6.100"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.perspective
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.wizards;bundle-version="0.9.0",
+ org.eclipse.ui;bundle-version="3.7.0",
+ org.eclipse.ui.ide;bundle-version:="3.6.100",
+ org.eclipse.core.runtime;bundle-version="3.6.100"
+Export-Package: org.eclipse.papyrus.perspective
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.perspective.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.perspective;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.profile/META-INF/MANIFEST.MF
index a38c5f59df8..1b4b7f30d5a 100644
--- a/plugins/uml/org.eclipse.papyrus.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.profile/META-INF/MANIFEST.MF
@@ -1,33 +1,34 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.profile;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.profile.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.uml2.uml.editor,
- org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.profile,
- org.eclipse.papyrus.profile.constraints,
- org.eclipse.papyrus.profile.definition,
- org.eclipse.papyrus.profile.filter,
- org.eclipse.papyrus.profile.preference,
- org.eclipse.papyrus.profile.tree,
- org.eclipse.papyrus.profile.tree.objects,
- org.eclipse.papyrus.profile.ui.actions,
- org.eclipse.papyrus.profile.ui.compositeforview,
- org.eclipse.papyrus.profile.ui.compositesformodel,
- org.eclipse.papyrus.profile.ui.dialogs,
- org.eclipse.papyrus.profile.ui.items,
- org.eclipse.papyrus.profile.ui.listeners,
- org.eclipse.papyrus.profile.ui.panels,
- org.eclipse.papyrus.profile.ui.section,
- org.eclipse.papyrus.profile.ui.views,
- org.eclipse.papyrus.profile.utils,
- org.eclipse.papyrus.profile.wizard
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.uml2.uml.editor,
+ org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.1.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
+Export-Package: org.eclipse.papyrus.profile,
+ org.eclipse.papyrus.profile.constraints,
+ org.eclipse.papyrus.profile.definition,
+ org.eclipse.papyrus.profile.filter,
+ org.eclipse.papyrus.profile.preference,
+ org.eclipse.papyrus.profile.tree,
+ org.eclipse.papyrus.profile.tree.objects,
+ org.eclipse.papyrus.profile.ui.actions,
+ org.eclipse.papyrus.profile.ui.compositeforview,
+ org.eclipse.papyrus.profile.ui.compositesformodel,
+ org.eclipse.papyrus.profile.ui.dialogs,
+ org.eclipse.papyrus.profile.ui.items,
+ org.eclipse.papyrus.profile.ui.listeners,
+ org.eclipse.papyrus.profile.ui.panels,
+ org.eclipse.papyrus.profile.ui.section,
+ org.eclipse.papyrus.profile.ui.views,
+ org.eclipse.papyrus.profile.utils,
+ org.eclipse.papyrus.profile.wizard
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.profile.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.profile;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.resourceloading.umlprofile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.resourceloading.umlprofile/META-INF/MANIFEST.MF
index 0d469b9c910..b07af067190 100644
--- a/plugins/uml/org.eclipse.papyrus.resourceloading.umlprofile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.resourceloading.umlprofile/META-INF/MANIFEST.MF
@@ -1,10 +1,12 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.resourceloading.umlprofile;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Vendor: %providerName
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.papyrus.core,
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.core.resourceloading
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.core.resourceloading;bundle-version:="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.resourceloading.umlprofile;si
+ ngleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.templaterepository/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.templaterepository/META-INF/MANIFEST.MF
index b773b7e19b5..46475cd13f6 100644
--- a/plugins/uml/org.eclipse.papyrus.templaterepository/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.templaterepository/META-INF/MANIFEST.MF
@@ -1,13 +1,15 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.templaterepository;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.templaterepository.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.wizards;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.wizards;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.templaterepository.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.templaterepository;singleton:
+ =true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
index 578bb9d8a02..313f2353bdb 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
@@ -1,18 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.import;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.importt.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.modelexplorer,
- org.eclipse.uml2.uml;bundle-version="3.2.0",
- org.eclipse.uml2.common.edit,
- org.eclipse.papyrus.extensionpoints.uml2,
- org.eclipse.papyrus.umlutils,
- org.eclipse.papyrus.profile;bundle-version="0.8.1"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version:="3.2.0",
+ org.eclipse.uml2.common.edit,
+ org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.9.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.eclipse.papyrus.profile;bundle-version:="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.importt.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.uml.import;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF
index 168ef30ca86..1d1a36de80f 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF
@@ -1,19 +1,20 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.menu;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.uml.menu.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.emf.common;bundle-version="2.7.0",
- org.eclipse.emf.ecore;bundle-version="2.7.0",
- org.eclipse.emf;bundle-version="2.6.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.uml2.uml;bundle-version="3.2.0",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.0",
- org.eclipse.core.expressions,
- org.eclipse.papyrus.properties
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.emf.common;bundle-version="2.7.0",
+ org.eclipse.emf.ecore;bundle-version:="2.7.0",
+ org.eclipse.emf;bundle-version="2.6.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version:="3.2.0",
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.core.expressions,
+ org.eclipse.papyrus.properties;bundle-version:="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.menu.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.uml.menu;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
index ea4027cb858..8b64ae1ba91 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
@@ -1,10 +1,11 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.profile;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Require-Bundle: org.eclipse.uml2.uml
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.uml.profile
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.uml.profile
+Require-Bundle: org.eclipse.uml2.uml
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.uml.profile;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
index 4ff67bd824e..b208c7d7478 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
@@ -1,19 +1,21 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.uml.service.types;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.uml.service.types.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.uml.standard;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.uml.service.types,
- org.eclipse.papyrus.uml.service.types.command,
- org.eclipse.papyrus.uml.service.types.element,
- org.eclipse.papyrus.uml.service.types.helper,
- org.eclipse.papyrus.uml.service.types.helper.advice,
- org.eclipse.papyrus.uml.service.types.utils
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.standard;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.uml.service.types,
+ org.eclipse.papyrus.uml.service.types.command,
+ org.eclipse.papyrus.uml.service.types.element,
+ org.eclipse.papyrus.uml.service.types.helper,
+ org.eclipse.papyrus.uml.service.types.helper.advice,
+ org.eclipse.papyrus.uml.service.types.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.service.types.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.uml.service.types;singleton:=
+ true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.uml.standard.edit/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.standard.edit/META-INF/MANIFEST.MF
index 2f09021a228..d846b6a6433 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.standard.edit/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.standard.edit/META-INF/MANIFEST.MF
@@ -1,15 +1,18 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.standard.edit;singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Export-Package: org.eclipse.papyrus.uml.standard.provider
+Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.uml.standard.provider.standardEditPlugin$Implementation
-Bundle-Vendor: %providerName
+Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.uml.standard.provider
-Require-Bundle: org.eclipse.papyrus.uml.standard;visibility:=reexport,
+Require-Bundle: org.eclipse.papyrus.uml.standard;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport,
org.eclipse.core.runtime;bundle-version="3.6.0"
-Bundle-ActivationPolicy: lazy
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.standard.provider.standardEd
+ itPlugin$Implementation
+Bundle-SymbolicName: org.eclipse.papyrus.uml.standard.edit;singleton:=
+ true
+
diff --git a/plugins/uml/org.eclipse.papyrus.uml.standard/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.standard/META-INF/MANIFEST.MF
index 375ce1309c7..3fcc92160b5 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.standard/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.standard/META-INF/MANIFEST.MF
@@ -1,14 +1,15 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.standard;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
+Require-Bundle: org.eclipse.uml2.uml;visibility:=reexport
Export-Package: org.eclipse.papyrus.uml.standard,
org.eclipse.papyrus.uml.standard.impl,
org.eclipse.papyrus.uml.standard.util
-Require-Bundle: org.eclipse.uml2.uml;visibility:=reexport
+Bundle-Vendor: %providerName
Eclipse-LazyStart: true
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.uml.standard;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF
index ffcfeb98162..ee10ab31378 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF
@@ -1,15 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.uml.ui.perspectiveconfiguration;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.uml.ui.perspectiveconfiguration.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.ui.perspectiveconfiguration;bundle-version="0.8.0",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.emf.facet.widgets.nattable.workbench;bundle-version="0.1.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.ui.perspectiveconfiguration;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.emf.facet.widgets.nattable.workbench;bundle-version="0.1.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.ui.perspectiveconfiguration.
+ Activator
+Bundle-SymbolicName: org.eclipse.papyrus.uml.ui.perspectiveconfigurati
+ on;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/properties/org.eclipse.papyrus.properties.runtime.uml/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.properties.runtime.uml/META-INF/MANIFEST.MF
index b64570b637c..bb2eb05acf4 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.properties.runtime.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.properties.runtime.uml/META-INF/MANIFEST.MF
@@ -1,18 +1,20 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.properties.runtime.uml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.runtime.uml.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version="3.1.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.runtime.uml.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.runtime.uml;single
+ ton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/properties/org.eclipse.papyrus.properties.tabbed.profile/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.properties.tabbed.profile/META-INF/MANIFEST.MF
index f1ceba167a0..19f3a2327b5 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.properties.tabbed.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.properties.tabbed.profile/META-INF/MANIFEST.MF
@@ -1,16 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.profile;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.tabbed.profile.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
+ org.eclipse.uml2.uml;bundle-version="3.1.0",
+ org.eclipse.gmf.runtime.diagram.ui.properties,
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.tabbed.profile.Activa
+ tor
+Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.profile;sin
+ gleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/properties/org.eclipse.papyrus.properties.uml/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.properties.uml/META-INF/MANIFEST.MF
index 6a1399981ca..192b836be5c 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.properties.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.properties.uml/META-INF/MANIFEST.MF
@@ -1,32 +1,34 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.properties.uml;singleton:=true
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties;bundle-version:="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.emf.core,
+ org.eclipse.emf.databinding;bundle-version="1.2.0",
+ org.eclipse.jface;bundle-version="3.6.1",
+ org.eclipse.core.databinding.property;bundle-version="1.3.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.ui;bundle-version="3.6.1",
+ org.eclipse.papyrus.profile;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0"
+Export-Package: org.eclipse.papyrus.properties.uml.constraints,
+ org.eclipse.papyrus.properties.uml.creation,
+ org.eclipse.papyrus.properties.uml.databinding,
+ org.eclipse.papyrus.properties.uml.databinding.command,
+ org.eclipse.papyrus.properties.uml.modelelement,
+ org.eclipse.papyrus.properties.uml.providers,
+ org.eclipse.papyrus.properties.uml.util
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.uml.Activator
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.papyrus.properties;bundle-version="0.8.0",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.emf.core,
- org.eclipse.emf.databinding;bundle-version="1.2.0",
- org.eclipse.jface;bundle-version="3.6.1",
- org.eclipse.core.databinding.property;bundle-version="1.3.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.ui;bundle-version="3.6.1",
- org.eclipse.papyrus.profile;bundle-version="0.8.0",
- org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %Bundle-Vendor
-Export-Package: org.eclipse.papyrus.properties.uml.constraints,
- org.eclipse.papyrus.properties.uml.creation,
- org.eclipse.papyrus.properties.uml.databinding,
- org.eclipse.papyrus.properties.uml.databinding.command,
- org.eclipse.papyrus.properties.uml.modelelement,
- org.eclipse.papyrus.properties.uml.providers,
- org.eclipse.papyrus.properties.uml.util
-Bundle-ActivationPolicy: lazy
+Bundle-Localization: plugin
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.uml.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.uml;singleton:=tru
+ e
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/properties/org.eclipse.papyrus.properties.view.uml/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.properties.view.uml/META-INF/MANIFEST.MF
index 90d5000419b..e6801eb842a 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.properties.view.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.properties.view.uml/META-INF/MANIFEST.MF
@@ -1,17 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.properties.view.uml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.view.uml.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.properties.runtime,
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version="3.1.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.view.uml.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.view.uml;singleton
+ :=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.appearance/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.appearance/META-INF/MANIFEST.MF
index 70c2bccdf07..812ecbfc74e 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.appearance/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.appearance/META-INF/MANIFEST.MF
@@ -1,13 +1,16 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version:="1.1.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.tabbedproperties.appearance
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.tabbedproperties.appearance;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.tabbedproperties.appearance.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.1.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0"
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.tabbedproperties.appearance.Acti
+ vator
+Bundle-SymbolicName: org.eclipse.papyrus.tabbedproperties.appearance;s
+ ingleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.tabbedproperties.appearance
+
diff --git a/plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.comments/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.comments/META-INF/MANIFEST.MF
index 48d0f72d88d..4703e5ae4e1 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.comments/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.tabbedproperties.comments/META-INF/MANIFEST.MF
@@ -1,23 +1,26 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.tabbedproperties.comments;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.tabbedproperties.comments.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.ui.views.properties.tabbed,
- org.eclipse.emf.ecore;bundle-version="2.5.0",
- org.eclipse.uml2.uml;bundle-version="3.0.0",
- org.eclipse.emf.edit;bundle-version="2.5.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.epf.richtext;bundle-version="1.2.0",
- org.eclipse.emf.edit.ui;bundle-version="2.5.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.extensionpoints.editors
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.tabbedproperties.comments,
- org.eclipse.papyrus.tabbedproperties.comments.propertysection
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.ui.views.properties.tabbed,
+ org.eclipse.emf.ecore;bundle-version="2.5.0",
+ org.eclipse.uml2.uml;bundle-version="3.0.0",
+ org.eclipse.emf.edit;bundle-version:="2.5.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.epf.richtext;bundle-version="1.2.0",
+ org.eclipse.emf.edit.ui;bundle-version:="2.5.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.tabbedproperties.comments,
+ org.eclipse.papyrus.tabbedproperties.comments.propertysection
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.tabbedproperties.comments.Activa
+ tor
+Bundle-SymbolicName: org.eclipse.papyrus.tabbedproperties.comments;sin
+ gleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/table/org.eclipse.papyrus.table.default/META-INF/MANIFEST.MF b/plugins/uml/table/org.eclipse.papyrus.table.default/META-INF/MANIFEST.MF
index 07376e362b1..ba1cd8b505b 100644
--- a/plugins/uml/table/org.eclipse.papyrus.table.default/META-INF/MANIFEST.MF
+++ b/plugins/uml/table/org.eclipse.papyrus.table.default/META-INF/MANIFEST.MF
@@ -1,19 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.table.default;singleton:=true
-Bundle-Version: 0.8.1.qualifier
-Bundle-Activator: org.eclipse.papyrus.table.defaultt.Activator
-Require-Bundle: org.eclipse.papyrus.core,
- org.eclipse.papyrus.table.common;bundle-version="0.8.0",
- org.eclipse.papyrus.table.instance;bundle-version="0.8.0",
- org.eclipse.emf.facet.widgets.nattable;bundle-version="0.1.0",
- org.eclipse.emf.facet.widgets.nattable.tableconfiguration
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.table.defaultt,
- org.eclipse.papyrus.table.defaultt.editor,
- org.eclipse.papyrus.table.defaultt.factory,
- org.eclipse.papyrus.table.defaultt.handlers
-
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.table.defaultt,
+ org.eclipse.papyrus.table.defaultt.editor,
+ org.eclipse.papyrus.table.defaultt.factory,
+ org.eclipse.papyrus.table.defaultt.handlers
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.table.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+ org.eclipse.emf.facet.widgets.nattable;bundle-version="0.1.0",
+ org.eclipse.emf.facet.widgets.nattable.tableconfiguration
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.table.defaultt.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.table.default;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/table/org.eclipse.papyrus.table.widgets.celleditors.uml/META-INF/MANIFEST.MF b/plugins/uml/table/org.eclipse.papyrus.table.widgets.celleditors.uml/META-INF/MANIFEST.MF
index 608b4aaf4f2..4b56af5d02d 100644
--- a/plugins/uml/table/org.eclipse.papyrus.table.widgets.celleditors.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/table/org.eclipse.papyrus.table.widgets.celleditors.uml/META-INF/MANIFEST.MF
@@ -1,22 +1,24 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.table.widgets.celleditors.uml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.widget.celleditors.uml.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.emf.facet.widgets.celleditors,
- org.eclipse.emf.facet.widgets.celleditors.ecore;bundle-version="0.1.0",
- org.eclipse.emf.facet.util.core,
- org.eclipse.papyrus.log,
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.uml.modelexplorer.widgets,
- org.eclipse.emf.facet.widgets,
- org.eclipse.emf.facet.infra.common.core,
- org.eclipse.papyrus.umlutils;bundle-version="0.8.1",
- org.eclipse.papyrus.properties.uml
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.emf.facet.widgets.celleditors,
+ org.eclipse.emf.facet.widgets.celleditors.ecore;bundle-version="0.1.0",
+ org.eclipse.emf.facet.util.core,
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0",
+ org.eclipse.emf.facet.widgets,
+ org.eclipse.emf.facet.infra.common.core,
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.uml;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.widget.celleditors.uml.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.table.widgets.celleditors.uml
+ ;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.generator/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.generator/META-INF/MANIFEST.MF
index 7556bce3f25..887ff36a702 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.generator/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.generator/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.collaborationuse.editor.xtext.generator; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.collaborationuse.editor.xtext;visibility:=reexport,
- org.eclipse.xpand;visibility:=reexport,
- org.eclipse.xtend;visibility:=reexport,
- org.eclipse.xtext;visibility:=reexport,
- org.eclipse.emf.mwe2.launch;resolution:=optional,
- org.eclipse.emf.mwe.utils;visibility:=reexport,
- org.eclipse.xtend.typesystem.emf;visibility:=reexport
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.collaborationuse.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.xpand;visibility:=reexport,
+ org.eclipse.xtend;visibility:=reexport,
+ org.eclipse.xtext;visibility:=reexport,
+ org.eclipse.emf.mwe2.launch;resolution:=optional,
+ org.eclipse.emf.mwe.utils;visibility:=reexport,
+ org.eclipse.xtend.typesystem.emf;visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.collaborationuse.editor.xtext.generator;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.ui/META-INF/MANIFEST.MF
index b90093b75b9..cd5819bd0d8 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,31 +1,34 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.collaborationuse.editor.xtext.ui; singleton:=true
+Export-Package: org.eclipse.papyrus.collaborationuse.editor.xtext.ui.c
+ ontentassist.antlr
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.collaborationuse.editor.xtext;visibility:=reexport,
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.collaborationuse.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
- org.eclipse.ui.ide;bundle-version="3.5.0",
+ org.eclipse.ui.ide;bundle-version:="3.5.0",
org.eclipse.xtext.ui.shared,
org.eclipse.ui,
org.eclipse.xtext.builder,
org.antlr.runtime,
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.umlutils;bundle-version:="0.9.0",
org.eclipse.gmf.runtime.common.core;bundle-version="1.4.0",
org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.1.1",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit,
- org.eclipse.papyrus.diagram.common;bundle-version="0.8.0",
- org.eclipse.papyrus.common.editor.xtext.ui,
+ org.eclipse.papyrus.properties.runtime;bundle-version:="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.common.editor.xtext.ui;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.collaborationuse.editor.xtext.ui
+ .internal.UmlCollaborationUseActivator
+Bundle-SymbolicName: org.eclipse.papyrus.collaborationuse.editor.xtext.ui;singleton:=true
Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.collaborationuse.editor.xtext.ui.contentassist.antlr
-Bundle-Activator: org.eclipse.papyrus.collaborationuse.editor.xtext.ui.internal.UmlCollaborationUseActivator
-Bundle-Localization: plugin
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext/META-INF/MANIFEST.MF
index 3cc75d525e8..7280a05b6b1 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.collaborationuse.editor.xtext/META-INF/MANIFEST.MF
@@ -1,10 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.collaborationuse.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -17,14 +11,12 @@ Require-Bundle: org.eclipse.xtext,
org.eclipse.emf.ecore,
org.eclipse.emf.common,
org.antlr.runtime,
- org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
+ org.eclipse.uml2.codegen.ecore;bundle-version:="1.6.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.common.editor.xtext;bundle-version="0.8.0";visibility:=reexport,
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.papyrus.common.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.collaborationuse.editor.xtext,
org.eclipse.papyrus.collaborationuse.editor.xtext.formatting,
org.eclipse.papyrus.collaborationuse.editor.xtext.parseTreeConstruction,
@@ -36,5 +28,13 @@ Export-Package: org.eclipse.papyrus.collaborationuse.editor.xtext,
org.eclipse.papyrus.collaborationuse.editor.xtext.umlCollaborationUse.impl,
org.eclipse.papyrus.collaborationuse.editor.xtext.umlCollaborationUse.util,
org.eclipse.papyrus.collaborationuse.editor.xtext.validation
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.collaborationuse.editor.xtext;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.generator/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.generator/META-INF/MANIFEST.MF
index b3e36f6e927..b72153fa7d3 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.generator/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.generator/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.common.editor.xtext.generator; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.common.editor.xtext;visibility:=reexport,
- org.eclipse.xpand;visibility:=reexport,
- org.eclipse.xtend;visibility:=reexport,
- org.eclipse.xtext;visibility:=reexport,
- org.eclipse.emf.mwe2.launch;resolution:=optional,
- org.eclipse.emf.mwe.utils;visibility:=reexport,
- org.eclipse.xtend.typesystem.emf;visibility:=reexport
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.common.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.xpand;visibility:=reexport,
+ org.eclipse.xtend;visibility:=reexport,
+ org.eclipse.xtext;visibility:=reexport,
+ org.eclipse.emf.mwe2.launch;resolution:=optional,
+ org.eclipse.emf.mwe.utils;visibility:=reexport,
+ org.eclipse.xtend.typesystem.emf;visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.common.editor.xtext.generator;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.ui/META-INF/MANIFEST.MF
index e4a4660c6be..66295f53e48 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,11 +1,17 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.common.editor.xtext.ui; singleton:=true
+Export-Package: org.eclipse.papyrus.common.editor.xtext.ui,
+ org.eclipse.papyrus.common.editor.xtext.ui.contentassist,
+ org.eclipse.papyrus.common.editor.xtext.ui.contentassist.antlr,
+ org.eclipse.papyrus.common.editor.xtext.ui.contentassist.antlr.internal,
+ org.eclipse.papyrus.common.editor.xtext.ui.internal,
+ org.eclipse.papyrus.common.editor.xtext.ui.labeling,
+ org.eclipse.papyrus.common.editor.xtext.ui.outline,
+ org.eclipse.papyrus.common.editor.xtext.ui.quickfix
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.common.editor.xtext;visibility:=reexport,
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.common.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -13,17 +19,13 @@ Require-Bundle: org.eclipse.papyrus.common.editor.xtext;visibility:=reexport,
org.eclipse.ui,
org.eclipse.xtext.builder,
org.antlr.runtime,
- org.eclipse.papyrus.core
+ org.eclipse.papyrus.core;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.common.editor.xtext.ui.internal.
+ UmlCommonActivator
+Bundle-SymbolicName: org.eclipse.papyrus.common.editor.xtext.ui;singleton:=true
Import-Package: org.apache.log4j,
org.eclipse.uml2.uml
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.common.editor.xtext.ui,
- org.eclipse.papyrus.common.editor.xtext.ui.contentassist,
- org.eclipse.papyrus.common.editor.xtext.ui.contentassist.antlr,
- org.eclipse.papyrus.common.editor.xtext.ui.contentassist.antlr.internal,
- org.eclipse.papyrus.common.editor.xtext.ui.internal,
- org.eclipse.papyrus.common.editor.xtext.ui.labeling,
- org.eclipse.papyrus.common.editor.xtext.ui.outline,
- org.eclipse.papyrus.common.editor.xtext.ui.quickfix
-Bundle-Activator: org.eclipse.papyrus.common.editor.xtext.ui.internal.UmlCommonActivator
-Bundle-Localization: plugin
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext/META-INF/MANIFEST.MF
index b099ae52525..be31e499230 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.common.editor.xtext/META-INF/MANIFEST.MF
@@ -1,10 +1,14 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.common.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
+Export-Package: org.eclipse.papyrus.common.editor.xtext,
+ org.eclipse.papyrus.common.editor.xtext.parseTreeConstruction,
+ org.eclipse.papyrus.common.editor.xtext.parser.antlr,
+ org.eclipse.papyrus.common.editor.xtext.parser.antlr.internal,
+ org.eclipse.papyrus.common.editor.xtext.scoping,
+ org.eclipse.papyrus.common.editor.xtext.services,
+ org.eclipse.papyrus.common.editor.xtext.umlCommon,
+ org.eclipse.papyrus.common.editor.xtext.umlCommon.impl,
+ org.eclipse.papyrus.common.editor.xtext.umlCommon.util,
+ org.eclipse.papyrus.common.editor.xtext.validation
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -21,18 +25,15 @@ Require-Bundle: org.eclipse.xtext,
org.eclipse.uml2.uml;bundle-version="3.1.1",
org.eclipse.jface,
org.eclipse.ui.ide,
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
Import-Package: org.apache.log4j,
org.eclipse.core.runtime
+Bundle-SymbolicName: org.eclipse.papyrus.common.editor.xtext;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.common.editor.xtext,
- org.eclipse.papyrus.common.editor.xtext.parseTreeConstruction,
- org.eclipse.papyrus.common.editor.xtext.parser.antlr,
- org.eclipse.papyrus.common.editor.xtext.parser.antlr.internal,
- org.eclipse.papyrus.common.editor.xtext.scoping,
- org.eclipse.papyrus.common.editor.xtext.services,
- org.eclipse.papyrus.common.editor.xtext.umlCommon,
- org.eclipse.papyrus.common.editor.xtext.umlCommon.impl,
- org.eclipse.papyrus.common.editor.xtext.umlCommon.util,
- org.eclipse.papyrus.common.editor.xtext.validation
-Bundle-Localization: plugin
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext.ui/META-INF/MANIFEST.MF
index 7ec4d700ad2..08496988752 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,11 +1,5 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.connectionpointreference.editor.xtext.ui; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.connectionpointreference.editor.xtext;visibility:=reexport,
+Require-Bundle: org.eclipse.papyrus.connectionpointreference.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -13,15 +7,25 @@ Require-Bundle: org.eclipse.papyrus.connectionpointreference.editor.xtext;visibi
org.eclipse.ui,
org.eclipse.xtext.builder,
org.antlr.runtime,
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.connectionpointreference.editor.xt
+ ext.ui.contentassist.antlr
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.connectionpointreference.editor.
+ xtext.ui.internal.UMLConnectionPointReferenceActivator
+Bundle-SymbolicName: org.eclipse.papyrus.connectionpointreference.edit
+ or.xtext.ui;singleton:=true
Import-Package: org.apache.log4j
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.connectionpointreference.editor.xtext.ui.contentassist.antlr
-Bundle-Activator: org.eclipse.papyrus.connectionpointreference.editor.xtext.ui.internal.UMLConnectionPointReferenceActivator
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext/META-INF/MANIFEST.MF
index d5eba74efae..d212a4561e0 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.connectionpointreference.editor.xtext/META-INF/MANIFEST.MF
@@ -1,10 +1,13 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.connectionpointreference.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
+Export-Package: org.eclipse.papyrus.connectionpointreference.editor.xtext,
+ org.eclipse.papyrus.connectionpointreference.editor.xtext.parseTreeConstruction,
+ org.eclipse.papyrus.connectionpointreference.editor.xtext.parser.antlr,
+ org.eclipse.papyrus.connectionpointreference.editor.xtext.parser.antlr.internal,
+ org.eclipse.papyrus.connectionpointreference.editor.xtext.services,
+ org.eclipse.papyrus.connectionpointreference.editor.xtext.uMLConnectionPointReference,
+ org.eclipse.papyrus.connectionpointreference.editor.xtext.uMLConnectionPointReference.impl,
+ org.eclipse.papyrus.connectionpointreference.editor.xtext.uMLConnectionPointReference.util,
+ org.eclipse.papyrus.connectionpointreference.editor.xtext.validation
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -19,16 +22,13 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
Import-Package: org.apache.log4j
+Bundle-SymbolicName: org.eclipse.papyrus.connectionpointreference.editor.xtext;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.connectionpointreference.editor.xtext,
- org.eclipse.papyrus.connectionpointreference.editor.xtext.services,
- org.eclipse.papyrus.connectionpointreference.editor.xtext.uMLConnectionPointReference,
- org.eclipse.papyrus.connectionpointreference.editor.xtext.uMLConnectionPointReference.impl,
- org.eclipse.papyrus.connectionpointreference.editor.xtext.uMLConnectionPointReference.util,
- org.eclipse.papyrus.connectionpointreference.editor.xtext.parseTreeConstruction,
- org.eclipse.papyrus.connectionpointreference.editor.xtext.parser.antlr,
- org.eclipse.papyrus.connectionpointreference.editor.xtext.parser.antlr.internal,
- org.eclipse.papyrus.connectionpointreference.editor.xtext.validation
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.generator/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.generator/META-INF/MANIFEST.MF
index 0e0d4b71217..f52c4e8898a 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.generator/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.generator/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.message.editor.xtext.generator; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.message.editor.xtext;visibility:=reexport,
- org.eclipse.xpand;visibility:=reexport,
- org.eclipse.xtend;visibility:=reexport,
- org.eclipse.xtext;visibility:=reexport,
- org.eclipse.emf.mwe2.launch;resolution:=optional,
- org.eclipse.emf.mwe.utils;visibility:=reexport,
- org.eclipse.xtend.typesystem.emf;visibility:=reexport
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.message.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.xpand;visibility:=reexport,
+ org.eclipse.xtend;visibility:=reexport,
+ org.eclipse.xtext;visibility:=reexport,
+ org.eclipse.emf.mwe2.launch;resolution:=optional,
+ org.eclipse.emf.mwe.utils;visibility:=reexport,
+ org.eclipse.xtend.typesystem.emf;visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.message.editor.xtext.generator;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.ui/META-INF/MANIFEST.MF
index 35371342909..2b6205beb19 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,12 +1,11 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.message.editor.xtext.ui.contentass
+ ist.antlr
+Bundle-ActivationPolicy: lazy
Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.message.editor.xtext.ui; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.message.editor.xtext;visibility:=reexport,
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.message.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -14,14 +13,21 @@ Require-Bundle: org.eclipse.papyrus.message.editor.xtext;visibility:=reexport,
org.eclipse.ui,
org.eclipse.xtext.builder,
org.antlr.runtime,
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.message.editor.xtext.ui.internal
+ .UmlMessageActivator
+Bundle-SymbolicName: org.eclipse.papyrus.message.editor.xtext.ui;singl
+ eton:=true
Import-Package: org.apache.log4j,
org.eclipse.gmf.runtime.diagram.ui.editparts,
org.eclipse.gmf.runtime.emf.commands.core.command,
@@ -30,6 +36,4 @@ Import-Package: org.apache.log4j,
org.eclipse.papyrus.properties.runtime,
org.eclipse.xtext.gmf.glue,
org.eclipse.xtext.gmf.glue.edit.part
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.message.editor.xtext.ui.contentassist.antlr
-Bundle-Activator: org.eclipse.papyrus.message.editor.xtext.ui.internal.UmlMessageActivator
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext/META-INF/MANIFEST.MF
index 5abbe6d586b..4b62cf83b3d 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.message.editor.xtext/META-INF/MANIFEST.MF
@@ -1,11 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.message.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -20,11 +13,9 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.message.editor.xtext,
org.eclipse.papyrus.message.editor.xtext.parseTreeConstruction,
org.eclipse.papyrus.message.editor.xtext.parser.antlr,
@@ -35,4 +26,14 @@ Export-Package: org.eclipse.papyrus.message.editor.xtext,
org.eclipse.papyrus.message.editor.xtext.umlMessage.impl,
org.eclipse.papyrus.message.editor.xtext.umlMessage.util,
org.eclipse.papyrus.message.editor.xtext.validation
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.message.editor.xtext;singleto
+ n:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.generator/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.generator/META-INF/MANIFEST.MF
index ca12883fb16..bc716e66f09 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.generator/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.generator/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.parameter.editor.xtext.generator; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.parameter.editor.xtext;visibility:=reexport,
- org.eclipse.xpand;visibility:=reexport,
- org.eclipse.xtend;visibility:=reexport,
- org.eclipse.xtext;visibility:=reexport,
- org.eclipse.emf.mwe2.launch;resolution:=optional,
- org.eclipse.emf.mwe.utils;visibility:=reexport,
- org.eclipse.xtend.typesystem.emf;visibility:=reexport
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.parameter.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.xpand;visibility:=reexport,
+ org.eclipse.xtend;visibility:=reexport,
+ org.eclipse.xtext;visibility:=reexport,
+ org.eclipse.emf.mwe2.launch;resolution:=optional,
+ org.eclipse.emf.mwe.utils;visibility:=reexport,
+ org.eclipse.xtend.typesystem.emf;visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.parameter.editor.xtext.generator;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.ui/META-INF/MANIFEST.MF
index d468f6f0174..384abf2376f 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,11 +1,11 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.parameter.editor.xtext.ui; singleton:=true
+Export-Package: org.eclipse.papyrus.parameter.editor.xtext.ui.contenta
+ ssist.antlr
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.parameter.editor.xtext;visibility:=reexport,
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.parameter.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -13,19 +13,23 @@ Require-Bundle: org.eclipse.papyrus.parameter.editor.xtext;visibility:=reexport,
org.eclipse.ui,
org.eclipse.xtext.builder,
org.antlr.runtime,
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
- org.eclipse.xtext.gmf.glue,
- org.eclipse.papyrus.service.edit,
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0",
- org.eclipse.papyrus.common.editor.xtext;bundle-version="0.8.0",
- org.eclipse.papyrus.common.editor.xtext.ui;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0"
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.eclipse.papyrus.common.editor.xtext;bundle-version="0.9.0",
+ org.eclipse.papyrus.common.editor.xtext.ui;bundle-version="0.9.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.parameter.editor.xtext.ui.intern
+ al.UmlParameterActivator
+Bundle-SymbolicName: org.eclipse.papyrus.parameter.editor.xtext.ui;sin
+ gleton:=true
Import-Package: org.apache.log4j,
org.eclipse.gmf.runtime.common.core.command,
org.eclipse.gmf.runtime.emf.type.core.requests,
org.eclipse.uml2.uml
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.parameter.editor.xtext.ui.contentassist.antlr
-Bundle-Activator: org.eclipse.papyrus.parameter.editor.xtext.ui.internal.UmlParameterActivator
-Bundle-Localization: plugin
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext/META-INF/MANIFEST.MF
index daffe55ffd6..0a949107f92 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.parameter.editor.xtext/META-INF/MANIFEST.MF
@@ -1,10 +1,4 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.parameter.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -19,17 +13,24 @@ Require-Bundle: org.eclipse.xtext,
org.eclipse.emf.ecore,
org.eclipse.emf.common,
org.antlr.runtime,
- org.eclipse.papyrus.common.editor.xtext;bundle-version="0.8.0",
+ org.eclipse.papyrus.common.editor.xtext;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.parameter.editor.xtext,
+ org.eclipse.papyrus.parameter.editor.xtext.parseTreeConstruction,
+ org.eclipse.papyrus.parameter.editor.xtext.parser.antlr,
+ org.eclipse.papyrus.parameter.editor.xtext.parser.antlr.internal,
org.eclipse.papyrus.parameter.editor.xtext.services,
org.eclipse.papyrus.parameter.editor.xtext.umlParameter,
org.eclipse.papyrus.parameter.editor.xtext.umlParameter.impl,
org.eclipse.papyrus.parameter.editor.xtext.umlParameter.util,
- org.eclipse.papyrus.parameter.editor.xtext.parseTreeConstruction,
- org.eclipse.papyrus.parameter.editor.xtext.parser.antlr,
- org.eclipse.papyrus.parameter.editor.xtext.parser.antlr.internal,
org.eclipse.papyrus.parameter.editor.xtext.validation
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.parameter.editor.xtext;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.generator/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.generator/META-INF/MANIFEST.MF
index a2c4691609f..789b4274c61 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.generator/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.generator/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.property.editor.xtext.generator; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.property.editor.xtext;visibility:=reexport,
- org.eclipse.xpand;visibility:=reexport,
- org.eclipse.xtend;visibility:=reexport,
- org.eclipse.xtext;visibility:=reexport,
- org.eclipse.emf.mwe2.launch;resolution:=optional,
- org.eclipse.emf.mwe.utils;visibility:=reexport,
- org.eclipse.xtend.typesystem.emf;visibility:=reexport
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.property.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.xpand;visibility:=reexport,
+ org.eclipse.xtend;visibility:=reexport,
+ org.eclipse.xtext;visibility:=reexport,
+ org.eclipse.emf.mwe2.launch;resolution:=optional,
+ org.eclipse.emf.mwe.utils;visibility:=reexport,
+ org.eclipse.xtend.typesystem.emf;visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.property.editor.xtext.generator;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.ui/META-INF/MANIFEST.MF
index 71e96b3dd83..4a2ce1e9647 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,12 +1,12 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.property.editor.xtext.ui.contentassist.antlr,
+ org.eclipse.papyrus.property.editor.xtext.ui.contributions,
+ org.eclipse.papyrus.property.editor.xtext.ui.internal
+Bundle-ActivationPolicy: lazy
Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.property.editor.xtext.ui; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.property.editor.xtext;visibility:=reexport,
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.property.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -14,18 +14,21 @@ Require-Bundle: org.eclipse.papyrus.property.editor.xtext;visibility:=reexport,
org.eclipse.ui,
org.antlr.runtime,
org.eclipse.xtext.builder,
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0"
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.property.editor.xtext.ui.interna
+ l.UmlPropertyActivator
+Bundle-SymbolicName: org.eclipse.papyrus.property.editor.xtext.ui;sing
+ leton:=true
Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.property.editor.xtext.ui.contentassist.antlr,
- org.eclipse.papyrus.property.editor.xtext.ui.contributions,
- org.eclipse.papyrus.property.editor.xtext.ui.internal
-Bundle-Activator: org.eclipse.papyrus.property.editor.xtext.ui.internal.UmlPropertyActivator
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext/META-INF/MANIFEST.MF
index 16a059107c3..4d3b6b6560e 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.property.editor.xtext/META-INF/MANIFEST.MF
@@ -1,11 +1,14 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.property.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
+Export-Package: org.eclipse.papyrus.property.editor.xtext,
+ org.eclipse.papyrus.property.editor.xtext.parseTreeConstruction,
+ org.eclipse.papyrus.property.editor.xtext.parser.antlr,
+ org.eclipse.papyrus.property.editor.xtext.parser.antlr.internal,
+ org.eclipse.papyrus.property.editor.xtext.scoping,
+ org.eclipse.papyrus.property.editor.xtext.services,
+ org.eclipse.papyrus.property.editor.xtext.umlProperty,
+ org.eclipse.papyrus.property.editor.xtext.umlProperty.impl,
+ org.eclipse.papyrus.property.editor.xtext.umlProperty.util,
+ org.eclipse.papyrus.property.editor.xtext.validation
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
de.itemis.xtext.antlr;resolution:=optional,
@@ -21,17 +24,15 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
Import-Package: org.apache.log4j
+Bundle-SymbolicName: org.eclipse.papyrus.property.editor.xtext;singlet
+ on:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.property.editor.xtext,
- org.eclipse.papyrus.property.editor.xtext.parseTreeConstruction,
- org.eclipse.papyrus.property.editor.xtext.parser.antlr,
- org.eclipse.papyrus.property.editor.xtext.parser.antlr.internal,
- org.eclipse.papyrus.property.editor.xtext.scoping,
- org.eclipse.papyrus.property.editor.xtext.services,
- org.eclipse.papyrus.property.editor.xtext.umlProperty,
- org.eclipse.papyrus.property.editor.xtext.umlProperty.impl,
- org.eclipse.papyrus.property.editor.xtext.umlProperty.util,
- org.eclipse.papyrus.property.editor.xtext.validation
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.generator/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.generator/META-INF/MANIFEST.MF
index ae441446cbb..339270e5a45 100755
--- a/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.generator/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.generator/META-INF/MANIFEST.MF
@@ -1,16 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.state.editor.xtext.generator; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.state.editor.xtext;visibility:=reexport,
- org.eclipse.xpand;visibility:=reexport,
- org.eclipse.xtend;visibility:=reexport,
- org.eclipse.xtext;visibility:=reexport,
- org.eclipse.emf.mwe2.launch;resolution:=optional,
- org.eclipse.emf.mwe.utils;visibility:=reexport,
- org.eclipse.xtend.typesystem.emf;visibility:=reexport
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.state.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.xpand;visibility:=reexport,
+ org.eclipse.xtend;visibility:=reexport,
+ org.eclipse.xtext;visibility:=reexport,
+ org.eclipse.emf.mwe2.launch;resolution:=optional,
+ org.eclipse.emf.mwe.utils;visibility:=reexport,
+ org.eclipse.xtend.typesystem.emf;visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.state.editor.xtext.generator;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.ui/META-INF/MANIFEST.MF
index 688ff1e6683..5ae03d8aa1d 100755
--- a/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,12 +1,11 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.state.editor.xtext.ui.contentassis
+ t.antlr
+Bundle-ActivationPolicy: lazy
Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.state.editor.xtext.ui; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.state.editor.xtext;visibility:=reexport,
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.state.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -16,12 +15,17 @@ Require-Bundle: org.eclipse.papyrus.state.editor.xtext;visibility:=reexport,
org.eclipse.xtext.builder,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.state.editor.xtext.ui.internal.U
+ mlStateActivator
+Bundle-SymbolicName: org.eclipse.papyrus.state.editor.xtext.ui;singlet
+ on:=true
Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.state.editor.xtext.ui.contentassist.antlr
-Bundle-Activator: org.eclipse.papyrus.state.editor.xtext.ui.internal.UmlStateActivator
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext/META-INF/MANIFEST.MF
index 84f9a505c3c..4e16b3b6635 100755
--- a/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.state.editor.xtext/META-INF/MANIFEST.MF
@@ -1,11 +1,14 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-Vendor: %providerName
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.state.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
+Export-Package: org.eclipse.papyrus.state.editor.xtext,
+ org.eclipse.papyrus.state.editor.xtext.parseTreeConstruction,
+ org.eclipse.papyrus.state.editor.xtext.parser.antlr,
+ org.eclipse.papyrus.state.editor.xtext.parser.antlr.internal,
+ org.eclipse.papyrus.state.editor.xtext.scoping,
+ org.eclipse.papyrus.state.editor.xtext.services,
+ org.eclipse.papyrus.state.editor.xtext.umlState,
+ org.eclipse.papyrus.state.editor.xtext.umlState.impl,
+ org.eclipse.papyrus.state.editor.xtext.umlState.util,
+ org.eclipse.papyrus.state.editor.xtext.validation
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -20,16 +23,14 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
Import-Package: org.apache.log4j
+Bundle-SymbolicName: org.eclipse.papyrus.state.editor.xtext;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.state.editor.xtext,
- org.eclipse.papyrus.state.editor.xtext.parseTreeConstruction,
- org.eclipse.papyrus.state.editor.xtext.parser.antlr,
- org.eclipse.papyrus.state.editor.xtext.parser.antlr.internal,
- org.eclipse.papyrus.state.editor.xtext.scoping,
- org.eclipse.papyrus.state.editor.xtext.services,
- org.eclipse.papyrus.state.editor.xtext.umlState,
- org.eclipse.papyrus.state.editor.xtext.umlState.impl,
- org.eclipse.papyrus.state.editor.xtext.umlState.util,
- org.eclipse.papyrus.state.editor.xtext.validation
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.generator/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.generator/META-INF/MANIFEST.MF
index 208b0a09bd6..b28e6fa44ad 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.generator/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.generator/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.transition.editor.xtext.generator; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.transition.editor.xtext;visibility:=reexport,
- org.eclipse.xpand;visibility:=reexport,
- org.eclipse.xtend;visibility:=reexport,
- org.eclipse.xtext;visibility:=reexport,
- org.eclipse.emf.mwe2.launch;resolution:=optional,
- org.eclipse.emf.mwe.utils;visibility:=reexport,
- org.eclipse.xtend.typesystem.emf;visibility:=reexport
-Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.transition.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.xpand;visibility:=reexport,
+ org.eclipse.xtend;visibility:=reexport,
+ org.eclipse.xtext;visibility:=reexport,
+ org.eclipse.emf.mwe2.launch;resolution:=optional,
+ org.eclipse.emf.mwe.utils;visibility:=reexport,
+ org.eclipse.xtend.typesystem.emf;visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.transition.editor.xtext.generator;singleton:=true
+Import-Package: org.apache.log4j
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.ui/META-INF/MANIFEST.MF
index 6d767b2408f..e86f902bfd0 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext.ui/META-INF/MANIFEST.MF
@@ -1,12 +1,19 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
+Export-Package: org.eclipse.papyrus.transition.editor.xtext.ui,
+ org.eclipse.papyrus.transition.editor.xtext.ui.contentassist,
+ org.eclipse.papyrus.transition.editor.xtext.ui.contentassist.antlr,
+ org.eclipse.papyrus.transition.editor.xtext.ui.contentassist.antlr.internal,
+ org.eclipse.papyrus.transition.editor.xtext.ui.contributions,
+ org.eclipse.papyrus.transition.editor.xtext.ui.editor,
+ org.eclipse.papyrus.transition.editor.xtext.ui.internal,
+ org.eclipse.papyrus.transition.editor.xtext.ui.labeling,
+ org.eclipse.papyrus.transition.editor.xtext.ui.outline,
+ org.eclipse.papyrus.transition.editor.xtext.ui.quickfix
+Bundle-ActivationPolicy: lazy
Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
Bundle-Localization: plugin
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.transition.editor.xtext.ui; singleton:=true
-Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.papyrus.transition.editor.xtext;visibility:=reexport,
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.papyrus.transition.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -15,22 +22,18 @@ Require-Bundle: org.eclipse.papyrus.transition.editor.xtext;visibility:=reexport
org.eclipse.xtext.builder,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.8.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.transition.editor.xtext.ui.inter
+ nal.UmlTransitionActivator
+Bundle-SymbolicName: org.eclipse.papyrus.transition.editor.xtext.ui;si
+ ngleton:=true
Import-Package: org.apache.log4j
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.transition.editor.xtext.ui,
- org.eclipse.papyrus.transition.editor.xtext.ui.contentassist,
- org.eclipse.papyrus.transition.editor.xtext.ui.contentassist.antlr,
- org.eclipse.papyrus.transition.editor.xtext.ui.contentassist.antlr.internal,
- org.eclipse.papyrus.transition.editor.xtext.ui.contributions,
- org.eclipse.papyrus.transition.editor.xtext.ui.editor,
- org.eclipse.papyrus.transition.editor.xtext.ui.internal,
- org.eclipse.papyrus.transition.editor.xtext.ui.labeling,
- org.eclipse.papyrus.transition.editor.xtext.ui.outline,
- org.eclipse.papyrus.transition.editor.xtext.ui.quickfix
-Bundle-Activator: org.eclipse.papyrus.transition.editor.xtext.ui.internal.UmlTransitionActivator
+
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext/META-INF/MANIFEST.MF
index c338f19526c..cc142205185 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.transition.editor.xtext/META-INF/MANIFEST.MF
@@ -1,11 +1,15 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-Version: 0.9.0.qualifier
-Bundle-SymbolicName: org.eclipse.papyrus.transition.editor.xtext; singleton:=true
-Bundle-ActivationPolicy: lazy
+Export-Package: org.eclipse.papyrus.transition.editor.xtext,
+ org.eclipse.papyrus.transition.editor.xtext.formatting,
+ org.eclipse.papyrus.transition.editor.xtext.parseTreeConstruction,
+ org.eclipse.papyrus.transition.editor.xtext.parser.antlr,
+ org.eclipse.papyrus.transition.editor.xtext.parser.antlr.internal,
+ org.eclipse.papyrus.transition.editor.xtext.scoping,
+ org.eclipse.papyrus.transition.editor.xtext.services,
+ org.eclipse.papyrus.transition.editor.xtext.umlTransition,
+ org.eclipse.papyrus.transition.editor.xtext.umlTransition.impl,
+ org.eclipse.papyrus.transition.editor.xtext.umlTransition.util,
+ org.eclipse.papyrus.transition.editor.xtext.validation
Require-Bundle: org.eclipse.xtext,
org.eclipse.xtext.generator;resolution:=optional,
org.apache.commons.logging;resolution:=optional,
@@ -20,18 +24,14 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
- org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
+ org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
Import-Package: org.apache.log4j
+Bundle-SymbolicName: org.eclipse.papyrus.transition.editor.xtext;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.transition.editor.xtext,
- org.eclipse.papyrus.transition.editor.xtext.formatting,
- org.eclipse.papyrus.transition.editor.xtext.parseTreeConstruction,
- org.eclipse.papyrus.transition.editor.xtext.parser.antlr,
- org.eclipse.papyrus.transition.editor.xtext.parser.antlr.internal,
- org.eclipse.papyrus.transition.editor.xtext.scoping,
- org.eclipse.papyrus.transition.editor.xtext.services,
- org.eclipse.papyrus.transition.editor.xtext.umlTransition,
- org.eclipse.papyrus.transition.editor.xtext.umlTransition.impl,
- org.eclipse.papyrus.transition.editor.xtext.umlTransition.util,
- org.eclipse.papyrus.transition.editor.xtext.validation
diff --git a/plugins/uml/tools/org.eclipse.papyrus.extendedtypes.uml/META-INF/MANIFEST.MF b/plugins/uml/tools/org.eclipse.papyrus.extendedtypes.uml/META-INF/MANIFEST.MF
index 313c7386346..1f159a2dd42 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.extendedtypes.uml/META-INF/MANIFEST.MF
+++ b/plugins/uml/tools/org.eclipse.papyrus.extendedtypes.uml/META-INF/MANIFEST.MF
@@ -1,24 +1,27 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.extendedtypes.uml;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.extendedtypes.uml.Activator$Implementation
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.extendedtypes.uml,
- org.eclipse.papyrus.extendedtypes.uml.applystereotypeactionconfiguration,
- org.eclipse.papyrus.extendedtypes.uml.applystereotypeactionconfiguration.impl,
- org.eclipse.papyrus.extendedtypes.uml.applystereotypeactionconfiguration.util
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;bundle-version="0.7.1";visibility:=reexport,
- org.eclipse.papyrus.extendedtypes;visibility:=reexport,
- org.eclipse.emf.facet.infra.query;visibility:=reexport,
- org.eclipse.uml2.uml;visibility:=reexport,
- org.eclipse.papyrus.log;bundle-version="0.7.1",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.extendedtypes.uml,
+ org.eclipse.papyrus.extendedtypes.uml.applystereotypeactionconfiguration,
+ org.eclipse.papyrus.extendedtypes.uml.applystereotypeactionconfiguration.impl,
+ org.eclipse.papyrus.extendedtypes.uml.applystereotypeactionconfiguration.util
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.emf.ecore;visibility:=reexport,
+ org.eclipse.emf.ecore.xmi;visibility:=reexport,
+ org.eclipse.papyrus.core.queries.configuration;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.emf.facet.infra.query;visibility:=reexport,
+ org.eclipse.uml2.uml;visibility:=reexport,
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.umlutils;bundle-version:="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.extendedtypes.uml.Activator$Impl
+ ementation
+Bundle-SymbolicName: org.eclipse.papyrus.extendedtypes.uml;singleton:=
+ true
+
diff --git a/plugins/uml/tools/org.eclipse.papyrus.umlutils/META-INF/MANIFEST.MF b/plugins/uml/tools/org.eclipse.papyrus.umlutils/META-INF/MANIFEST.MF
index 49d0817ea92..927f35db281 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.umlutils/META-INF/MANIFEST.MF
+++ b/plugins/uml/tools/org.eclipse.papyrus.umlutils/META-INF/MANIFEST.MF
@@ -1,18 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.umlutils;singleton:=true
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.uml2.uml,
+ org.eclipse.jface;bundle-version:="3.4.1",
+ org.eclipse.emf.transaction;bundle-version="1.2.1",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.umlutils,
+ org.eclipse.papyrus.umlutils.ui,
+ org.eclipse.papyrus.umlutils.ui.command,
+ org.eclipse.papyrus.umlutils.ui.helper
+Bundle-Vendor: %pluginProvider
+Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.umlutils.Activator
-Bundle-Vendor: %pluginProvider
-Bundle-Localization: plugin
-Require-Bundle: org.eclipse.uml2.uml,
- org.eclipse.jface;bundle-version="3.4.1",
- org.eclipse.emf.transaction;bundle-version="1.2.1",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.umlutils,
- org.eclipse.papyrus.umlutils.ui,
- org.eclipse.papyrus.umlutils.ui.command,
- org.eclipse.papyrus.umlutils.ui.helper
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.umlutils.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.umlutils;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/documentation/org.eclipse.papyrus.documentation.view.papyrus/META-INF/MANIFEST.MF b/plugins/views/documentation/org.eclipse.papyrus.documentation.view.papyrus/META-INF/MANIFEST.MF
index c16dadec4cf..8d470dcc8e4 100644
--- a/plugins/views/documentation/org.eclipse.papyrus.documentation.view.papyrus/META-INF/MANIFEST.MF
+++ b/plugins/views/documentation/org.eclipse.papyrus.documentation.view.papyrus/META-INF/MANIFEST.MF
@@ -1,12 +1,14 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.documentation.view.papyrus;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.papyrus.documentation.view;bundle-version="0.7.3",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.7.3",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.7.3",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.documentation.view;bundle-version:="0.9.0",
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.documentation.view.papyrus;si
+ ngleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/documentation/org.eclipse.papyrus.documentation.view/META-INF/MANIFEST.MF b/plugins/views/documentation/org.eclipse.papyrus.documentation.view/META-INF/MANIFEST.MF
index 1c0d15ea564..e5f6c8c5bb7 100644
--- a/plugins/views/documentation/org.eclipse.papyrus.documentation.view/META-INF/MANIFEST.MF
+++ b/plugins/views/documentation/org.eclipse.papyrus.documentation.view/META-INF/MANIFEST.MF
@@ -1,20 +1,22 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.documentation.view;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.documentation.view.DocViewPlugin
-Require-Bundle: org.eclipse.core.expressions;visibility:=reexport,
- org.eclipse.ui.editors;visibility:=reexport,
- org.eclipse.ui.ide;visibility:=reexport,
- org.eclipse.emf.edit.ui,
- org.eclipse.jface.text,
- org.eclipse.core.resources,
- org.eclipse.epf.richtext,
- org.eclipse.papyrus.documentation;bundle-version="0.7.3";visibility:=reexport
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.documentation.view
-Import-Package: org.eclipse.ui.views.contentoutline
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.documentation.view
+Bundle-ActivationPolicy: lazy
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: org.eclipse.core.expressions;visibility:=reexport,
+ org.eclipse.ui.editors;visibility:=reexport,
+ org.eclipse.ui.ide;visibility:=reexport,
+ org.eclipse.emf.edit.ui,
+ org.eclipse.jface.text,
+ org.eclipse.core.resources,
+ org.eclipse.epf.richtext,
+ org.eclipse.papyrus.documentation;bundle-version="0.9.0";visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.documentation.view.DocViewPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.documentation.view;singleton:
+ =true
+Import-Package: org.eclipse.ui.views.contentoutline
+
diff --git a/plugins/views/documentation/org.eclipse.papyrus.documentation/META-INF/MANIFEST.MF b/plugins/views/documentation/org.eclipse.papyrus.documentation/META-INF/MANIFEST.MF
index 5b6a0125853..10fc0c348db 100644
--- a/plugins/views/documentation/org.eclipse.papyrus.documentation/META-INF/MANIFEST.MF
+++ b/plugins/views/documentation/org.eclipse.papyrus.documentation/META-INF/MANIFEST.MF
@@ -1,15 +1,16 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.documentation;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.documentation.Activator
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.documentation,
- org.eclipse.papyrus.documentation.eannotation
-Require-Bundle: org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.core.runtime;visibility:=reexport,
- org.eclipse.core.commands;visibility:=reexport
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.emf.ecore;visibility:=reexport,
+ org.eclipse.core.runtime;visibility:=reexport,
+ org.eclipse.core.commands;visibility:=reexport
+Export-Package: org.eclipse.papyrus.documentation,
+ org.eclipse.papyrus.documentation.eannotation
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.documentation.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.documentation;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.resourceloading/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.resourceloading/META-INF/MANIFEST.MF
index 5f060ea41fe..9f68eafb9d4 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.resourceloading/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.resourceloading/META-INF/MANIFEST.MF
@@ -1,22 +1,26 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.modelexplorer.resourceloading;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.modelexplorer.resourceloading.Activator
-Require-Bundle: org.eclipse.emf.converter;bundle-version="2.5.0",
- org.eclipse.emf.ecore.editor;bundle-version="2.6.0",
- org.eclipse.emf.workspace.ui;bundle-version="1.3.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.0",
- org.eclipse.papyrus.controlmode.history;bundle-version="0.8.0",
- org.eclipse.papyrus.core.resourceloading
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.modelexplorer.resourceloading.handler
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.emf.converter;bundle-version="2.5.0",
+ org.eclipse.emf.ecore.editor;bundle-version="2.6.0",
+ org.eclipse.emf.workspace.ui;bundle-version="1.3.0",
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.emf.facet.infra.browser;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0",
+ org.eclipse.papyrus.controlmode.history;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.resourceloading;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.modelexplorer.resourceloading.hand
+ ler
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.modelexplorer.resourceloading.Ac
+ tivator
+Bundle-SymbolicName: org.eclipse.papyrus.modelexplorer.resourceloading
+ ;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.widgets/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.widgets/META-INF/MANIFEST.MF
index 259ae1de949..0de78d32b0b 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.widgets/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer.widgets/META-INF/MANIFEST.MF
@@ -1,18 +1,20 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.modelexplorer.widgets;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.modelexplorer.widgets.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.widgets;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0";visibility:=reexport,
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0";visibility:=reexport,
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.modelexplorer.widgets
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.modelexplorer;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.emf.facet.infra.browser;bundle-version:="0.1.0";visibility:=reexport,
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0";visibility:=reexport,
+ org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.emf.facet.infra.facet;bundle-version:="0.1.0"
+Export-Package: org.eclipse.papyrus.modelexplorer.widgets
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.modelexplorer.widgets.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.modelexplorer.widgets;singlet
+ on:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer/META-INF/MANIFEST.MF
index 5eb49a4a286..5619c45d774 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.modelexplorer/META-INF/MANIFEST.MF
@@ -1,46 +1,47 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.modelexplorer;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.modelexplorer.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.ui.navigator;bundle-version="3.4.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.emf.converter;bundle-version="2.5.0",
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.papyrus.sasheditor.di;bundle-version="0.8.0",
- org.eclipse.ltk.core.refactoring;bundle-version="3.5.100",
- org.eclipse.emf.ecore.editor;bundle-version="2.6.0",
- org.eclipse.emf.workspace.ui;bundle-version="1.3.0",
- org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.validation;bundle-version="0.8.0",
- org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.ui;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.query.ui;bundle-version="0.1.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
- org.eclipse.papyrus.decoration;bundle-version="0.9.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
-Export-Package: org.eclipse.papyrus.core.ui.pagebookview,
- org.eclipse.papyrus.modelexplorer,
- org.eclipse.papyrus.modelexplorer.actionprovider,
- org.eclipse.papyrus.modelexplorer.actions,
- org.eclipse.papyrus.modelexplorer.commands,
- org.eclipse.papyrus.modelexplorer.dialog,
- org.eclipse.papyrus.modelexplorer.dnd,
- org.eclipse.papyrus.modelexplorer.factory,
- org.eclipse.papyrus.modelexplorer.handler,
- org.eclipse.papyrus.modelexplorer.preferences,
- org.eclipse.papyrus.modelexplorer.queries
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.ui.navigator;bundle-version="3.4.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.emf.converter;bundle-version="2.5.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.sasheditor.di;bundle-version="0.9.0",
+ org.eclipse.ltk.core.refactoring;bundle-version="3.5.100",
+ org.eclipse.emf.ecore.editor;bundle-version:="2.6.0",
+ org.eclipse.emf.workspace.ui;bundle-version="1.3.0",
+ org.eclipse.core.expressions;bundle-version="3.4.200",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.validation;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.browser;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.core;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.ui;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.query.ui;bundle-version="0.1.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.decoration;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.core.ui.pagebookview,
+ org.eclipse.papyrus.modelexplorer,
+ org.eclipse.papyrus.modelexplorer.actionprovider,
+ org.eclipse.papyrus.modelexplorer.actions,
+ org.eclipse.papyrus.modelexplorer.commands,
+ org.eclipse.papyrus.modelexplorer.dialog,
+ org.eclipse.papyrus.modelexplorer.dnd,
+ org.eclipse.papyrus.modelexplorer.factory,
+ org.eclipse.papyrus.modelexplorer.handler,
+ org.eclipse.papyrus.modelexplorer.preferences,
+ org.eclipse.papyrus.modelexplorer.queries
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.modelexplorer.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.modelexplorer;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/properties/org.eclipse.papyrus.properties.model.edit/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.properties.model.edit/META-INF/MANIFEST.MF
index 6c1f59fc5b9..ec666f4ec1f 100644
--- a/plugins/views/properties/org.eclipse.papyrus.properties.model.edit/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.properties.model.edit/META-INF/MANIFEST.MF
@@ -1,18 +1,21 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.properties.model.edit;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.properties.environment.provider.PropertiesEditPlugin$Implementation
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.properties.contexts.provider,
org.eclipse.papyrus.properties.environment.provider,
org.eclipse.papyrus.properties.ui.provider
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.properties.model;visibility:=reexport,
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.edit;visibility:=reexport,
- org.eclipse.emf.ecore.edit;bundle-version="2.7.0"
-Bundle-ActivationPolicy: lazy
+ org.eclipse.emf.ecore.edit;bundle-version:="2.7.0"
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.environment.provider.
+ PropertiesEditPlugin$Implementation
+Bundle-SymbolicName: org.eclipse.papyrus.properties.model.edit;singlet
+ on:=true
+
diff --git a/plugins/views/properties/org.eclipse.papyrus.properties.model.editor/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.properties.model.editor/META-INF/MANIFEST.MF
index 21322e9d47d..970980a3d76 100644
--- a/plugins/views/properties/org.eclipse.papyrus.properties.model.editor/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.properties.model.editor/META-INF/MANIFEST.MF
@@ -1,20 +1,23 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.properties.model.editor;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.properties.environment.presentation.PropertiesEditorPlugin$Implementation
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.properties.contexts.presentation,
org.eclipse.papyrus.properties.environment.presentation,
org.eclipse.papyrus.properties.ui.presentation
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.resources;visibility:=reexport,
- org.eclipse.papyrus.properties.model.edit;visibility:=reexport,
+ org.eclipse.papyrus.properties.model.edit;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport,
org.eclipse.emf.edit.ui;visibility:=reexport,
org.eclipse.ui.ide;visibility:=reexport
-Bundle-ActivationPolicy: lazy
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.environment.presentat
+ ion.PropertiesEditorPlugin$Implementation
+Bundle-SymbolicName: org.eclipse.papyrus.properties.model.editor;singl
+ eton:=true
+
diff --git a/plugins/views/properties/org.eclipse.papyrus.properties.model/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.properties.model/META-INF/MANIFEST.MF
index 3656fa59fc2..442680d5a55 100644
--- a/plugins/views/properties/org.eclipse.papyrus.properties.model/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.properties.model/META-INF/MANIFEST.MF
@@ -1,21 +1,23 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.properties.model;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.properties.contexts,
- org.eclipse.papyrus.properties.contexts.impl,
- org.eclipse.papyrus.properties.contexts.util,
- org.eclipse.papyrus.properties.environment,
- org.eclipse.papyrus.properties.environment.impl,
- org.eclipse.papyrus.properties.environment.util,
- org.eclipse.papyrus.properties.ui,
- org.eclipse.papyrus.properties.ui.impl,
- org.eclipse.papyrus.properties.ui.util
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore;visibility:=reexport
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.emf.ecore;visibility:=reexport
+Export-Package: org.eclipse.papyrus.properties.contexts,
+ org.eclipse.papyrus.properties.contexts.impl,
+ org.eclipse.papyrus.properties.contexts.util,
+ org.eclipse.papyrus.properties.environment,
+ org.eclipse.papyrus.properties.environment.impl,
+ org.eclipse.papyrus.properties.environment.util,
+ org.eclipse.papyrus.properties.ui,
+ org.eclipse.papyrus.properties.ui.impl,
+ org.eclipse.papyrus.properties.ui.util
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.properties.model;singleton:=t
+ rue
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/properties/org.eclipse.papyrus.properties.runtime/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.properties.runtime/META-INF/MANIFEST.MF
index 00796974457..963b4e5014e 100644
--- a/plugins/views/properties/org.eclipse.papyrus.properties.runtime/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.properties.runtime/META-INF/MANIFEST.MF
@@ -1,40 +1,41 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.properties.runtime;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.runtime.Activator
-Bundle-Vendor: %providerName
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.properties.runtime,
- org.eclipse.papyrus.properties.runtime.controller,
- org.eclipse.papyrus.properties.runtime.controller.descriptor,
- org.eclipse.papyrus.properties.runtime.controller.predefined,
- org.eclipse.papyrus.properties.runtime.dialogs,
- org.eclipse.papyrus.properties.runtime.modelhandler,
- org.eclipse.papyrus.properties.runtime.modelhandler.emf,
- org.eclipse.papyrus.properties.runtime.propertyeditor,
- org.eclipse.papyrus.properties.runtime.propertyeditor.descriptor,
- org.eclipse.papyrus.properties.runtime.state,
- org.eclipse.papyrus.properties.runtime.view,
- org.eclipse.papyrus.properties.runtime.view.constraints,
- org.eclipse.papyrus.properties.runtime.view.content
-Require-Bundle: org.eclipse.ui;bundle-version="3.5.1",
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
- org.eclipse.core.runtime;bundle-version="3.5.0",
- org.eclipse.emf.ecore;bundle-version="2.5.0",
- org.eclipse.emf.transaction;bundle-version="1.3.0",
- org.eclipse.gmf.runtime.common.core;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.core;bundle-version="1.2.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.common.ui;bundle-version="1.2.1",
- org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.2.0",
- org.eclipse.uml2.uml.resources;bundle-version="3.1.0",
- org.eclipse.emf.edit.ui;bundle-version="2.6.0",
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0"
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.properties.runtime,
+ org.eclipse.papyrus.properties.runtime.controller,
+ org.eclipse.papyrus.properties.runtime.controller.descriptor,
+ org.eclipse.papyrus.properties.runtime.controller.predefined,
+ org.eclipse.papyrus.properties.runtime.dialogs,
+ org.eclipse.papyrus.properties.runtime.modelhandler,
+ org.eclipse.papyrus.properties.runtime.modelhandler.emf,
+ org.eclipse.papyrus.properties.runtime.propertyeditor,
+ org.eclipse.papyrus.properties.runtime.propertyeditor.descriptor,
+ org.eclipse.papyrus.properties.runtime.state,
+ org.eclipse.papyrus.properties.runtime.view,
+ org.eclipse.papyrus.properties.runtime.view.constraints,
+ org.eclipse.papyrus.properties.runtime.view.content
+Require-Bundle: org.eclipse.ui;bundle-version="3.5.1",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
+ org.eclipse.core.runtime;bundle-version="3.5.0",
+ org.eclipse.emf.ecore;bundle-version="2.5.0",
+ org.eclipse.emf.transaction;bundle-version="1.3.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.gmf.runtime.common.ui;bundle-version="1.2.1",
+ org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.2.0",
+ org.eclipse.uml2.uml.resources;bundle-version="3.1.0",
+ org.eclipse.emf.edit.ui;bundle-version="2.6.0",
+ org.eclipse.uml2.uml;bundle-version:="3.1.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.runtime.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.runtime;singleton:
+ =true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/views/properties/org.eclipse.papyrus.properties.tabbed.core/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.properties.tabbed.core/META-INF/MANIFEST.MF
index 78382dfe6a4..a60cce97534 100644
--- a/plugins/views/properties/org.eclipse.papyrus.properties.tabbed.core/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.properties.tabbed.core/META-INF/MANIFEST.MF
@@ -1,24 +1,26 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.core;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.tabbed.core.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.ui.views.properties.tabbed,
- org.eclipse.emf.ecore;bundle-version="2.6.0",
- org.eclipse.emf.edit.ui;bundle-version="2.6.0",
- org.eclipse.gmf.runtime.common.core;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.common.ui;bundle-version="1.3.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.properties.tabbed.core,
- org.eclipse.papyrus.properties.tabbed.core.provider,
- org.eclipse.papyrus.properties.tabbed.core.view,
- org.eclipse.papyrus.properties.tabbed.core.view.subfeatures
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.ui.views.properties.tabbed,
+ org.eclipse.emf.ecore;bundle-version="2.6.0",
+ org.eclipse.emf.edit.ui;bundle-version="2.6.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.common.ui;bundle-version="1.3.0",
+ org.eclipse.papyrus.core;bundle-version:="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.papyrus.log;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.properties.tabbed.core,
+ org.eclipse.papyrus.properties.tabbed.core.provider,
+ org.eclipse.papyrus.properties.tabbed.core.view,
+ org.eclipse.papyrus.properties.tabbed.core.view.subfeatures
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.tabbed.core.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.core;single
+ ton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/properties/org.eclipse.papyrus.properties.tabbed.customization/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.properties.tabbed.customization/META-INF/MANIFEST.MF
index f3630f3bd15..a202d783e9f 100644
--- a/plugins/views/properties/org.eclipse.papyrus.properties.tabbed.customization/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.properties.tabbed.customization/META-INF/MANIFEST.MF
@@ -1,34 +1,37 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.customization;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.tabbed.customization.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.ui.views;bundle-version="3.5.0",
- org.eclipse.papyrus.properties.tabbed.core;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.runtime;bundle-version="0.8.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
- org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0",
- org.eclipse.emf.ecore;bundle-version="2.6.0",
- org.eclipse.emf.ecore.edit;bundle-version="2.6.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.umlutils;bundle-version="0.8.0",
- org.apache.xml.serializer;bundle-version="2.7.1",
- org.apache.batik.xml;bundle-version="1.6.0",
- org.apache.xml.resolver;bundle-version="1.2.0",
- org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.properties.tabbed.customization,
- org.eclipse.papyrus.properties.tabbed.customization.dialog,
- org.eclipse.papyrus.properties.tabbed.customization.dialog.actions,
- org.eclipse.papyrus.properties.tabbed.customization.handler,
- org.eclipse.papyrus.properties.tabbed.customization.state
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.ui.views;bundle-version="3.5.0",
+ org.eclipse.papyrus.properties.tabbed.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.papyrus.properties.runtime;bundle-version="0.9.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
+ org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0",
+ org.eclipse.emf.ecore;bundle-version="2.6.0",
+ org.eclipse.emf.ecore.edit;bundle-version:="2.6.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version="3.1.0",
+ org.eclipse.papyrus.umlutils;bundle-version="0.9.0",
+ org.apache.xml.serializer;bundle-version:="2.7.1",
+ org.apache.batik.xml;bundle-version="1.6.0",
+ org.apache.xml.resolver;bundle-version="1.2.0",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
+Export-Package: org.eclipse.papyrus.properties.tabbed.customization,
+ org.eclipse.papyrus.properties.tabbed.customization.dialog,
+ org.eclipse.papyrus.properties.tabbed.customization.dialog.actions,
+ org.eclipse.papyrus.properties.tabbed.customization.handler,
+ org.eclipse.papyrus.properties.tabbed.customization.state
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.tabbed.customization.
+ Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.customizati
+ on;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/views/properties/org.eclipse.papyrus.properties/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.properties/META-INF/MANIFEST.MF
index 946a286b727..34dc3e2fd9a 100644
--- a/plugins/views/properties/org.eclipse.papyrus.properties/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.properties/META-INF/MANIFEST.MF
@@ -1,50 +1,52 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.properties;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .,bin
-Bundle-Vendor: %Bundle-Vendor
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: com.ibm.icu,
- org.eclipse.emf;bundle-version="2.6.0",
- org.eclipse.emf.ecore;bundle-version="2.6.0",
- org.eclipse.emf.ecore.xmi;bundle-version="2.5.0",
- org.eclipse.emf.databinding;bundle-version="1.2.0",
- org.eclipse.equinox.common;bundle-version="3.6.0",
- org.eclipse.ui;bundle-version="3.6.0",
- org.eclipse.osgi;bundle-version="3.6.0",
- org.eclipse.core.runtime;bundle-version="3.6.0",
- org.eclipse.core.resources;bundle-version="3.6.0",
- org.eclipse.swt,
- org.eclipse.jface,
- org.eclipse.jface.databinding,
- org.eclipse.core.databinding,
- org.eclipse.core.databinding.property;bundle-version="1.3.0",
- org.eclipse.e4.xwt;bundle-version="0.9.1",
- org.eclipse.e4.xwt.pde;bundle-version="0.9.1",
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.8.0",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.core.databinding.beans;bundle-version="1.2.100",
- org.eclipse.emf.facet.infra.query;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.papyrus.modelexplorer.widgets;bundle-version="0.9.0"
-Bundle-ActivationPolicy: lazy
-Bundle-Activator: org.eclipse.papyrus.properties.Activator
-Export-Package: org.eclipse.papyrus.properties,
- org.eclipse.papyrus.properties.catalog,
- org.eclipse.papyrus.properties.constraints,
- org.eclipse.papyrus.properties.creation,
- org.eclipse.papyrus.properties.databinding,
- org.eclipse.papyrus.properties.modelelement,
- org.eclipse.papyrus.properties.providers,
- org.eclipse.papyrus.properties.root,
- org.eclipse.papyrus.properties.runtime,
- org.eclipse.papyrus.properties.util,
- org.eclipse.papyrus.properties.widgets,
- org.eclipse.papyrus.properties.widgets.layout,
- org.eclipse.papyrus.properties.xwt
-Eclipse-BuddyPolicy: dependent
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.properties,
+ org.eclipse.papyrus.properties.catalog,
+ org.eclipse.papyrus.properties.constraints,
+ org.eclipse.papyrus.properties.creation,
+ org.eclipse.papyrus.properties.databinding,
+ org.eclipse.papyrus.properties.modelelement,
+ org.eclipse.papyrus.properties.providers,
+ org.eclipse.papyrus.properties.root,
+ org.eclipse.papyrus.properties.runtime,
+ org.eclipse.papyrus.properties.util,
+ org.eclipse.papyrus.properties.widgets,
+ org.eclipse.papyrus.properties.widgets.layout,
+ org.eclipse.papyrus.properties.xwt
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .,
+ bin
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Require-Bundle: com.ibm.icu,
+ org.eclipse.emf;bundle-version="2.6.0",
+ org.eclipse.emf.ecore;bundle-version="2.6.0",
+ org.eclipse.emf.ecore.xmi;bundle-version="2.5.0",
+ org.eclipse.emf.databinding;bundle-version:="1.2.0",
+ org.eclipse.equinox.common;bundle-version="3.6.0",
+ org.eclipse.ui;bundle-version="3.6.0",
+ org.eclipse.osgi;bundle-version="3.6.0",
+ org.eclipse.core.runtime;bundle-version="3.6.0",
+ org.eclipse.core.resources;bundle-version="3.6.0",
+ org.eclipse.swt,
+ org.eclipse.jface,
+ org.eclipse.jface.databinding,
+ org.eclipse.core.databinding,
+ org.eclipse.core.databinding.property;bundle-version="1.3.0",
+ org.eclipse.e4.xwt;bundle-version:="0.9.1",
+ org.eclipse.e4.xwt.pde;bundle-version="0.9.1",
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0",
+ org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.core.databinding.beans;bundle-version:="1.2.100",
+ org.eclipse.emf.facet.infra.query;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.query.core;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
+ org.eclipse.papyrus.modelexplorer.widgets;bundle-version="0.9.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-Version: 0.9.0.qualifier
+Eclipse-BuddyPolicy: dependent
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties;singleton:=true
+
diff --git a/plugins/views/properties/org.eclipse.papyrus.tabbedproperties.core/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.tabbedproperties.core/META-INF/MANIFEST.MF
index 8fb16570fe0..27c22735ed7 100644
--- a/plugins/views/properties/org.eclipse.papyrus.tabbedproperties.core/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.tabbedproperties.core/META-INF/MANIFEST.MF
@@ -1,14 +1,16 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.tabbedproperties.core;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.4.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.tabbedproperties.core,
- org.eclipse.papyrus.tabbedproperties.core.providers
-Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.papyrus.tabbedproperties.core.Activator
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.4.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.tabbedproperties.core,
+ org.eclipse.papyrus.tabbedproperties.core.providers
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.tabbedproperties.core.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.tabbedproperties.core;singlet
+ on:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/sandbox/org.eclipse.papyrus.eclipse.project.editors/META-INF/MANIFEST.MF b/sandbox/org.eclipse.papyrus.eclipse.project.editors/META-INF/MANIFEST.MF
index 9a16a5f0ea5..04e699ec9fd 100644
--- a/sandbox/org.eclipse.papyrus.eclipse.project.editors/META-INF/MANIFEST.MF
+++ b/sandbox/org.eclipse.papyrus.eclipse.project.editors/META-INF/MANIFEST.MF
@@ -1,20 +1,23 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.eclipse.project.editors
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.eclipse.project.editors.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.log,
- org.eclipse.core.resources,
- org.eclipse.jdt.core,
- org.eclipse.papyrus.widgets,
- org.eclipse.emf.facet.infra.facet
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.eclipse.project.editors.file,
- org.eclipse.papyrus.eclipse.project.editors.interfaces,
- org.eclipse.papyrus.eclipse.project.editors.project
-Bundle-Localization: plugin
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.core.resources,
+ org.eclipse.jdt.core,
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.facet,
+ org.eclipse.pde.ui;bundle-version="3.6.100"
+Export-Package: org.eclipse.papyrus.eclipse.project.editors.file,
+ org.eclipse.papyrus.eclipse.project.editors.interfaces,
+ org.eclipse.papyrus.eclipse.project.editors.project
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.eclipse.project.editors.Activato
+ r
+Bundle-SymbolicName: org.eclipse.papyrus.eclipse.project.editors
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/file/ManifestEditor.java b/sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/file/ManifestEditor.java
index ebe6cbcb79c..4bbbf624893 100644
--- a/sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/file/ManifestEditor.java
+++ b/sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/file/ManifestEditor.java
@@ -16,6 +16,7 @@ import java.io.IOException;
import java.io.InputStream;
import java.io.StringReader;
import java.util.Set;
+import java.util.jar.Attributes;
import java.util.jar.Attributes.Name;
import java.util.jar.Manifest;
@@ -24,9 +25,11 @@ import org.eclipse.core.resources.IContainer;
import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
+import org.eclipse.core.runtime.NullProgressMonitor;
import org.eclipse.papyrus.eclipse.project.editors.Activator;
import org.eclipse.papyrus.eclipse.project.editors.interfaces.IManifestEditor;
import org.eclipse.papyrus.eclipse.project.editors.project.ProjectEditor;
+import org.eclipse.pde.internal.ui.editor.actions.FormatOperation;
public class ManifestEditor extends ProjectEditor implements IManifestEditor {
@@ -133,7 +136,8 @@ public class ManifestEditor extends ProjectEditor implements IManifestEditor {
* {@inheritDoc}
*/
public void setValue(final String key, final String name, final String value) {
- this.manifest.getAttributes(key).put(name, value);
+ this.manifest.getMainAttributes().putValue(key, value);
+ // this.manifest.getAttributes(key).put(name, value);
}
/**
@@ -200,6 +204,9 @@ public class ManifestEditor extends ProjectEditor implements IManifestEditor {
return reader.read();
}
}, true, true, null);
+
+ //Use the PDE formatter for ManifestFiles
+ FormatOperation.format(this.manifestFile, new NullProgressMonitor());
}
@Override
@@ -352,4 +359,18 @@ public class ManifestEditor extends ProjectEditor implements IManifestEditor {
}
}
}
+
+ public String getValue(String key) {
+ if(this.manifest != null) {
+ String value = this.manifest.getMainAttributes().getValue(key);
+ if(value == null) {
+ Attributes attributes = this.manifest.getAttributes(key);
+ if(attributes != null) {
+ value = attributes.getValue(key);
+ }
+ }
+ return value;
+ }
+ return null;
+ }
}
diff --git a/sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/interfaces/IManifestEditor.java b/sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/interfaces/IManifestEditor.java
index 06066e3f832..cce94f0574e 100644
--- a/sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/interfaces/IManifestEditor.java
+++ b/sandbox/org.eclipse.papyrus.eclipse.project.editors/src/org/eclipse/papyrus/eclipse/project/editors/interfaces/IManifestEditor.java
@@ -68,6 +68,8 @@ public interface IManifestEditor extends IProjectEditor, IFileEditor {
*/
public void setValue(final String key, final String value);
+ public String getValue(final String key);
+
/**
*
* @param key

Back to the top